!----------------- BEGIN saprc99_driver_parameters.f90 BEGIN -----------------
! @file saprc99_driver_parameters.f90                                         
! @author jlinford                                                            
! @date 2017-02-27 19:38:52.810385                                            
! @brief Program driver parameters                                            
!                                                                             
! Time domain definitions and grid cell count                                 
!                                                                             
! This file was generated by Kppa: http://www.paratools.com/Kppa              
!-----------------------------------------------------------------------------


MODULE saprc99_driver_parameters


  IMPLICIT NONE



!-----------------------------------------------------------------------------
! Time domain                                                                 
!-----------------------------------------------------------------------------

  ! Integration start time 
  REAL(8), PARAMETER :: TSTART = 12.0d0*3600.0d0
  ! Integration end time 
  REAL(8), PARAMETER :: TEND = TSTART + 120.0d0*3600.0d0
  ! Time between integrator restarts 
  REAL(8), PARAMETER :: TDEL = 3600.d0


!-----------------------------------------------------------------------------
! Grid dimensions                                                             
!-----------------------------------------------------------------------------

  ! Grid dimension 0 
  INTEGER, PARAMETER :: GRID0 = 1
  ! Grid dimension 1 
  INTEGER, PARAMETER :: GRID1 = 1
  ! Grid dimension 2 
  INTEGER, PARAMETER :: GRID2 = 1
  ! Number of grid cells to integrate 
  INTEGER, PARAMETER :: NCELLS = GRID0*GRID1*GRID2



END MODULE saprc99_driver_parameters
!------------------- END saprc99_driver_parameters.f90 END -------------------
