!---------------------- BEGIN saprc99_function.f90 BEGIN ---------------------
! @file saprc99_function.f90                                                  
! @author jlinford                                                            
! @date 2017-02-27 17:42:42.215523                                            
! @brief The ODE function of the chemical model                               
!                                                                             
! The ODE function of the chemical model                                      
!                                                                             
! This file was generated by Kppa: http://www.paratools.com/Kppa              
!-----------------------------------------------------------------------------


MODULE saprc99_function

  USE saprc99_parameters
  USE saprc99_sparse

  IMPLICIT NONE




  CONTAINS

!------------------------------------ Fun ------------------------------------
! The ODE function of the chemical model                                      
!                                                                             
! @param[in]     var    Variable species concentrations                       
! @param[in]     fix    Fixed species concentrations                          
! @param[in]     rct    Reaction rates                                        
! @param[out]    vardot The ODE function                                      
!-----------------------------------------------------------------------------
  SUBROUTINE Fun(var, fix, rct, vardot)
    IMPLICIT NONE

    REAL(8), INTENT(IN) :: var(NVAR)
    REAL(8), INTENT(IN) :: fix(NFIX)
    REAL(8), INTENT(IN) :: rct(NREACT)
    REAL(8), INTENT(OUT) :: vardot(NVAR)


    REAL(8) :: r207
    REAL(8) :: r64
    REAL(8) :: r176
    REAL(8) :: r170
    REAL(8) :: r187
    REAL(8) :: r147
    REAL(8) :: r173
    REAL(8) :: r76
    REAL(8) :: r81
    REAL(8) :: r137
    REAL(8) :: r168
    REAL(8) :: r174
    REAL(8) :: r171
    REAL(8) :: r166
    REAL(8) :: r98
    REAL(8) :: r163
    REAL(8) :: r169
    REAL(8) :: r111
    REAL(8) :: r175
    REAL(8) :: r205
    REAL(8) :: r23
    REAL(8) :: r189
    REAL(8) :: r53
    REAL(8) :: r38
    REAL(8) :: r74
    REAL(8) :: r35
    REAL(8) :: r154
    REAL(8) :: r181
    REAL(8) :: r93
    REAL(8) :: r31
    REAL(8) :: r194
    REAL(8) :: r80
    REAL(8) :: r30
    REAL(8) :: r188
    REAL(8) :: r158
    REAL(8) :: r27
    REAL(8) :: r197
    REAL(8) :: r193
    REAL(8) :: r139
    REAL(8) :: r12
    REAL(8) :: r148
    REAL(8) :: r69
    REAL(8) :: r116
    REAL(8) :: r136
    REAL(8) :: r161
    REAL(8) :: r138
    REAL(8) :: r183
    REAL(8) :: r142
    REAL(8) :: r135
    REAL(8) :: r202
    REAL(8) :: r104
    REAL(8) :: r87
    REAL(8) :: r5
    REAL(8) :: r73
    REAL(8) :: r172
    REAL(8) :: r10
    REAL(8) :: r131
    REAL(8) :: r95
    REAL(8) :: r201
    REAL(8) :: r47
    REAL(8) :: r51
    REAL(8) :: r198
    REAL(8) :: r204
    REAL(8) :: r134
    REAL(8) :: r186
    REAL(8) :: r19
    REAL(8) :: r41
    REAL(8) :: r99
    REAL(8) :: r42
    REAL(8) :: r143
    REAL(8) :: r192
    REAL(8) :: r125
    REAL(8) :: r71
    REAL(8) :: r91
    REAL(8) :: r107
    REAL(8) :: r128
    REAL(8) :: r146
    REAL(8) :: r209
    REAL(8) :: r33
    REAL(8) :: r14
    REAL(8) :: r177
    REAL(8) :: r145
    REAL(8) :: r203
    REAL(8) :: r63
    REAL(8) :: r49
    REAL(8) :: r165
    REAL(8) :: r13
    REAL(8) :: r21
    REAL(8) :: r62
    REAL(8) :: r39
    REAL(8) :: r24
    REAL(8) :: r110
    REAL(8) :: r106
    REAL(8) :: r50
    REAL(8) :: r182
    REAL(8) :: r122
    REAL(8) :: r25
    REAL(8) :: r86
    REAL(8) :: r117
    REAL(8) :: r102
    REAL(8) :: r132
    REAL(8) :: r112
    REAL(8) :: r22
    REAL(8) :: r127
    REAL(8) :: r83
    REAL(8) :: r150
    REAL(8) :: r164
    REAL(8) :: r9
    REAL(8) :: r149
    REAL(8) :: r57
    REAL(8) :: r195
    REAL(8) :: r105
    REAL(8) :: r124
    REAL(8) :: r208
    REAL(8) :: r162
    REAL(8) :: r46
    REAL(8) :: r45
    REAL(8) :: r140
    REAL(8) :: r144
    REAL(8) :: r115
    REAL(8) :: r141
    REAL(8) :: r199
    REAL(8) :: r191
    REAL(8) :: r48
    REAL(8) :: r82
    REAL(8) :: r155
    REAL(8) :: r32
    REAL(8) :: r180
    REAL(8) :: r152
    REAL(8) :: r92
    REAL(8) :: r29
    REAL(8) :: r78
    REAL(8) :: r72
    REAL(8) :: r26
    REAL(8) :: r206
    REAL(8) :: r200
    REAL(8) :: r114
    REAL(8) :: r37
    REAL(8) :: r3
    REAL(8) :: r8
    REAL(8) :: r196
    REAL(8) :: r133
    REAL(8) :: r17
    REAL(8) :: r100
    REAL(8) :: r2
    REAL(8) :: r55
    REAL(8) :: r66
    REAL(8) :: r109
    REAL(8) :: r90
    REAL(8) :: r184
    REAL(8) :: r160
    REAL(8) :: r179
    REAL(8) :: r94
    REAL(8) :: r16
    REAL(8) :: r61
    REAL(8) :: r113
    REAL(8) :: r75
    REAL(8) :: r121
    REAL(8) :: r52
    REAL(8) :: r56
    REAL(8) :: r20
    REAL(8) :: r210
    REAL(8) :: r67
    REAL(8) :: r0
    REAL(8) :: r44
    REAL(8) :: r54
    REAL(8) :: r7
    REAL(8) :: r18
    REAL(8) :: r190
    REAL(8) :: r77
    REAL(8) :: r28
    REAL(8) :: r97
    REAL(8) :: r185
    REAL(8) :: r84
    REAL(8) :: r126
    REAL(8) :: r178
    REAL(8) :: r123
    REAL(8) :: r119
    REAL(8) :: r153
    REAL(8) :: r40
    REAL(8) :: r89
    REAL(8) :: r129
    REAL(8) :: r43
    REAL(8) :: r156
    REAL(8) :: r96
    REAL(8) :: r1
    REAL(8) :: r85
    REAL(8) :: r58
    REAL(8) :: r130
    REAL(8) :: r167
    REAL(8) :: r70
    REAL(8) :: r120
    REAL(8) :: r159
    REAL(8) :: r68
    REAL(8) :: r118
    REAL(8) :: r6
    REAL(8) :: r65
    REAL(8) :: r15
    REAL(8) :: r103
    REAL(8) :: r151
    REAL(8) :: r108
    REAL(8) :: r11
    REAL(8) :: r34
    REAL(8) :: r157
    REAL(8) :: r79
    REAL(8) :: r4
    REAL(8) :: r88
    REAL(8) :: r101
    REAL(8) :: r36
    REAL(8) :: r59

    r0 = rct(1)*var(70)
    r1 = fix(1)*fix(2)*rct(2)*var(58)
    r2 = rct(3)*var(58)*var(62)
    r3 = fix(1)*rct(4)*var(58)*var(69)
    r4 = rct(5)*var(58)*var(70)
    r5 = rct(6)*var(58)*var(70)
    r6 = rct(7)*var(62)*var(69)
    r7 = rct(8)*var(62)*var(70)
    r8 = rct(9)*var(69)*var(71)
    r9 = fix(2)*rct(10)*var(69)**2
    r10 = rct(11)*var(70)*var(71)
    r11 = rct(12)*var(18)
    r12 = 2.6e-22*fix(3)*var(18)
    r13 = rct(14)*var(70)*var(71)
    r14 = rct(15)*var(71)
    r15 = rct(16)*var(71)
    r16 = rct(17)*var(62)
    r17 = rct(18)*var(62)
    r18 = 2.2e-10*fix(3)*var(10)
    r19 = fix(1)*rct(20)*var(10)
    r20 = rct(21)*var(69)*var(74)
    r21 = rct(22)*var(19)
    r22 = rct(23)*var(19)
    r23 = rct(24)*var(19)*var(74)
    r24 = rct(25)*var(70)*var(74)
    r25 = 2.0e-11*var(71)*var(74)
    r26 = rct(27)*var(43)*var(74)
    r27 = rct(28)*var(43)
    r28 = rct(29)*var(40)*var(74)
    r29 = rct(30)*var(62)*var(74)
    r30 = rct(31)*var(63)*var(69)
    r31 = rct(32)*var(63)*var(70)
    r32 = rct(33)*var(25)
    r33 = rct(34)*var(25)
    r34 = rct(35)*var(25)*var(74)
    r35 = rct(36)*var(62)*var(63)
    r36 = rct(37)*var(63)**2
    r37 = fix(3)*rct(38)*var(63)**2
    r38 = 4.0e-12*var(63)*var(71)
    r39 = rct(40)*var(71)**2
    r40 = rct(41)*var(17)
    r41 = rct(42)*var(17)*var(74)
    r42 = rct(43)*var(63)*var(74)
    r43 = rct(44)*var(74)*var(9)
    r44 = fix(4)*rct(45)*var(74)
    r45 = rct(46)*var(66)*var(69)
    r46 = rct(47)*var(63)*var(66)
    r47 = 1.3e-12*var(66)*var(71)
    r48 = rct(49)*var(66)**2
    r49 = rct(50)*var(66)**2
    r50 = rct(51)*var(68)*var(69)
    r51 = rct(52)*var(63)*var(68)
    r52 = 2.3e-12*var(68)*var(71)
    r53 = 2.0e-13*var(66)*var(68)
    r54 = 3.5e-14*var(68)**2
    r55 = rct(56)*var(48)*var(69)
    r56 = rct(57)*var(48)*var(63)
    r57 = 2.3e-12*var(48)*var(71)
    r58 = 2.0e-13*var(48)*var(66)
    r59 = 3.5e-14*var(48)*var(68)
    r61 = rct(62)*var(64)*var(69)
    r62 = rct(63)*var(63)*var(64)
    r63 = 2.0e-13*var(64)*var(66)
    r64 = 2.3e-12*var(64)*var(71)
    r65 = 3.5e-14*var(64)*var(68)
    r66 = 3.5e-14*var(48)*var(64)
    r67 = 3.5e-14*var(64)**2
    r68 = rct(69)*var(70)*var(72)
    r69 = rct(70)*var(13)
    r70 = rct(71)*var(69)*var(72)
    r71 = rct(72)*var(63)*var(72)
    r72 = 4.0e-12*var(71)*var(72)
    r73 = rct(74)*var(66)*var(72)
    r74 = 7.5e-12*var(68)*var(72)
    r75 = 7.5e-12*var(48)*var(72)
    r76 = 7.5e-12*var(64)*var(72)
    r77 = rct(78)*var(72)**2
    r78 = rct(79)*var(70)*var(73)
    r79 = rct(80)*var(14)
    r80 = rct(81)*var(69)*var(73)
    r81 = rct(82)*var(63)*var(73)
    r82 = 4.0e-12*var(71)*var(73)
    r83 = rct(84)*var(66)*var(73)
    r84 = 7.5e-12*var(68)*var(73)
    r85 = 7.5e-12*var(48)*var(73)
    r86 = 7.5e-12*var(64)*var(73)
    r87 = rct(88)*var(72)*var(73)
    r88 = rct(89)*var(73)**2
    r89 = 1.37e-11*var(67)*var(70)
    r90 = rct(91)*var(15)
    r91 = rct(92)*var(67)*var(69)
    r92 = rct(93)*var(63)*var(67)
    r93 = 4.0e-12*var(67)*var(71)
    r94 = rct(95)*var(66)*var(67)
    r95 = 7.5e-12*var(67)*var(68)
    r96 = 7.5e-12*var(48)*var(67)
    r97 = 7.5e-12*var(64)*var(67)
    r98 = rct(99)*var(67)*var(72)
    r99 = rct(100)*var(67)*var(73)
    r100 = rct(101)*var(67)**2
    r101 = rct(102)*var(65)*var(70)
    r102 = rct(103)*var(16)
    r103 = rct(104)*var(65)*var(69)
    r104 = rct(105)*var(63)*var(65)
    r105 = 4.0e-12*var(65)*var(71)
    r106 = rct(107)*var(65)*var(66)
    r107 = 7.5e-12*var(65)*var(68)
    r108 = 7.5e-12*var(48)*var(65)
    r109 = 7.5e-12*var(64)*var(65)
    r110 = rct(111)*var(65)*var(72)
    r111 = rct(112)*var(65)*var(73)
    r112 = rct(113)*var(65)*var(67)
    r113 = rct(114)*var(65)**2
    r114 = 2.4e-11*var(22)*var(70)
    r115 = rct(116)*var(22)
    r116 = rct(117)*var(46)*var(70)
    r117 = rct(118)*var(46)*var(63)
    r118 = 0.001*var(46)
    r119 = rct(120)*var(28)*var(70)
    r120 = rct(121)*var(28)*var(63)
    r121 = rct(122)*var(28)
    r122 = rct(123)*var(56)
    r123 = rct(124)*var(56)
    r124 = rct(125)*var(56)*var(74)
    r125 = rct(126)*var(56)*var(63)
    r126 = rct(127)*var(27)
    r127 = rct(128)*var(27)*var(69)
    r128 = rct(129)*var(56)*var(71)
    r129 = rct(130)*var(55)*var(74)
    r130 = rct(131)*var(55)
    r131 = rct(132)*var(55)*var(71)
    r132 = 2.0e-11*var(59)*var(74)
    r133 = rct(134)*var(59)
    r134 = rct(135)*var(59)*var(71)
    r135 = rct(136)*var(42)*var(74)
    r136 = rct(137)*var(42)
    r137 = rct(138)*var(60)*var(74)
    r138 = rct(139)*var(60)
    r139 = rct(140)*var(29)*var(74)
    r140 = rct(141)*var(26)*var(74)
    r141 = rct(142)*var(26)
    r142 = 1.1e-11*var(37)*var(74)
    r143 = rct(144)*var(37)
    r144 = rct(145)*var(45)
    r145 = rct(146)*var(45)
    r146 = 1.1e-11*var(45)*var(74)
    r147 = rct(148)*var(45)*var(71)
    r148 = rct(149)*var(41)
    r149 = 1.5e-11*var(41)*var(74)
    r150 = rct(151)*var(41)*var(71)
    r151 = rct(152)*var(12)
    r152 = 2.63e-11*var(39)*var(74)
    r153 = 3.78e-12*var(39)*var(71)
    r154 = 4.2e-11*var(34)*var(74)
    r155 = 1.37e-11*var(34)*var(71)
    r156 = 3.78e-12*var(36)*var(71)
    r157 = 1.29e-11*var(38)*var(74)
    r158 = rct(159)*var(38)
    r159 = rct(160)*var(38)*var(71)
    r160 = rct(161)*var(50)*var(74)
    r161 = rct(162)*var(50)*var(62)
    r162 = rct(163)*var(50)*var(71)
    r163 = 6.34e-12*var(50)*var(58)
    r164 = rct(165)*var(50)
    r165 = rct(166)*var(54)*var(74)
    r166 = rct(167)*var(54)*var(62)
    r167 = 4.32e-12*var(54)*var(58)
    r168 = rct(169)*var(54)
    r169 = 6.19e-11*var(52)*var(74)
    r170 = 4.18e-18*var(52)*var(62)
    r171 = 1.0e-13*var(52)*var(71)
    r172 = rct(173)*var(52)
    r173 = 1.5e-11*var(61)*var(74)
    r174 = rct(175)*var(61)
    r175 = 7.8e-12*var(57)*var(74)
    r176 = rct(177)*var(57)
    r177 = 5.0e-11*var(35)*var(74)
    r178 = 2.0e-18*var(35)*var(62)
    r179 = 5.0e-11*var(32)*var(74)
    r180 = rct(181)*var(32)
    r181 = 5.0e-11*var(33)*var(74)
    r182 = rct(183)*var(33)
    r183 = fix(5)*rct(184)*var(74)
    r184 = rct(185)*var(44)*var(74)
    r185 = rct(186)*var(44)*var(62)
    r186 = rct(187)*var(44)*var(71)
    r187 = rct(188)*var(44)*var(58)
    r188 = rct(189)*var(47)*var(74)
    r189 = rct(190)*var(47)*var(62)
    r190 = rct(191)*var(47)*var(71)
    r191 = 3.6e-11*var(47)*var(58)
    r192 = rct(193)*var(49)*var(74)
    r193 = rct(194)*var(49)*var(62)
    r194 = rct(195)*var(49)*var(71)
    r195 = 3.27e-11*var(49)*var(58)
    r196 = rct(197)*var(11)*var(74)
    r197 = rct(198)*var(20)*var(74)
    r198 = rct(199)*var(21)*var(74)
    r199 = rct(200)*var(30)*var(74)
    r200 = rct(201)*var(23)*var(74)
    r201 = rct(202)*var(31)*var(74)
    r202 = 2.64e-11*var(24)*var(74)
    r203 = rct(204)*var(51)*var(74)
    r204 = rct(205)*var(51)*var(62)
    r205 = rct(206)*var(51)*var(71)
    r206 = rct(207)*var(51)*var(58)
    r207 = rct(208)*var(53)*var(74)
    r208 = rct(209)*var(53)*var(62)
    r209 = 7.265e-13*var(53)*var(71)
    r210 = 2.085e-11*var(53)*var(58)

    vardot(1) = r43
    vardot(2) = r127 + 0.333*r161 + 0.351*r166 + 0.1*r170 + 0.37*r185 + &
        0.204*r189 + 0.103*r193 + 0.121*r197 + 0.185*r204 + 0.073*r208
    vardot(3) = 0.05*r204 + 0.129*r208 + 0.25*r71 + r73 + r74 + r76
    vardot(4) = 0.25*r104 + r106 + r107 + 2.0*r109 + 0.372*r170 + 0.15*r189 + &
        0.189*r193 + 0.119*r204 + 0.247*r208 + 0.25*r81 + r83 + r84 + r86 + &
        0.25*r92 + r94 + r95 + r97
    vardot(5) = 0.75*r71
    vardot(6) = 0.75*r104 + 0.75*r81 + 0.75*r92
    vardot(7) = 2.0*r119
    vardot(8) = 6.0*r119 + 7.0*r158
    vardot(9) = -r43
    vardot(10) = r17 - r18 - r19
    vardot(11) = -r196
    vardot(12) = -r151 + 0.031*r193 + 0.087*r202
    vardot(13) = r68 - r69
    vardot(14) = r78 - r79
    vardot(15) = r89 - r90
    vardot(16) = r101 - r102
    vardot(17) = r36 + r37 - r40 - r41
    vardot(18) = r10 - r11 - r12
    vardot(19) = r20 - r21 - r22 - r23
    vardot(20) = -r197
    vardot(21) = -r198
    vardot(22) = -r114 - r115 + 0.236*r198
    vardot(23) = -r200
    vardot(24) = -r202
    vardot(25) = r31 - r32 - r33 - r34
    vardot(26) = -r140 - r141 + r46
    vardot(27) = r125 - r126 - r127
    vardot(28) = -r119 - r120 - r121 + r156
    vardot(29) = -r139 + r48 + 0.25*r53 + 0.25*r63
    vardot(30) = -r199
    vardot(31) = -r201
    vardot(32) = -r179 - r180 + 0.108*r201 + 0.099*r202
    vardot(33) = -r181 - r182 + 0.051*r201 + 0.093*r202
    vardot(34) = -r154 - r155 + 0.207*r201 + 0.187*r202
    vardot(35) = -r177 - r178 + 0.491*r201 + 0.561*r202
    vardot(36) = r116 + r120 + r121 - r156
    vardot(37) = -r142 - r143 + r51 + r62
    vardot(38) = -r157 - r158 - r159 + 0.059*r201 + 0.05*r202 + 0.061*r207 + &
        0.042*r208 + 0.015*r209
    vardot(39) = r117 + r118 - r152 - r153 + 0.017*r201
    vardot(40) = r122 + r123 + r124 + r128 + r130 + 0.034*r132 + r133 + &
        2.0*r144 + r145 + 1.26*r146 + 1.26*r147 + r148 + r149 + r150 + &
        0.416*r160 + 0.45*r161 + 0.5*r162 + 0.67*r164 + 0.475*r166 + 0.7*r168 &
        + 0.336*r169 + 0.498*r170 + 0.572*r171 + 1.233*r172 + r177 + 1.5*r178 &
        + r180 + r182 + 0.5*r185 + 0.491*r187 + 0.275*r189 + 0.157*r193 + &
        0.16*r197 + 0.002*r199 + 0.345*r204 + 0.265*r208 + 0.012*r210 - r28
    vardot(41) = -r148 - r149 - r150 + 0.23*r154 + 0.084*r160 + 0.9*r161 + &
        0.3*r165 + 0.95*r166 + 0.174*r169 + 0.742*r170 + 0.008*r171 + &
        0.5*r180 + 0.5*r182 + 0.119*r201 + 0.287*r202
    vardot(42) = r115 - r135 - r136 + 0.006*r175 + 0.02*r176 + 0.13*r193 + &
        0.417*r197 + 0.024*r198 + 0.452*r199 + 0.072*r200 + 0.005*r203 + &
        0.001*r204 + 0.024*r205 + 0.127*r207 + 0.045*r208 + 0.102*r209
    vardot(43) = 2.0*r12 + r128 + r131 + r134 + r147 + r150 + r153 + r155 + &
        r156 + r159 + 0.5*r162 + 0.15*r171 + r24 - r26 - r27 + 0.2*r38
    vardot(44) = -r184 - r185 - r186 - r187
    vardot(45) = -r144 - r145 - r146 - r147 + 0.23*r152 + 0.15*r169 + &
        0.023*r170 + r178 + 0.5*r180 + 0.5*r182 + 0.009*r187 + 0.001*r193 + &
        0.248*r197 + 0.118*r201 + 0.097*r202
    vardot(46) = 2.0*r100 + r112 - r116 - r117 - r118 + 0.24*r152 + r153 + &
        0.24*r154 + r155 + r91 + r93 + r98 + r99
    vardot(47) = -r188 - r189 - r190 - r191
    vardot(48) = 2.0*r100 - r108 + r112 + r135 + 0.616*r137 + 0.675*r165 + &
        0.515*r174 + 0.596*r175 + 0.152*r176 + r179 + r180 + r181 + r182 + &
        0.079*r188 + 0.126*r189 + 0.187*r190 + 0.24*r191 + 0.5*r192 + &
        0.729*r193 + 0.75*r194 + 0.559*r198 + 0.936*r199 + 0.948*r200 + &
        0.205*r203 + 0.488*r205 + 0.001*r207 + 0.137*r208 + 0.711*r209 - r55 &
        - r56 - r57 - r58 - r59 - r66 - r75 - r85 + r91 + r93 - r96 + r98 + &
        r99
    vardot(49) = -r192 - r193 - r194 - r195
    vardot(50) = -r160 - r161 - r162 - r163 - r164 + 0.23*r188 + 0.39*r189 + &
        0.025*r207 + 0.026*r208 + 0.012*r210
    vardot(51) = -r203 - r204 - r205 - r206
    vardot(52) = -r169 - r170 - r171 - r172 + 0.357*r188 + 0.936*r190 + &
        0.025*r207
    vardot(53) = -r207 - r208 - r209 - r210
    vardot(54) = -r165 - r166 - r167 - r168 + 0.32*r188 + 0.16*r189 + &
        0.019*r208 + 0.048*r209
    vardot(55) = r111 - r129 - r130 - r131 + 0.034*r132 + r133 + 0.482*r137 + &
        r138 + 0.129*r169 + 0.047*r170 + 0.467*r172 + 0.084*r173 + 0.246*r174 &
        + 0.439*r175 + 0.431*r176 + 0.195*r184 + 0.25*r187 + r196 + &
        0.445*r198 + 0.455*r199 + 0.099*r200 + 0.294*r203 + 0.154*r204 + &
        0.009*r205 + 0.732*r207 + 0.456*r208 + 0.507*r209 + r80 + r82 + r87 + &
        2.0*r88 + r99
    vardot(56) = r103 + r105 + r106 + r110 + r111 + r112 + 2.0*r113 - r122 - &
        r123 - r124 - r125 + r126 - r128 + r135 + 0.115*r137 + r139 + &
        0.35*r140 + r141 + r145 + 0.084*r160 + 0.2*r161 + 0.67*r164 + &
        0.3*r165 + 0.1*r166 + 0.055*r169 + 0.125*r170 + 0.227*r171 + 0.3*r172 &
        + 0.213*r173 + 0.506*r174 + 0.01*r175 + 0.134*r176 + 1.61*r184 + r185 &
        + 0.191*r187 + 0.624*r188 + 0.592*r189 + 0.24*r191 + 0.276*r192 + &
        0.235*r193 + 0.039*r197 + 0.026*r198 + 0.024*r199 + 0.026*r200 + &
        0.732*r203 + 0.5*r204 + 0.244*r207 + 0.269*r208 + 0.079*r209 + r45 + &
        r47 + r48 + 2.0*r49 + 0.75*r53 + 0.75*r63 + r73 + r83 + r94
    vardot(57) = r114 + 0.572*r171 - 0.69*r175 - r176 + 0.276*r194 + &
        0.511*r205 + 0.321*r209 + r61
    vardot(58) = r0 - r1 + r15 + r16 - r163 - r167 - r187 + r19 - r191 - r195 &
        - r2 - r206 - r210 - r3 - r4 - r5
    vardot(59) = -r132 - r133 - r134 + 0.37*r137 + r142 + r143 + r163 + &
        0.675*r165 + 0.45*r167 + 0.013*r169 + 0.218*r171 + 0.558*r173 + &
        0.71*r174 + 0.213*r175 + 0.147*r176 + r177 + r179 + r181 + r186 + &
        0.474*r192 + 0.205*r193 + 0.474*r194 + 0.147*r195 + 0.155*r197 + &
        0.122*r198 + 0.244*r199 + 0.204*r200 + 0.497*r203 + 0.363*r204 + &
        0.037*r205 + 0.45*r206 + 0.511*r207 + 0.305*r208 + 0.151*r209 + &
        0.069*r210
    vardot(60) = -r137 - r138 + 0.416*r160 + 0.55*r167 + 0.15*r169 + &
        0.21*r170 + 0.233*r172 + 0.115*r173 + 0.177*r175 + 0.243*r176 + &
        0.332*r198 + 0.11*r199 + 0.089*r200 + 0.437*r206 + 0.072*r207 + &
        0.026*r208 + 0.001*r209 + 0.659*r210 + 0.5*r63 + r64 + 0.5*r65 + r67
    vardot(61) = 0.7*r168 + 0.332*r169 - 0.671*r173 - r174 + 0.048*r175 + &
        0.435*r176 + 0.1*r189 + 0.75*r191 + 0.276*r192 + 0.276*r193 + &
        0.853*r195 + 0.125*r199 + 0.417*r200 + 0.055*r201 + 0.119*r203 + &
        0.215*r204 + 0.113*r206 + 0.043*r208 + 0.259*r210 + 0.5*r63 + 0.5*r65 &
        + r67 + r76 + r86 + r97
    vardot(62) = r1 + 0.25*r104 - r16 - r161 - r166 - r17 - r170 - r178 - &
        r185 - r189 - r193 - r2 - r204 - r208 - r29 - r35 - r6 - r7 + &
        0.25*r71 + 0.25*r81 + 0.25*r92
    vardot(63) = -r104 - r117 - r120 + 2.0*r122 + r124 - r125 + r126 + r127 + &
        r128 + r130 + r133 + r139 + r141 + r143 + 2.0*r144 + 0.63*r146 + &
        0.63*r147 + r148 + 0.008*r161 + 0.34*r164 + 0.064*r166 + 0.4*r170 + &
        1.233*r172 + 0.379*r173 + 0.113*r175 + 0.341*r176 + 1.5*r178 + &
        0.5*r180 + 0.5*r182 + 0.12*r185 + 0.5*r187 + 0.033*r193 + 0.121*r197 &
        + 0.224*r201 + 0.187*r202 + 0.056*r204 + 0.003*r208 + 0.013*r210 + &
        r22 + r25 + r28 + r29 - r30 - r31 + r32 + 0.61*r33 - r35 - 2.0*r36 - &
        2.0*r37 - r38 + r41 - r42 + r43 + r44 + r45 - r46 + r47 + 2.0*r49 + &
        r50 - r51 + r52 + r53 + r54 - r62 + r63 + r64 + r65 + r67 - r71 - r81 &
        - r92
    vardot(64) = -r109 + 0.001*r132 + 0.042*r137 + 0.025*r165 + 0.041*r169 + &
        0.051*r171 + 0.07*r173 + 0.04*r174 + 0.173*r175 + 0.095*r176 + &
        0.093*r188 + 0.008*r189 + 0.064*r190 + 0.01*r191 + 0.25*r192 + &
        0.18*r193 + 0.25*r194 + 0.021*r197 + 0.07*r198 + 0.143*r199 + &
        0.347*r200 + 0.011*r201 + 0.009*r202 + 0.09*r203 + 0.001*r204 + &
        0.176*r205 + 0.082*r207 + 0.002*r208 + 0.136*r209 + 0.001*r210 - r61 &
        - r62 - r63 - r64 - r65 - 2.0*r67 - r76 - r86 - r97
    vardot(65) = -r101 + r102 - r103 - r104 - r105 - r106 - r107 - r109 - &
        r110 - r111 - r112 - 2.0*r113 + 0.5*r160 + 0.5*r162 + 0.33*r164 + &
        0.3*r168 + 0.289*r169 + 0.15*r171 + 0.192*r189 + 0.24*r191
    vardot(66) = -r106 + r110 + r115 + r130 + r136 + 0.65*r140 + 0.3*r168 + &
        r183 + 0.3*r187 + 0.25*r191 + 0.011*r199 + 0.076*r204 + 0.197*r208 + &
        0.03*r209 - r45 - r46 - r47 - 2.0*r48 - 2.0*r49 - r53 - r63 + r70 + &
        r72 - r73 + 2.0*r77 - r83 + r87 - r94 + r98
    vardot(67) = -2.0*r100 - r112 + r157 + r159 - r89 + r90 - r91 - r92 - r93 &
        - r94 - r95 - r97 - r98 - r99
    vardot(68) = -r107 + r111 + 0.034*r132 + r133 + 0.37*r137 + r138 + &
        0.34*r142 + 0.76*r152 + 0.76*r154 + 0.5*r160 + 0.1*r161 + 0.5*r162 + &
        0.33*r164 + 0.3*r165 + 0.05*r166 + 0.67*r169 + 0.048*r170 + &
        0.799*r171 + 0.473*r173 + 0.96*r174 + 0.376*r175 + 0.564*r176 + r177 &
        + r180 + r182 + r184 + r186 + 0.2*r187 + 0.907*r188 + 0.066*r189 + &
        0.749*r190 + 0.75*r192 + 0.031*r193 + 0.276*r194 + r196 + 0.612*r197 &
        + 0.695*r198 + 0.835*r199 + 0.653*r200 + 0.765*r201 + 0.804*r202 + &
        0.91*r203 + 0.022*r204 + 0.824*r205 + 0.918*r207 + 0.033*r208 + &
        0.442*r209 + 0.012*r210 - r50 - r51 - r52 - r53 - 2.0*r54 - r65 - r74 &
        + r80 + r82 - r84 + r87 + 2.0*r88 - r95 + r99
    vardot(69) = r0 - r103 - r127 + r13 + r14 - r20 + r21 - r3 - r30 + r4 - &
        r45 - r50 - r55 - r6 - r61 - r70 - r8 - r80 - 2.0*r9 - r91
    vardot(70) = -r0 - r10 - r101 + r102 + r103 + r105 + r11 - r114 - r116 - &
        r119 + r127 + r15 + 0.338*r175 + r176 + 0.187*r190 + 0.474*r194 + &
        0.391*r209 + r22 + r23 - r24 + r25 + r27 + r3 + r30 - r31 + r32 + &
        0.61*r33 + r34 + 0.8*r38 + 2.0*r39 - r4 + r45 + r47 - r5 + r50 + r52 &
        + r55 + r57 + r6 + r64 - r68 + r69 - r7 + r70 + r72 - r78 + r79 + &
        2.0*r8 + r80 + r82 - r89 + 2.0*r9 + r90 + r91 + r93
    vardot(71) = -r10 - r105 + r11 - r128 - r13 - r131 - r134 - r14 - r147 - &
        r15 - r150 - r153 - r155 - r156 - r159 - r162 - r171 - r186 - r190 - &
        r194 - r205 - r209 - r25 + r26 + 0.39*r33 - r38 - 2.0*r39 - r47 + r5 &
        - r52 - r57 - r64 + r7 - r72 - r8 - r82 - r93
    vardot(72) = r103 + r105 + r111 + r112 + 2.0*r113 + r129 + r131 + r135 + &
        r136 + 0.492*r137 + r138 + r148 + r149 + r150 + 2.0*r151 + 0.67*r164 &
        + 0.675*r165 + 0.467*r172 + 0.029*r173 + 0.667*r174 + r179 + 0.5*r180 &
        + r181 + 0.5*r182 + 0.123*r193 + 0.011*r199 + 0.137*r208 - r68 + r69 &
        - r70 - r71 - r72 - r73 - r74 - r76 - 2.0*r77 - r87 - r98
    vardot(73) = -r111 + 0.965*r132 + r134 + 0.096*r137 + 0.37*r146 + &
        0.37*r147 + 0.1*r161 + 0.05*r166 + 0.048*r170 + 0.3*r172 + 0.049*r173 &
        + 0.333*r174 + 0.201*r193 + 0.006*r208 - r78 + r79 - r80 - r81 - r82 &
        - r83 - r84 - r86 - r87 - 2.0*r88 - r99
    vardot(74) = -r124 - r129 - r132 - r135 - r137 - r139 - 0.65*r140 + r141 &
        - 0.34*r142 + r143 - r146 - r149 - r152 - r154 - r157 - r160 + &
        0.208*r161 + 0.33*r164 - r165 + 0.164*r166 - r169 + 0.285*r170 - r173 &
        - r175 - r177 + 0.5*r178 - r179 + 2.0*r18 - r181 - r183 - r184 + &
        0.12*r185 - r188 + 0.266*r189 - r192 + 0.567*r193 - r196 - 0.754*r197 &
        - r198 - r199 - r20 - r200 - r201 - r202 - r203 + 0.155*r204 - r207 + &
        0.378*r208 + r21 - r23 - r24 - r25 - r26 + r27 - r28 - r29 + r30 + &
        0.39*r33 - r34 + r35 + 0.8*r38 + 2.0*r40 - r41 - r42 - r43 - r44

  END SUBROUTINE Fun



END MODULE saprc99_function
!------------------------ END saprc99_function.f90 END -----------------------
