!----------------------- BEGIN saprc99_solve.f90 BEGIN -----------------------
! @file saprc99_solve.f90                                                     
! @author jlinford                                                            
! @date 2017-02-27 17:42:44.778863                                            
! @brief Solve Ax=b by forward-backward substitution                          
!                                                                             
! Solve Ax=b by forward-backward substitution                                 
!                                                                             
! This file was generated by Kppa: http://www.paratools.com/Kppa              
!-----------------------------------------------------------------------------


MODULE saprc99_solve

  USE saprc99_parameters
  USE saprc99_sparse

  IMPLICIT NONE





  CONTAINS

!----------------------------------- Solve -----------------------------------
! Solve Ax=b in place by back substitution                                    
!                                                                             
! @param[in]     A Row-compressed matrix with zero fill                       
! @param[in,out] x Input and solution vector                                  
!-----------------------------------------------------------------------------
  SUBROUTINE Solve(A, x)
    IMPLICIT NONE

    REAL(8), INTENT(IN) :: A(JAC_LU_NZ)
    REAL(8), INTENT(INOUT) :: x(NVAR)

    REAL(8) :: x0
    REAL(8) :: x1
    REAL(8) :: x2
    REAL(8) :: x3
    REAL(8) :: x4
    REAL(8) :: x5
    REAL(8) :: x6
    REAL(8) :: x7
    REAL(8) :: x8
    REAL(8) :: x9
    REAL(8) :: x10
    REAL(8) :: x11
    REAL(8) :: x12
    REAL(8) :: x13
    REAL(8) :: x14
    REAL(8) :: x15
    REAL(8) :: x16
    REAL(8) :: x17
    REAL(8) :: x18
    REAL(8) :: x19
    REAL(8) :: x20
    REAL(8) :: x21
    REAL(8) :: x22
    REAL(8) :: x23
    REAL(8) :: x24
    REAL(8) :: x25
    REAL(8) :: x26
    REAL(8) :: x27
    REAL(8) :: x28
    REAL(8) :: x29
    REAL(8) :: x30
    REAL(8) :: x31
    REAL(8) :: x32
    REAL(8) :: x33
    REAL(8) :: x34
    REAL(8) :: x35
    REAL(8) :: x36
    REAL(8) :: x37
    REAL(8) :: x38
    REAL(8) :: x39
    REAL(8) :: x40
    REAL(8) :: x41
    REAL(8) :: x42
    REAL(8) :: x43
    REAL(8) :: x44
    REAL(8) :: x45
    REAL(8) :: x46
    REAL(8) :: x47
    REAL(8) :: x48
    REAL(8) :: x49
    REAL(8) :: x50
    REAL(8) :: x51
    REAL(8) :: x52
    REAL(8) :: x53
    REAL(8) :: x54
    REAL(8) :: x55
    REAL(8) :: x56
    REAL(8) :: x57
    REAL(8) :: x58
    REAL(8) :: x59
    REAL(8) :: x60
    REAL(8) :: x61
    REAL(8) :: x62
    REAL(8) :: x63
    REAL(8) :: x64
    REAL(8) :: x65
    REAL(8) :: x66
    REAL(8) :: x67
    REAL(8) :: x68
    REAL(8) :: x69
    REAL(8) :: x70
    REAL(8) :: x71
    REAL(8) :: x72
    REAL(8) :: x73

    x0 = x(1)
    x1 = x(2)
    x2 = x(3)
    x3 = x(4)
    x4 = x(5)
    x5 = x(6)
    x6 = x(7)
    x7 = x(8)
    x8 = x(9)
    x9 = x(10)
    x10 = x(11)
    x11 = x(12)
    x12 = x(13)
    x13 = x(14)
    x14 = x(15)
    x15 = x(16)
    x16 = x(17)
    x17 = x(18)
    x18 = x(19)
    x19 = x(20)
    x20 = x(21)
    x21 = -A(92)*x20 + x(22)
    x22 = x(23)
    x23 = x(24)
    x24 = x(25)
    x25 = x(26)
    x26 = x(27)
    x27 = x(28)
    x28 = x(29)
    x29 = x(30)
    x30 = x(31)
    x31 = -A(126)*x23 - A(127)*x30 + x(32)
    x32 = -A(130)*x23 - A(131)*x30 + x(33)
    x33 = -A(134)*x23 - A(135)*x30 + x(34)
    x34 = -A(139)*x23 - A(140)*x30 + x(35)
    x35 = -A(144)*x27 + x(36)
    x36 = x(37)
    x37 = -A(155)*x23 - A(156)*x30 + x(38)
    x38 = -A(162)*x30 + x(39)
    x39 = -A(168)*x19 - A(169)*x29 - A(170)*x31 - A(171)*x32 - A(172)*x34 + &
        x(40)
    x40 = -A(191)*x23 - A(192)*x30 - A(193)*x31 - A(194)*x32 - A(195)*x33 + &
        x(41)
    x41 = -A(203)*x19 - A(204)*x20 - A(205)*x21 - A(206)*x22 - A(207)*x29 + &
        x(42)
    x42 = -A(217)*x17 - A(218)*x33 - A(219)*x35 - A(220)*x37 - A(221)*x38 - &
        A(222)*x40 + x(43)
    x43 = x(44)
    x44 = -A(243)*x19 - A(244)*x23 - A(245)*x30 - A(246)*x31 - A(247)*x32 - &
        A(248)*x34 - A(249)*x38 - A(250)*x43 + x(45)
    x45 = -A(260)*x33 - A(261)*x38 + x(46)
    x46 = x(47)
    x47 = -A(277)*x20 - A(278)*x22 - A(279)*x29 - A(280)*x31 - A(281)*x32 - &
        A(282)*x41 - A(283)*x46 + x(48)
    x48 = x(49)
    x49 = -A(311)*x46 + x(50)
    x50 = x(51)
    x51 = -A(323)*x46 + x(52)
    x52 = x(53)
    x53 = -A(335)*x46 - A(336)*x52 + x(54)
    x54 = -A(342)*x10 - A(343)*x20 - A(344)*x22 - A(345)*x29 - A(346)*x43 - &
        A(347)*x50 - A(348)*x51 - A(349)*x52 + x(55)
    x55 = -A(364)*x19 - A(365)*x20 - A(366)*x22 - A(367)*x25 - A(368)*x26 - &
        A(369)*x28 - A(370)*x29 - A(371)*x41 - A(372)*x43 - A(373)*x44 - &
        A(374)*x45 - A(375)*x46 - A(376)*x48 - A(377)*x49 - A(378)*x50 - &
        A(379)*x51 - A(380)*x52 - A(381)*x53 + x(56)
    x56 = -A(400)*x21 - A(401)*x48 - A(402)*x50 - A(403)*x51 - A(404)*x52 + &
        x(57)
    x57 = -A(413)*x9 - A(414)*x43 - A(415)*x46 - A(416)*x48 - A(417)*x49 - &
        A(418)*x50 - A(419)*x52 - A(420)*x53 + x(58)
    x58 = -A(427)*x19 - A(428)*x20 - A(429)*x22 - A(430)*x29 - A(431)*x31 - &
        A(432)*x32 - A(433)*x34 - A(434)*x36 - A(435)*x43 - A(436)*x48 - &
        A(437)*x49 - A(438)*x50 - A(439)*x51 - A(440)*x52 - A(441)*x53 - &
        A(442)*x56 - A(443)*x57 + x(59)
    x59 = -A(455)*x20 - A(456)*x22 - A(457)*x29 - A(458)*x49 - A(459)*x50 - &
        A(460)*x51 - A(461)*x52 - A(462)*x53 - A(463)*x56 - A(464)*x57 + &
        x(60)
    x60 = -A(475)*x22 - A(476)*x29 - A(477)*x30 - A(478)*x46 - A(479)*x48 - &
        A(480)*x50 - A(481)*x51 - A(482)*x52 - A(483)*x53 - A(484)*x56 - &
        A(485)*x57 + x(61)
    x61 = -A(498)*x34 - A(499)*x43 - A(500)*x46 - A(501)*x48 - A(502)*x49 - &
        A(503)*x50 - A(504)*x51 - A(505)*x52 - A(506)*x53 - A(507)*x57 + &
        x(62)
    x62 = -A(518)*x8 - A(519)*x16 - A(520)*x18 - A(521)*x19 - A(522)*x23 - &
        A(523)*x24 - A(524)*x25 - A(525)*x26 - A(526)*x27 - A(527)*x28 - &
        A(528)*x30 - A(529)*x31 - A(530)*x32 - A(531)*x34 - A(532)*x35 - &
        A(533)*x36 - A(534)*x39 - A(535)*x40 - A(536)*x43 - A(537)*x44 - &
        A(538)*x45 - A(539)*x46 - A(540)*x48 - A(541)*x49 - A(542)*x50 - &
        A(543)*x51 - A(544)*x52 - A(545)*x53 - A(546)*x54 - A(547)*x55 - &
        A(548)*x56 - A(549)*x57 - A(550)*x58 - A(551)*x59 - A(552)*x60 - &
        A(553)*x61 + x(63)
    x63 = -A(566)*x19 - A(567)*x20 - A(568)*x22 - A(569)*x23 - A(570)*x29 - &
        A(571)*x30 - A(572)*x46 - A(573)*x48 - A(574)*x50 - A(575)*x51 - &
        A(576)*x52 - A(577)*x53 - A(578)*x56 - A(579)*x57 - A(580)*x58 - &
        A(581)*x59 - A(582)*x60 - A(583)*x61 - A(584)*x62 + x(64)
    x64 = -A(596)*x15 - A(597)*x46 - A(598)*x49 - A(599)*x51 - A(600)*x52 - &
        A(601)*x53 - A(602)*x57 - A(603)*x61 - A(604)*x62 - A(605)*x63 + &
        x(65)
    x65 = -A(616)*x21 - A(617)*x25 - A(618)*x29 - A(619)*x41 - A(620)*x43 - &
        A(621)*x46 - A(622)*x48 - A(623)*x50 - A(624)*x52 - A(625)*x53 - &
        A(626)*x54 - A(627)*x56 - A(628)*x57 - A(629)*x58 - A(630)*x59 - &
        A(631)*x60 - A(632)*x61 - A(633)*x62 - A(634)*x63 - A(635)*x64 + &
        x(66)
    x66 = -A(645)*x14 - A(646)*x37 - A(647)*x52 - A(648)*x57 - A(649)*x61 - &
        A(650)*x62 - A(651)*x63 - A(652)*x64 - A(653)*x65 + x(67)
    x67 = -A(662)*x10 - A(663)*x19 - A(664)*x20 - A(665)*x22 - A(666)*x23 - &
        A(667)*x29 - A(668)*x30 - A(669)*x31 - A(670)*x32 - A(671)*x33 - &
        A(672)*x34 - A(673)*x36 - A(674)*x38 - A(675)*x43 - A(676)*x45 - &
        A(677)*x46 - A(678)*x48 - A(679)*x49 - A(680)*x50 - A(681)*x51 - &
        A(682)*x52 - A(683)*x53 - A(684)*x56 - A(685)*x57 - A(686)*x58 - &
        A(687)*x59 - A(688)*x60 - A(689)*x61 - A(690)*x62 - A(691)*x63 - &
        A(692)*x64 - A(693)*x65 - A(694)*x66 + x(68)
    x68 = -A(702)*x18 - A(703)*x26 - A(704)*x47 - A(705)*x48 - A(706)*x50 - &
        A(707)*x52 - A(708)*x53 - A(709)*x55 - A(710)*x56 - A(711)*x57 - &
        A(712)*x59 - A(713)*x60 - A(714)*x61 - A(715)*x62 - A(716)*x63 - &
        A(717)*x64 - A(718)*x65 - A(719)*x66 - A(720)*x67 + x(69)
    x69 = -A(727)*x12 - A(728)*x13 - A(729)*x14 - A(730)*x15 - A(731)*x17 - &
        A(732)*x18 - A(733)*x21 - A(734)*x24 - A(735)*x26 - A(736)*x27 - &
        A(737)*x35 - A(738)*x42 - A(739)*x44 - A(740)*x45 - A(741)*x46 - &
        A(742)*x47 - A(743)*x48 - A(744)*x49 - A(745)*x50 - A(746)*x51 - &
        A(747)*x52 - A(748)*x53 - A(749)*x54 - A(750)*x55 - A(751)*x56 - &
        A(752)*x57 - A(753)*x58 - A(754)*x59 - A(755)*x60 - A(756)*x61 - &
        A(757)*x62 - A(758)*x63 - A(759)*x64 - A(760)*x65 - A(761)*x66 - &
        A(762)*x67 - A(763)*x68 + x(70)
    x70 = -A(769)*x17 - A(770)*x24 - A(771)*x33 - A(772)*x35 - A(773)*x37 - &
        A(774)*x38 - A(775)*x40 - A(776)*x42 - A(777)*x43 - A(778)*x44 - &
        A(779)*x45 - A(780)*x46 - A(781)*x47 - A(782)*x48 - A(783)*x49 - &
        A(784)*x50 - A(785)*x51 - A(786)*x52 - A(787)*x53 - A(788)*x54 - &
        A(789)*x55 - A(790)*x56 - A(791)*x57 - A(792)*x58 - A(793)*x59 - &
        A(794)*x60 - A(795)*x61 - A(796)*x62 - A(797)*x63 - A(798)*x64 - &
        A(799)*x65 - A(800)*x66 - A(801)*x67 - A(802)*x68 - A(803)*x69 + &
        x(71)
    x71 = -A(808)*x11 - A(809)*x12 - A(810)*x23 - A(811)*x29 - A(812)*x31 - &
        A(813)*x32 - A(814)*x40 - A(815)*x41 - A(816)*x48 - A(817)*x49 - &
        A(818)*x50 - A(819)*x51 - A(820)*x52 - A(821)*x53 - A(822)*x54 - &
        A(823)*x56 - A(824)*x57 - A(825)*x58 - A(826)*x59 - A(827)*x60 - &
        A(828)*x61 - A(829)*x62 - A(830)*x63 - A(831)*x64 - A(832)*x65 - &
        A(833)*x66 - A(834)*x67 - A(835)*x68 - A(836)*x69 - A(837)*x70 + &
        x(72)
    x72 = -A(841)*x13 - A(842)*x44 - A(843)*x45 - A(844)*x48 - A(845)*x49 - &
        A(846)*x51 - A(847)*x52 - A(848)*x53 - A(849)*x57 - A(850)*x58 - &
        A(851)*x59 - A(852)*x60 - A(853)*x61 - A(854)*x62 - A(855)*x63 - &
        A(856)*x64 - A(857)*x65 - A(858)*x66 - A(859)*x67 - A(860)*x68 - &
        A(861)*x69 - A(862)*x70 - A(863)*x71 + x(73)
    x73 = -A(866)*x8 - A(867)*x9 - A(868)*x10 - A(869)*x16 - A(870)*x18 - &
        A(871)*x19 - A(872)*x20 - A(873)*x22 - A(874)*x23 - A(875)*x24 - &
        A(876)*x25 - A(877)*x28 - A(878)*x29 - A(879)*x30 - A(880)*x31 - &
        A(881)*x32 - A(882)*x33 - A(883)*x34 - A(884)*x36 - A(885)*x37 - &
        A(886)*x38 - A(887)*x39 - A(888)*x40 - A(889)*x41 - A(890)*x42 - &
        A(891)*x43 - A(892)*x44 - A(893)*x45 - A(894)*x46 - A(895)*x48 - &
        A(896)*x49 - A(897)*x50 - A(898)*x51 - A(899)*x52 - A(900)*x53 - &
        A(901)*x54 - A(902)*x55 - A(903)*x56 - A(904)*x57 - A(905)*x58 - &
        A(906)*x59 - A(907)*x60 - A(908)*x61 - A(909)*x62 - A(910)*x63 - &
        A(911)*x64 - A(912)*x65 - A(913)*x66 - A(914)*x67 - A(915)*x68 - &
        A(916)*x69 - A(917)*x70 - A(918)*x71 - A(919)*x72 + x(74)

    x73 = x73/A(920)
    x72 = (-A(865)*x73 + x72)/A(864)
    x71 = (-A(839)*x72 - A(840)*x73 + x71)/A(838)
    x70 = (-A(805)*x71 - A(806)*x72 - A(807)*x73 + x70)/A(804)
    x69 = (-A(765)*x70 - A(766)*x71 - A(767)*x72 - A(768)*x73 + x69)/A(764)
    x68 = (-A(722)*x69 - A(723)*x70 - A(724)*x71 - A(725)*x72 - A(726)*x73 + &
        x68)/A(721)
    x67 = (-A(696)*x68 - A(697)*x69 - A(698)*x70 - A(699)*x71 - A(700)*x72 - &
        A(701)*x73 + x67)/A(695)
    x66 = (-A(655)*x67 - A(656)*x68 - A(657)*x69 - A(658)*x70 - A(659)*x71 - &
        A(660)*x72 - A(661)*x73 + x66)/A(654)
    x65 = (-A(637)*x66 - A(638)*x67 - A(639)*x68 - A(640)*x69 - A(641)*x70 - &
        A(642)*x71 - A(643)*x72 - A(644)*x73 + x65)/A(636)
    x64 = (-A(607)*x65 - A(608)*x66 - A(609)*x67 - A(610)*x68 - A(611)*x69 - &
        A(612)*x70 - A(613)*x71 - A(614)*x72 - A(615)*x73 + x64)/A(606)
    x63 = (-A(586)*x64 - A(587)*x65 - A(588)*x66 - A(589)*x67 - A(590)*x68 - &
        A(591)*x69 - A(592)*x70 - A(593)*x71 - A(594)*x72 - A(595)*x73 + &
        x63)/A(585)
    x62 = (-A(555)*x63 - A(556)*x64 - A(557)*x65 - A(558)*x66 - A(559)*x67 - &
        A(560)*x68 - A(561)*x69 - A(562)*x70 - A(563)*x71 - A(564)*x72 - &
        A(565)*x73 + x62)/A(554)
    x61 = (-A(509)*x62 - A(510)*x64 - A(511)*x66 - A(512)*x68 - A(513)*x69 - &
        A(514)*x70 - A(515)*x71 - A(516)*x72 - A(517)*x73 + x61)/A(508)
    x60 = (-A(487)*x61 - A(488)*x63 - A(489)*x65 - A(490)*x66 - A(491)*x67 - &
        A(492)*x68 - A(493)*x69 - A(494)*x70 - A(495)*x71 - A(496)*x72 - &
        A(497)*x73 + x60)/A(486)
    x59 = (-A(466)*x60 - A(467)*x61 - A(468)*x63 - A(469)*x65 - A(470)*x67 - &
        A(471)*x68 - A(472)*x69 - A(473)*x70 - A(474)*x73 + x59)/A(465)
    x58 = (-A(445)*x59 - A(446)*x60 - A(447)*x61 - A(448)*x62 - A(449)*x63 - &
        A(450)*x67 - A(451)*x68 - A(452)*x69 - A(453)*x70 - A(454)*x73 + &
        x58)/A(444)
    x57 = (-A(422)*x61 - A(423)*x68 - A(424)*x69 - A(425)*x70 - A(426)*x73 + &
        x57)/A(421)
    x56 = (-A(406)*x57 - A(407)*x61 - A(408)*x63 - A(409)*x68 - A(410)*x69 - &
        A(411)*x70 - A(412)*x73 + x56)/A(405)
    x55 = (-A(383)*x56 - A(384)*x57 - A(385)*x59 - A(386)*x60 - A(387)*x61 - &
        A(388)*x62 - A(389)*x63 - A(390)*x64 - A(391)*x65 - A(392)*x66 - &
        A(393)*x67 - A(394)*x68 - A(395)*x69 - A(396)*x70 - A(397)*x71 - &
        A(398)*x72 - A(399)*x73 + x55)/A(382)
    x54 = (-A(351)*x56 - A(352)*x57 - A(353)*x58 - A(354)*x59 - A(355)*x60 - &
        A(356)*x61 - A(357)*x64 - A(358)*x66 - A(359)*x68 - A(360)*x70 - &
        A(361)*x71 - A(362)*x72 - A(363)*x73 + x54)/A(350)
    x53 = (-A(338)*x57 - A(339)*x61 - A(340)*x70 - A(341)*x73 + x53)/A(337)
    x52 = (-A(331)*x57 - A(332)*x61 - A(333)*x70 - A(334)*x73 + x52)/A(330)
    x51 = (-A(325)*x52 - A(326)*x57 - A(327)*x61 - A(328)*x70 - A(329)*x73 + &
        x51)/A(324)
    x50 = (-A(319)*x57 - A(320)*x61 - A(321)*x70 - A(322)*x73 + x50)/A(318)
    x49 = (-A(313)*x52 - A(314)*x57 - A(315)*x61 - A(316)*x70 - A(317)*x73 + &
        x49)/A(312)
    x48 = (-A(307)*x57 - A(308)*x61 - A(309)*x70 - A(310)*x73 + x48)/A(306)
    x47 = (-A(285)*x48 - A(286)*x50 - A(287)*x52 - A(288)*x53 - A(289)*x56 - &
        A(290)*x57 - A(291)*x59 - A(292)*x60 - A(293)*x61 - A(294)*x62 - &
        A(295)*x63 - A(296)*x64 - A(297)*x65 - A(298)*x66 - A(299)*x67 - &
        A(300)*x68 - A(301)*x69 - A(302)*x70 - A(303)*x71 - A(304)*x72 - &
        A(305)*x73 + x47)/A(284)
    x46 = (-A(273)*x57 - A(274)*x61 - A(275)*x70 - A(276)*x73 + x46)/A(272)
    x45 = (-A(263)*x62 - A(264)*x64 - A(265)*x66 - A(266)*x68 - A(267)*x69 - &
        A(268)*x70 - A(269)*x71 - A(270)*x72 - A(271)*x73 + x45)/A(262)
    x44 = (-A(252)*x45 - A(253)*x48 - A(254)*x51 - A(255)*x57 - A(256)*x61 - &
        A(257)*x62 - A(258)*x70 - A(259)*x73 + x44)/A(251)
    x43 = (-A(239)*x57 - A(240)*x61 - A(241)*x70 - A(242)*x73 + x43)/A(238)
    x42 = (-A(224)*x44 - A(225)*x45 - A(226)*x49 - A(227)*x51 - A(228)*x52 - &
        A(229)*x53 - A(230)*x54 - A(231)*x55 - A(232)*x58 - A(233)*x61 - &
        A(234)*x62 - A(235)*x69 - A(236)*x70 - A(237)*x73 + x42)/A(223)
    x41 = (-A(209)*x48 - A(210)*x50 - A(211)*x52 - A(212)*x56 - A(213)*x61 - &
        A(214)*x69 - A(215)*x70 - A(216)*x73 + x41)/A(208)
    x40 = (-A(197)*x49 - A(198)*x51 - A(199)*x53 - A(200)*x61 - A(201)*x70 - &
        A(202)*x73 + x40)/A(196)
    x39 = (-A(174)*x40 - A(175)*x43 - A(176)*x44 - A(177)*x46 - A(178)*x48 - &
        A(179)*x49 - A(180)*x50 - A(181)*x51 - A(182)*x52 - A(183)*x53 - &
        A(184)*x54 - A(185)*x55 - A(186)*x57 - A(187)*x58 - A(188)*x61 - &
        A(189)*x70 - A(190)*x73 + x39)/A(173)
    x38 = (-A(164)*x45 - A(165)*x62 - A(166)*x70 - A(167)*x73 + x38)/A(163)
    x37 = (-A(158)*x52 - A(159)*x61 - A(160)*x70 - A(161)*x73 + x37)/A(157)
    x36 = (-A(151)*x62 - A(152)*x63 - A(153)*x67 - A(154)*x73 + x36)/A(150)
    x35 = (-A(146)*x45 - A(147)*x62 - A(148)*x69 - A(149)*x70 + x35)/A(145)
    x34 = (-A(142)*x61 - A(143)*x73 + x34)/A(141)
    x33 = (-A(137)*x70 - A(138)*x73 + x33)/A(136)
    x32 = (-A(133)*x73 + x32)/A(132)
    x31 = (-A(129)*x73 + x31)/A(128)
    x30 = (-A(125)*x73 + x30)/A(124)
    x29 = (-A(123)*x73 + x29)/A(122)
    x28 = (-A(118)*x63 - A(119)*x65 - A(120)*x67 - A(121)*x73 + x28)/A(117)
    x27 = (-A(113)*x35 - A(114)*x62 - A(115)*x69 - A(116)*x70 + x27)/A(112)
    x26 = (-A(109)*x55 - A(110)*x62 - A(111)*x68 + x26)/A(108)
    x25 = (-A(105)*x62 - A(106)*x65 - A(107)*x73 + x25)/A(104)
    x24 = (-A(101)*x62 - A(102)*x69 - A(103)*x73 + x24)/A(100)
    x23 = (-A(99)*x73 + x23)/A(98)
    x22 = (-A(97)*x73 + x22)/A(96)
    x21 = (-A(94)*x69 - A(95)*x73 + x21)/A(93)
    x20 = (-A(91)*x73 + x20)/A(90)
    x19 = (-A(89)*x73 + x19)/A(88)
    x18 = (-A(86)*x68 - A(87)*x73 + x18)/A(85)
    x17 = (-A(83)*x69 - A(84)*x70 + x17)/A(82)
    x16 = (-A(80)*x62 - A(81)*x73 + x16)/A(79)
    x15 = (-A(77)*x64 - A(78)*x69 + x15)/A(76)
    x14 = (-A(74)*x66 - A(75)*x69 + x14)/A(73)
    x13 = (-A(71)*x69 - A(72)*x72 + x13)/A(70)
    x12 = (-A(68)*x69 - A(69)*x71 + x12)/A(67)
    x11 = (-A(63)*x23 - A(64)*x48 - A(65)*x61 - A(66)*x73 + x11)/A(62)
    x10 = (-A(61)*x73 + x10)/A(60)
    x9 = (-A(59)*x61 + x9)/A(58)
    x8 = (-A(57)*x73 + x8)/A(56)
    x7 = (-A(53)*x27 - A(54)*x37 - A(55)*x69 + x7)/A(52)
    x6 = (-A(50)*x27 - A(51)*x69 + x6)/A(49)
    x5 = (-A(45)*x62 - A(46)*x64 - A(47)*x66 - A(48)*x72 + x5)/A(44)
    x4 = (-A(42)*x62 - A(43)*x71 + x4)/A(41)
    x3 = (-A(28)*x46 - A(29)*x48 - A(30)*x50 - A(31)*x51 - A(32)*x52 - &
        A(33)*x61 - A(34)*x62 - A(35)*x63 - A(36)*x64 - A(37)*x65 - A(38)*x66 &
        - A(39)*x67 - A(40)*x72 + x3)/A(27)
    x2 = (-A(19)*x50 - A(20)*x52 - A(21)*x61 - A(22)*x62 - A(23)*x63 - &
        A(24)*x65 - A(25)*x67 - A(26)*x71 + x2)/A(18)
    x1 = (-A(10)*x49 - A(11)*x50 - A(12)*x51 - A(13)*x52 - A(14)*x53 - &
        A(15)*x61 - A(16)*x68 - A(17)*x73 - A(5)*x19 - A(6)*x26 - A(7)*x43 - &
        A(8)*x46 - A(9)*x48 + x1)/A(4)
    x0 = (-A(2)*x8 - A(3)*x73 + x0)/A(1)
    x(74) = x73
    x(73) = x72
    x(72) = x71
    x(71) = x70
    x(70) = x69
    x(69) = x68
    x(68) = x67
    x(67) = x66
    x(66) = x65
    x(65) = x64
    x(64) = x63
    x(63) = x62
    x(62) = x61
    x(61) = x60
    x(60) = x59
    x(59) = x58
    x(58) = x57
    x(57) = x56
    x(56) = x55
    x(55) = x54
    x(54) = x53
    x(53) = x52
    x(52) = x51
    x(51) = x50
    x(50) = x49
    x(49) = x48
    x(48) = x47
    x(47) = x46
    x(46) = x45
    x(45) = x44
    x(44) = x43
    x(43) = x42
    x(42) = x41
    x(41) = x40
    x(40) = x39
    x(39) = x38
    x(38) = x37
    x(37) = x36
    x(36) = x35
    x(35) = x34
    x(34) = x33
    x(33) = x32
    x(32) = x31
    x(31) = x30
    x(30) = x29
    x(29) = x28
    x(28) = x27
    x(27) = x26
    x(26) = x25
    x(25) = x24
    x(24) = x23
    x(23) = x22
    x(22) = x21
    x(21) = x20
    x(20) = x19
    x(19) = x18
    x(18) = x17
    x(17) = x16
    x(16) = x15
    x(15) = x14
    x(14) = x13
    x(13) = x12
    x(12) = x11
    x(11) = x10
    x(10) = x9
    x(9) = x8
    x(8) = x7
    x(7) = x6
    x(6) = x5
    x(5) = x4
    x(4) = x3
    x(3) = x2
    x(2) = x1
    x(1) = x0

  END SUBROUTINE Solve



END MODULE saprc99_solve
!------------------------- END saprc99_solve.f90 END -------------------------
