! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Utility Data Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : saprc99_Monitor.f90
! Time                 : Mon Feb 27 18:13:19 2017
! Working directory    : /home/jlinford/workspace/kppa/verify/ec_saprc99/kpp
! Equation file        : saprc99.kpp
! Output root filename : saprc99
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE saprc99_Monitor


  CHARACTER(LEN=15), PARAMETER, DIMENSION(79) :: SPC_NAMES = (/ &
     'H2SO4          ','HCOOH          ','CCO_OH         ', & ! index 1 - 3
     'RCO_OH         ','CCO_OOH        ','RCO_OOH        ', & ! index 4 - 6
     'XN             ','XC             ','SO2            ', & ! index 7 - 9
     'O1D            ','ALK1           ','BACL           ', & ! index 10 - 12
     'PAN            ','PAN2           ','PBZN           ', & ! index 13 - 15
     'MA_PAN         ','H2O2           ','N2O5           ', & ! index 16 - 18
     'HONO           ','ALK2           ','ALK3           ', & ! index 19 - 21
     'TBU_O          ','ALK5           ','ARO2           ', & ! index 22 - 24
     'HNO4           ','COOH           ','HOCOO          ', & ! index 25 - 27
     'BZNO2_O        ','MEOH           ','ALK4           ', & ! index 28 - 30
     'ARO1           ','DCB2           ','DCB3           ', & ! index 31 - 33
     'CRES           ','DCB1           ','NPHE           ', & ! index 34 - 36
     'ROOH           ','BALD           ','PHEN           ', & ! index 37 - 39
     'CO             ','MGLY           ','ACET           ', & ! index 40 - 42
     'HNO3           ','ETHENE         ','GLY            ', & ! index 43 - 45
     'BZ_O           ','ISOPRENE       ','R2O2           ', & ! index 46 - 48
     'TERP           ','METHACRO       ','OLE1           ', & ! index 49 - 51
     'ISOPROD        ','OLE2           ','MVK            ', & ! index 52 - 54
     'CCHO           ','HCHO           ','RNO3           ', & ! index 55 - 57
     'O3P            ','RCHO           ','MEK            ', & ! index 58 - 60
     'PROD2          ','O3             ','HO2            ', & ! index 61 - 63
     'RO2_N          ','MA_RCO3        ','C_O2           ', & ! index 64 - 66
     'BZCO_O2        ','RO2_R          ','NO             ', & ! index 67 - 69
     'NO2            ','NO3            ','CCO_O2         ', & ! index 70 - 72
     'RCO_O2         ','OH             ','AIR            ', & ! index 73 - 75
     'O2             ','H2O            ','H2             ', & ! index 76 - 78
     'CH4            ' /)

  INTEGER, PARAMETER, DIMENSION(79) :: LOOKAT = (/ &
       1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, & ! index 1 - 12
      13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, & ! index 13 - 24
      25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, & ! index 25 - 36
      37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, & ! index 37 - 48
      49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, & ! index 49 - 60
      61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, & ! index 61 - 72
      73, 74, 75, 76, 77, 78, 79 /)

  INTEGER, PARAMETER, DIMENSION(4) :: MONITOR = (/ &
      44, 62, 69, 70 /)

  CHARACTER(LEN=15), DIMENSION(1) :: SMASS
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_0 = (/ &
     '              NO2 --> O3P + NO                                                                      ', & ! index 1
     '   O3P + AIR + O2 --> O3                                                                            ', & ! index 2
     '         O3P + O3 --> 2 O2                                                                          ', & ! index 3
     '   O3P + NO + AIR --> NO2                                                                           ', & ! index 4
     '        O3P + NO2 --> NO                                                                            ', & ! index 5
     '        O3P + NO2 --> NO3                                                                           ', & ! index 6
     '          O3 + NO --> NO2                                                                           ', & ! index 7
     '         O3 + NO2 --> NO3                                                                           ', & ! index 8
     '         NO + NO3 --> 2 NO2                                                                         ', & ! index 9
     '        2 NO + O2 --> 2 NO2                                                                         ', & ! index 10
     '        NO2 + NO3 --> N2O5                                                                          ', & ! index 11
     '             N2O5 --> NO2 + NO3                                                                     ', & ! index 12
     '       N2O5 + H2O --> 2 HNO3                                                                        ', & ! index 13
     '        NO2 + NO3 --> NO + NO2                                                                      ', & ! index 14
     '              NO3 --> NO                                                                            ', & ! index 15
     '              NO3 --> O3P + NO2                                                                     ', & ! index 16
     '               O3 --> O3P                                                                           ', & ! index 17
     '               O3 --> O1D                                                                           ', & ! index 18
     '        O1D + H2O --> 2 OH                                                                          ', & ! index 19
     '        O1D + AIR --> O3P                                                                           ', & ! index 20
     '          NO + OH --> HONO                                                                          ', & ! index 21
     '             HONO --> NO + OH                                                                       ', & ! index 22
     '             HONO --> HO2 + NO2                                                                     ', & ! index 23
     '        HONO + OH --> NO2                                                                           ', & ! index 24
     '         NO2 + OH --> HNO3                                                                          ', & ! index 25
     '         NO3 + OH --> HO2 + NO2                                                                     ', & ! index 26
     '        HNO3 + OH --> NO3                                                                           ', & ! index 27
     '             HNO3 --> NO2 + OH                                                                      ', & ! index 28
     '          CO + OH --> HO2                                                                           ', & ! index 29
     '          O3 + OH --> HO2                                                                           ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_1 = (/ &
     '         HO2 + NO --> NO2 + OH                                                                      ', & ! index 31
     '        HO2 + NO2 --> HNO4                                                                          ', & ! index 32
     '             HNO4 --> HO2 + NO2                                                                     ', & ! index 33
     '             HNO4 --> 0.61 HO2 + 0.61 NO2 + 0.39 NO3 + 0.39 OH                                      ', & ! index 34
     '        HNO4 + OH --> NO2                                                                           ', & ! index 35
     '         O3 + HO2 --> OH                                                                            ', & ! index 36
     '            2 HO2 --> H2O2                                                                          ', & ! index 37
     '      2 HO2 + H2O --> H2O2                                                                          ', & ! index 38
     '        HO2 + NO3 --> 0.2 HNO3 + 0.8 NO2 + 0.8 OH                                                   ', & ! index 39
     '            2 NO3 --> 2 NO2                                                                         ', & ! index 40
     '             H2O2 --> 2 OH                                                                          ', & ! index 41
     '        H2O2 + OH --> HO2                                                                           ', & ! index 42
     '         HO2 + OH --> O2 + H2O                                                                      ', & ! index 43
     '         SO2 + OH --> H2SO4 + HO2                                                                   ', & ! index 44
     '          OH + H2 --> HO2                                                                           ', & ! index 45
     '        C_O2 + NO --> HCHO + HO2 + NO2                                                              ', & ! index 46
     '       HO2 + C_O2 --> COOH                                                                          ', & ! index 47
     '       C_O2 + NO3 --> HCHO + HO2 + NO2                                                              ', & ! index 48
     '           2 C_O2 --> MEOH + HCHO                                                                   ', & ! index 49
     '           2 C_O2 --> 2 HCHO + 2 HO2                                                                ', & ! index 50
     '       RO2_R + NO --> HO2 + NO2                                                                     ', & ! index 51
     '      HO2 + RO2_R --> ROOH                                                                          ', & ! index 52
     '      RO2_R + NO3 --> HO2 + NO2                                                                     ', & ! index 53
     '     C_O2 + RO2_R --> 0.25 MEOH + 0.75 HCHO + HO2                                                   ', & ! index 54
     '          2 RO2_R --> HO2                                                                           ', & ! index 55
     '        R2O2 + NO --> NO2                                                                           ', & ! index 56
     '       R2O2 + HO2 --> HO2                                                                           ', & ! index 57
     '       R2O2 + NO3 --> NO2                                                                           ', & ! index 58
     '      R2O2 + C_O2 --> C_O2                                                                          ', & ! index 59
     '     R2O2 + RO2_R --> RO2_R                                                                         ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_2 = (/ &
     '           2 R2O2 --> 2 R2O2                                                                        ', & ! index 61
     '       RO2_N + NO --> RNO3                                                                          ', & ! index 62
     '      HO2 + RO2_N --> ROOH                                                                          ', & ! index 63
     '     RO2_N + C_O2 --> 0.25 MEOH + 0.75 HCHO + 0.5 MEK + 0.5 PROD2 + HO2                             ', & ! index 64
     '      RO2_N + NO3 --> MEK + HO2 + NO2                                                               ', & ! index 65
     '    RO2_N + RO2_R --> 0.5 MEK + 0.5 PROD2 + HO2                                                     ', & ! index 66
     '     R2O2 + RO2_N --> RO2_N                                                                         ', & ! index 67
     '          2 RO2_N --> MEK + PROD2 + HO2                                                             ', & ! index 68
     '     NO2 + CCO_O2 --> PAN                                                                           ', & ! index 69
     '              PAN --> NO2 + CCO_O2                                                                  ', & ! index 70
     '      NO + CCO_O2 --> C_O2 + NO2                                                                    ', & ! index 71
     '     HO2 + CCO_O2 --> 0.25 CCO_OH + 0.75 CCO_OOH + 0.25 O3                                          ', & ! index 72
     '     NO3 + CCO_O2 --> C_O2 + NO2                                                                    ', & ! index 73
     '    C_O2 + CCO_O2 --> CCO_OH + HCHO                                                                 ', & ! index 74
     '   RO2_R + CCO_O2 --> CCO_OH                                                                        ', & ! index 75
     '    R2O2 + CCO_O2 --> CCO_O2                                                                        ', & ! index 76
     '   RO2_N + CCO_O2 --> CCO_OH + PROD2                                                                ', & ! index 77
     '         2 CCO_O2 --> 2 C_O2                                                                        ', & ! index 78
     '     NO2 + RCO_O2 --> PAN2                                                                          ', & ! index 79
     '             PAN2 --> NO2 + RCO_O2                                                                  ', & ! index 80
     '      NO + RCO_O2 --> CCHO + RO2_R + NO2                                                            ', & ! index 81
     '     HO2 + RCO_O2 --> 0.25 RCO_OH + 0.75 RCO_OOH + 0.25 O3                                          ', & ! index 82
     '     NO3 + RCO_O2 --> CCHO + RO2_R + NO2                                                            ', & ! index 83
     '    C_O2 + RCO_O2 --> RCO_OH + HCHO                                                                 ', & ! index 84
     '   RO2_R + RCO_O2 --> RCO_OH                                                                        ', & ! index 85
     '    R2O2 + RCO_O2 --> RCO_O2                                                                        ', & ! index 86
     '   RO2_N + RCO_O2 --> RCO_OH + PROD2                                                                ', & ! index 87
     '  CCO_O2 + RCO_O2 --> CCHO + C_O2 + RO2_R                                                           ', & ! index 88
     '         2 RCO_O2 --> 2 CCHO + 2 RO2_R                                                              ', & ! index 89
     '    BZCO_O2 + NO2 --> PBZN                                                                          ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_3 = (/ &
     '             PBZN --> BZCO_O2 + NO2                                                                 ', & ! index 91
     '     BZCO_O2 + NO --> BZ_O + R2O2 + NO2                                                             ', & ! index 92
     '    HO2 + BZCO_O2 --> 0.25 RCO_OH + 0.75 RCO_OOH + 0.25 O3                                          ', & ! index 93
     '    BZCO_O2 + NO3 --> BZ_O + R2O2 + NO2                                                             ', & ! index 94
     '   C_O2 + BZCO_O2 --> RCO_OH + HCHO                                                                 ', & ! index 95
     '  BZCO_O2 + RO2_R --> RCO_OH                                                                        ', & ! index 96
     '   R2O2 + BZCO_O2 --> BZCO_O2                                                                       ', & ! index 97
     '  RO2_N + BZCO_O2 --> RCO_OH + PROD2                                                                ', & ! index 98
     ' BZCO_O2 + CCO_O2 --> BZ_O + R2O2 + C_O2                                                            ', & ! index 99
     ' BZCO_O2 + RCO_O2 --> BZ_O + R2O2 + CCHO + RO2_R                                                    ', & ! index 100
     '        2 BZCO_O2 --> 2 BZ_O + 2 R2O2                                                               ', & ! index 101
     '    MA_RCO3 + NO2 --> MA_PAN                                                                        ', & ! index 102
     '           MA_PAN --> MA_RCO3 + NO2                                                                 ', & ! index 103
     '     MA_RCO3 + NO --> HCHO + NO2 + CCO_O2                                                           ', & ! index 104
     '    HO2 + MA_RCO3 --> 0.25 RCO_OH + 0.75 RCO_OOH + 0.25 O3                                          ', & ! index 105
     '    MA_RCO3 + NO3 --> HCHO + NO2 + CCO_O2                                                           ', & ! index 106
     '   MA_RCO3 + C_O2 --> RCO_OH + HCHO                                                                 ', & ! index 107
     '  MA_RCO3 + RO2_R --> RCO_OH                                                                        ', & ! index 108
     '   R2O2 + MA_RCO3 --> MA_RCO3                                                                       ', & ! index 109
     '  RO2_N + MA_RCO3 --> 2 RCO_OH                                                                      ', & ! index 110
     ' MA_RCO3 + CCO_O2 --> HCHO + C_O2 + CCO_O2                                                          ', & ! index 111
     ' MA_RCO3 + RCO_O2 --> CCHO + HCHO + RO2_R + CCO_O2                                                  ', & ! index 112
     'MA_RCO3 + BZCO_O2 --> BZ_O + R2O2 + HCHO + CCO_O2                                                   ', & ! index 113
     '        2 MA_RCO3 --> 2 HCHO + 2 CCO_O2                                                             ', & ! index 114
     '      TBU_O + NO2 --> RNO3                                                                          ', & ! index 115
     '            TBU_O --> ACET + C_O2                                                                   ', & ! index 116
     '       BZ_O + NO2 --> NPHE                                                                          ', & ! index 117
     '       BZ_O + HO2 --> PHEN                                                                          ', & ! index 118
     '             BZ_O --> PHEN                                                                          ', & ! index 119
     '    BZNO2_O + NO2 --> 2 XN + 6 XC                                                                   ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_4 = (/ &
     '    BZNO2_O + HO2 --> NPHE                                                                          ', & ! index 121
     '          BZNO2_O --> NPHE                                                                          ', & ! index 122
     '             HCHO --> CO + 2 HO2                                                                    ', & ! index 123
     '             HCHO --> CO                                                                            ', & ! index 124
     '        HCHO + OH --> CO + HO2                                                                      ', & ! index 125
     '       HCHO + HO2 --> HOCOO                                                                         ', & ! index 126
     '            HOCOO --> HCHO + HO2                                                                    ', & ! index 127
     '       HOCOO + NO --> HCOOH + HO2 + NO2                                                             ', & ! index 128
     '       HCHO + NO3 --> CO + HNO3 + HO2                                                               ', & ! index 129
     '        CCHO + OH --> CCO_O2                                                                        ', & ! index 130
     '             CCHO --> CO + HO2 + C_O2                                                               ', & ! index 131
     '       CCHO + NO3 --> HNO3 + CCO_O2                                                                 ', & ! index 132
     '        RCHO + OH --> 0.034 CO + 0.034 CCHO + 0.001 RO2_N + 0.034 RO2_R + 0.965 RCO_O2 ... etc.     ', & ! index 133
     '             RCHO --> CO + CCHO + HO2 + RO2_R                                                       ', & ! index 134
     '       RCHO + NO3 --> HNO3 + RCO_O2                                                                 ', & ! index 135
     '        ACET + OH --> R2O2 + HCHO + CCO_O2                                                          ', & ! index 136
     '             ACET --> C_O2 + CCO_O2                                                                 ', & ! index 137
     '         MEK + OH --> 0.616 R2O2 + 0.482 CCHO + 0.115 HCHO + 0.37 RCHO + 0.042 RO2_N ... etc.       ', & ! index 138
     '              MEK --> CCHO + RO2_R + CCO_O2                                                         ', & ! index 139
     '        MEOH + OH --> HCHO + HO2                                                                    ', & ! index 140
     '        COOH + OH --> 0.35 HCHO + 0.65 C_O2 + 0.35 OH                                               ', & ! index 141
     '             COOH --> HCHO + HO2 + OH                                                               ', & ! index 142
     '        ROOH + OH --> RCHO + 0.34 RO2_R + 0.66 OH                                                   ', & ! index 143
     '             ROOH --> RCHO + HO2 + OH                                                               ', & ! index 144
     '              GLY --> 2 CO + 2 HO2                                                                  ', & ! index 145
     '              GLY --> CO + HCHO                                                                     ', & ! index 146
     '         GLY + OH --> 1.26 CO + 0.63 HO2 + 0.37 RCO_O2                                              ', & ! index 147
     '        GLY + NO3 --> 1.26 CO + HNO3 + 0.63 HO2 + 0.37 RCO_O2                                       ', & ! index 148
     '             MGLY --> CO + HO2 + CCO_O2                                                             ', & ! index 149
     '        MGLY + OH --> CO + CCO_O2                                                                   ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_5 = (/ &
     '       MGLY + NO3 --> CO + HNO3 + CCO_O2                                                            ', & ! index 151
     '             BACL --> 2 CCO_O2                                                                      ', & ! index 152
     '        PHEN + OH --> 0.23 GLY + 0.24 BZ_O + 0.76 RO2_R                                             ', & ! index 153
     '       PHEN + NO3 --> HNO3 + BZ_O                                                                   ', & ! index 154
     '        CRES + OH --> 0.23 MGLY + 0.24 BZ_O + 0.76 RO2_R                                            ', & ! index 155
     '       CRES + NO3 --> HNO3 + BZ_O                                                                   ', & ! index 156
     '       NPHE + NO3 --> BZNO2_O + HNO3                                                                ', & ! index 157
     '        BALD + OH --> BZCO_O2                                                                       ', & ! index 158
     '             BALD --> 7 XC                                                                          ', & ! index 159
     '       BALD + NO3 --> HNO3 + BZCO_O2                                                                ', & ! index 160
     '    METHACRO + OH --> 0.416 CO + 0.084 MGLY + 0.084 HCHO + 0.416 MEK + 0.5 MA_RCO3 ... etc.         ', & ! index 161
     '    METHACRO + O3 --> 0.333 HCOOH + 0.45 CO + 0.9 MGLY + 0.2 HCHO + 0.008 HO2 ... etc.              ', & ! index 162
     '   METHACRO + NO3 --> 0.5 CO + 0.5 HNO3 + 0.5 MA_RCO3 + 0.5 RO2_R                                   ', & ! index 163
     '   METHACRO + O3P --> RCHO                                                                          ', & ! index 164
     '         METHACRO --> 0.67 CO + 0.67 HCHO + 0.34 HO2 + 0.33 MA_RCO3 + 0.33 RO2_R ... etc.           ', & ! index 165
     '         MVK + OH --> 0.3 MGLY + 0.675 R2O2 + 0.3 HCHO + 0.675 RCHO + 0.025 RO2_N ... etc.          ', & ! index 166
     '         MVK + O3 --> 0.351 HCOOH + 0.475 CO + 0.95 MGLY + 0.1 HCHO + 0.064 HO2 ... etc.            ', & ! index 167
     '        MVK + O3P --> 0.45 RCHO + 0.55 MEK                                                          ', & ! index 168
     '              MVK --> 0.7 CO + 0.7 PROD2 + 0.3 MA_RCO3 + 0.3 C_O2                                   ', & ! index 169
     '     ISOPROD + OH --> 0.336 CO + 0.174 MGLY + 0.15 GLY + 0.129 CCHO + 0.055 HCHO ... etc.           ', & ! index 170
     '     ISOPROD + O3 --> 0.1 HCOOH + 0.372 RCO_OH + 0.498 CO + 0.742 MGLY + 0.023 GLY ... etc.         ', & ! index 171
     '    ISOPROD + NO3 --> 0.572 CO + 0.008 MGLY + 0.15 HNO3 + 0.227 HCHO + 0.572 RNO3 ... etc.          ', & ! index 172
     '          ISOPROD --> 1.233 CO + 0.467 CCHO + 0.3 HCHO + 0.233 MEK + 1.233 HO2 ... etc.             ', & ! index 173
     '       PROD2 + OH --> 0.084 CCHO + 0.213 HCHO + 0.558 RCHO + 0.115 MEK + 0.329 PROD2 ... etc.       ', & ! index 174
     '            PROD2 --> 0.515 R2O2 + 0.246 CCHO + 0.506 HCHO + 0.71 RCHO + 0.04 RO2_N ... etc.        ', & ! index 175
     '        RNO3 + OH --> 0.006 ACET + 0.596 R2O2 + 0.439 CCHO + 0.01 HCHO + 0.31 RNO3 ... etc.         ', & ! index 176
     '             RNO3 --> 0.02 ACET + 0.152 R2O2 + 0.431 CCHO + 0.134 HCHO + 0.147 RCHO ... etc.        ', & ! index 177
     '        DCB1 + OH --> CO + RCHO + RO2_R                                                             ', & ! index 178
     '        DCB1 + O3 --> 1.5 CO + GLY + 1.5 HO2 + 0.5 OH                                               ', & ! index 179
     '        DCB2 + OH --> R2O2 + RCHO + CCO_O2                                                          ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_6 = (/ &
     '             DCB2 --> CO + 0.5 MGLY + 0.5 GLY + R2O2 + 0.5 HO2 + RO2_R + 0.5 CCO_O2 ... etc.        ', & ! index 181
     '        DCB3 + OH --> R2O2 + RCHO + CCO_O2                                                          ', & ! index 182
     '             DCB3 --> CO + 0.5 MGLY + 0.5 GLY + R2O2 + 0.5 HO2 + RO2_R + 0.5 CCO_O2 ... etc.        ', & ! index 183
     '         OH + CH4 --> C_O2                                                                          ', & ! index 184
     '      ETHENE + OH --> 0.195 CCHO + 1.61 HCHO + RO2_R                                                ', & ! index 185
     '      ETHENE + O3 --> 0.37 HCOOH + 0.5 CO + HCHO + 0.12 HO2 + 0.12 OH                               ', & ! index 186
     '     ETHENE + NO3 --> RCHO + RO2_R                                                                  ', & ! index 187
     '     ETHENE + O3P --> 0.491 CO + 0.009 GLY + 0.25 CCHO + 0.191 HCHO + 0.5 HO2 ... etc.              ', & ! index 188
     '    ISOPRENE + OH --> 0.079 R2O2 + 0.23 METHACRO + 0.357 ISOPROD + 0.32 MVK ... etc.                ', & ! index 189
     '    ISOPRENE + O3 --> 0.204 HCOOH + 0.15 RCO_OH + 0.275 CO + 0.126 R2O2 + 0.39 METHACRO ... etc.    ', & ! index 190
     '   ISOPRENE + NO3 --> 0.187 R2O2 + 0.936 ISOPROD + 0.064 RO2_N + 0.749 RO2_R ... etc.               ', & ! index 191
     '   ISOPRENE + O3P --> 0.24 R2O2 + 0.24 HCHO + 0.75 PROD2 + 0.01 RO2_N + 0.24 MA_RCO3 ... etc.       ', & ! index 192
     '        TERP + OH --> 0.5 R2O2 + 0.276 HCHO + 0.474 RCHO + 0.276 PROD2 + 0.25 RO2_N ... etc.        ', & ! index 193
     '        TERP + O3 --> 0.103 HCOOH + 0.189 RCO_OH + 0.031 BACL + 0.157 CO + 0.13 ACET ... etc.       ', & ! index 194
     '       TERP + NO3 --> 0.75 R2O2 + 0.276 RNO3 + 0.474 RCHO + 0.25 RO2_N + 0.276 RO2_R ... etc.       ', & ! index 195
     '       TERP + O3P --> 0.147 RCHO + 0.853 PROD2                                                      ', & ! index 196
     '        ALK1 + OH --> CCHO + RO2_R                                                                  ', & ! index 197
     '        ALK2 + OH --> 0.121 HCOOH + 0.16 CO + 0.417 ACET + 0.248 GLY + 0.039 HCHO ... etc.          ', & ! index 198
     '        ALK3 + OH --> 0.236 TBU_O + 0.024 ACET + 0.559 R2O2 + 0.445 CCHO + 0.026 HCHO ... etc.      ', & ! index 199
     '        ALK4 + OH --> 0.002 CO + 0.452 ACET + 0.936 R2O2 + 0.455 CCHO + 0.024 HCHO ... etc.         ', & ! index 200
     '        ALK5 + OH --> 0.072 ACET + 0.948 R2O2 + 0.099 CCHO + 0.026 HCHO + 0.204 RCHO ... etc.       ', & ! index 201
     '        ARO1 + OH --> 0.108 DCB2 + 0.051 DCB3 + 0.207 CRES + 0.491 DCB1 + 0.059 BALD ... etc.       ', & ! index 202
     '        ARO2 + OH --> 0.087 BACL + 0.099 DCB2 + 0.093 DCB3 + 0.187 CRES + 0.561 DCB1 ... etc.       ', & ! index 203
     '        OLE1 + OH --> 0.005 ACET + 0.205 R2O2 + 0.294 CCHO + 0.732 HCHO + 0.497 RCHO ... etc.       ', & ! index 204
     '        OLE1 + O3 --> 0.185 HCOOH + 0.05 CCO_OH + 0.119 RCO_OH + 0.345 CO ... etc.                  ', & ! index 205
     '       OLE1 + NO3 --> 0.024 ACET + 0.488 R2O2 + 0.009 CCHO + 0.511 RNO3 + 0.037 RCHO ... etc.       ', & ! index 206
     '       OLE1 + O3P --> 0.45 RCHO + 0.437 MEK + 0.113 PROD2                                           ', & ! index 207
     '        OLE2 + OH --> 0.061 BALD + 0.127 ACET + 0.001 R2O2 + 0.025 METHACRO ... etc.                ', & ! index 208
     '        OLE2 + O3 --> 0.073 HCOOH + 0.129 CCO_OH + 0.247 RCO_OH + 0.042 BALD ... etc.               ', & ! index 209
     '       OLE2 + NO3 --> 0.015 BALD + 0.102 ACET + 0.711 R2O2 + 0.048 MVK + 0.507 CCHO ... etc.        ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(1) :: EQN_NAMES_7 = (/ &
     '       OLE2 + O3P --> 0.012 CO + 0.012 METHACRO + 0.069 RCHO + 0.659 MEK + 0.259 PROD2 ... etc.     ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(211) :: EQN_NAMES = (/&
    EQN_NAMES_0, EQN_NAMES_1, EQN_NAMES_2, EQN_NAMES_3, EQN_NAMES_4, &
    EQN_NAMES_5, EQN_NAMES_6, EQN_NAMES_7 /)

  CHARACTER(LEN=15), DIMENSION(1) :: FAM_NAMES
! INLINED global variables

! End INLINED global variables


END MODULE saprc99_Monitor
