! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! The ODE Jacobian of Chemical Model File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : saprc99_Jacobian.f90
! Time                 : Mon Feb 27 18:13:19 2017
! Working directory    : /home/jlinford/workspace/kppa/verify/ec_saprc99/kpp
! Equation file        : saprc99.kpp
! Output root filename : saprc99
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE saprc99_Jacobian

  USE saprc99_Parameters
  USE saprc99_JacobianSP

  IMPLICIT NONE

CONTAINS


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Jac_SP - the Jacobian of Variables in sparse matrix representation
!   Arguments :
!      V         - Concentrations of variable species (local)
!      F         - Concentrations of fixed species (local)
!      RCT       - Rate constants (local)
!      JVS       - sparse Jacobian of variables
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Jac_SP ( V, F, RCT, JVS )

! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
! F - Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
! RCT - Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
! JVS - sparse Jacobian of variables
  REAL(kind=dp) :: JVS(LU_NONZERO)


! Local variables
! B - Temporary array
  REAL(kind=dp) :: B(373)

! B(1) = dA(1)/dV(70)
  B(1) = RCT(1)
! B(2) = dA(2)/dV(58)
  B(2) = RCT(2)*F(1)*F(2)
! B(5) = dA(3)/dV(58)
  B(5) = RCT(3)*V(62)
! B(6) = dA(3)/dV(62)
  B(6) = RCT(3)*V(58)
! B(7) = dA(4)/dV(58)
  B(7) = RCT(4)*V(69)*F(1)
! B(8) = dA(4)/dV(69)
  B(8) = RCT(4)*V(58)*F(1)
! B(10) = dA(5)/dV(58)
  B(10) = RCT(5)*V(70)
! B(11) = dA(5)/dV(70)
  B(11) = RCT(5)*V(58)
! B(12) = dA(6)/dV(58)
  B(12) = RCT(6)*V(70)
! B(13) = dA(6)/dV(70)
  B(13) = RCT(6)*V(58)
! B(14) = dA(7)/dV(62)
  B(14) = RCT(7)*V(69)
! B(15) = dA(7)/dV(69)
  B(15) = RCT(7)*V(62)
! B(16) = dA(8)/dV(62)
  B(16) = RCT(8)*V(70)
! B(17) = dA(8)/dV(70)
  B(17) = RCT(8)*V(62)
! B(18) = dA(9)/dV(69)
  B(18) = RCT(9)*V(71)
! B(19) = dA(9)/dV(71)
  B(19) = RCT(9)*V(69)
! B(20) = dA(10)/dV(69)
  B(20) = RCT(10)*2*V(69)*F(2)
! B(22) = dA(11)/dV(70)
  B(22) = RCT(11)*V(71)
! B(23) = dA(11)/dV(71)
  B(23) = RCT(11)*V(70)
! B(24) = dA(12)/dV(18)
  B(24) = RCT(12)
! B(25) = dA(13)/dV(18)
  B(25) = RCT(13)*F(3)
! B(27) = dA(14)/dV(70)
  B(27) = RCT(14)*V(71)
! B(28) = dA(14)/dV(71)
  B(28) = RCT(14)*V(70)
! B(29) = dA(15)/dV(71)
  B(29) = RCT(15)
! B(30) = dA(16)/dV(71)
  B(30) = RCT(16)
! B(31) = dA(17)/dV(62)
  B(31) = RCT(17)
! B(32) = dA(18)/dV(62)
  B(32) = RCT(18)
! B(33) = dA(19)/dV(10)
  B(33) = RCT(19)*F(3)
! B(35) = dA(20)/dV(10)
  B(35) = RCT(20)*F(1)
! B(37) = dA(21)/dV(69)
  B(37) = RCT(21)*V(74)
! B(38) = dA(21)/dV(74)
  B(38) = RCT(21)*V(69)
! B(39) = dA(22)/dV(19)
  B(39) = RCT(22)
! B(40) = dA(23)/dV(19)
  B(40) = RCT(23)
! B(41) = dA(24)/dV(19)
  B(41) = RCT(24)*V(74)
! B(42) = dA(24)/dV(74)
  B(42) = RCT(24)*V(19)
! B(43) = dA(25)/dV(70)
  B(43) = RCT(25)*V(74)
! B(44) = dA(25)/dV(74)
  B(44) = RCT(25)*V(70)
! B(45) = dA(26)/dV(71)
  B(45) = RCT(26)*V(74)
! B(46) = dA(26)/dV(74)
  B(46) = RCT(26)*V(71)
! B(47) = dA(27)/dV(43)
  B(47) = RCT(27)*V(74)
! B(48) = dA(27)/dV(74)
  B(48) = RCT(27)*V(43)
! B(49) = dA(28)/dV(43)
  B(49) = RCT(28)
! B(50) = dA(29)/dV(40)
  B(50) = RCT(29)*V(74)
! B(51) = dA(29)/dV(74)
  B(51) = RCT(29)*V(40)
! B(52) = dA(30)/dV(62)
  B(52) = RCT(30)*V(74)
! B(53) = dA(30)/dV(74)
  B(53) = RCT(30)*V(62)
! B(54) = dA(31)/dV(63)
  B(54) = RCT(31)*V(69)
! B(55) = dA(31)/dV(69)
  B(55) = RCT(31)*V(63)
! B(56) = dA(32)/dV(63)
  B(56) = RCT(32)*V(70)
! B(57) = dA(32)/dV(70)
  B(57) = RCT(32)*V(63)
! B(58) = dA(33)/dV(25)
  B(58) = RCT(33)
! B(59) = dA(34)/dV(25)
  B(59) = RCT(34)
! B(60) = dA(35)/dV(25)
  B(60) = RCT(35)*V(74)
! B(61) = dA(35)/dV(74)
  B(61) = RCT(35)*V(25)
! B(62) = dA(36)/dV(62)
  B(62) = RCT(36)*V(63)
! B(63) = dA(36)/dV(63)
  B(63) = RCT(36)*V(62)
! B(64) = dA(37)/dV(63)
  B(64) = RCT(37)*2*V(63)
! B(65) = dA(38)/dV(63)
  B(65) = RCT(38)*2*V(63)*F(3)
! B(67) = dA(39)/dV(63)
  B(67) = RCT(39)*V(71)
! B(68) = dA(39)/dV(71)
  B(68) = RCT(39)*V(63)
! B(69) = dA(40)/dV(71)
  B(69) = RCT(40)*2*V(71)
! B(70) = dA(41)/dV(17)
  B(70) = RCT(41)
! B(71) = dA(42)/dV(17)
  B(71) = RCT(42)*V(74)
! B(72) = dA(42)/dV(74)
  B(72) = RCT(42)*V(17)
! B(73) = dA(43)/dV(63)
  B(73) = RCT(43)*V(74)
! B(74) = dA(43)/dV(74)
  B(74) = RCT(43)*V(63)
! B(75) = dA(44)/dV(9)
  B(75) = RCT(44)*V(74)
! B(76) = dA(44)/dV(74)
  B(76) = RCT(44)*V(9)
! B(77) = dA(45)/dV(74)
  B(77) = RCT(45)*F(4)
! B(79) = dA(46)/dV(66)
  B(79) = RCT(46)*V(69)
! B(80) = dA(46)/dV(69)
  B(80) = RCT(46)*V(66)
! B(81) = dA(47)/dV(63)
  B(81) = RCT(47)*V(66)
! B(82) = dA(47)/dV(66)
  B(82) = RCT(47)*V(63)
! B(83) = dA(48)/dV(66)
  B(83) = RCT(48)*V(71)
! B(84) = dA(48)/dV(71)
  B(84) = RCT(48)*V(66)
! B(85) = dA(49)/dV(66)
  B(85) = RCT(49)*2*V(66)
! B(86) = dA(50)/dV(66)
  B(86) = RCT(50)*2*V(66)
! B(87) = dA(51)/dV(68)
  B(87) = RCT(51)*V(69)
! B(88) = dA(51)/dV(69)
  B(88) = RCT(51)*V(68)
! B(89) = dA(52)/dV(63)
  B(89) = RCT(52)*V(68)
! B(90) = dA(52)/dV(68)
  B(90) = RCT(52)*V(63)
! B(91) = dA(53)/dV(68)
  B(91) = RCT(53)*V(71)
! B(92) = dA(53)/dV(71)
  B(92) = RCT(53)*V(68)
! B(93) = dA(54)/dV(66)
  B(93) = RCT(54)*V(68)
! B(94) = dA(54)/dV(68)
  B(94) = RCT(54)*V(66)
! B(95) = dA(55)/dV(68)
  B(95) = RCT(55)*2*V(68)
! B(96) = dA(56)/dV(48)
  B(96) = RCT(56)*V(69)
! B(97) = dA(56)/dV(69)
  B(97) = RCT(56)*V(48)
! B(98) = dA(57)/dV(48)
  B(98) = RCT(57)*V(63)
! B(99) = dA(57)/dV(63)
  B(99) = RCT(57)*V(48)
! B(100) = dA(58)/dV(48)
  B(100) = RCT(58)*V(71)
! B(101) = dA(58)/dV(71)
  B(101) = RCT(58)*V(48)
! B(102) = dA(59)/dV(48)
  B(102) = RCT(59)*V(66)
! B(103) = dA(59)/dV(66)
  B(103) = RCT(59)*V(48)
! B(104) = dA(60)/dV(48)
  B(104) = RCT(60)*V(68)
! B(105) = dA(60)/dV(68)
  B(105) = RCT(60)*V(48)
! B(106) = dA(61)/dV(48)
  B(106) = RCT(61)*2*V(48)
! B(107) = dA(62)/dV(64)
  B(107) = RCT(62)*V(69)
! B(108) = dA(62)/dV(69)
  B(108) = RCT(62)*V(64)
! B(109) = dA(63)/dV(63)
  B(109) = RCT(63)*V(64)
! B(110) = dA(63)/dV(64)
  B(110) = RCT(63)*V(63)
! B(111) = dA(64)/dV(64)
  B(111) = RCT(64)*V(66)
! B(112) = dA(64)/dV(66)
  B(112) = RCT(64)*V(64)
! B(113) = dA(65)/dV(64)
  B(113) = RCT(65)*V(71)
! B(114) = dA(65)/dV(71)
  B(114) = RCT(65)*V(64)
! B(115) = dA(66)/dV(64)
  B(115) = RCT(66)*V(68)
! B(116) = dA(66)/dV(68)
  B(116) = RCT(66)*V(64)
! B(117) = dA(67)/dV(48)
  B(117) = RCT(67)*V(64)
! B(118) = dA(67)/dV(64)
  B(118) = RCT(67)*V(48)
! B(119) = dA(68)/dV(64)
  B(119) = RCT(68)*2*V(64)
! B(120) = dA(69)/dV(70)
  B(120) = RCT(69)*V(72)
! B(121) = dA(69)/dV(72)
  B(121) = RCT(69)*V(70)
! B(122) = dA(70)/dV(13)
  B(122) = RCT(70)
! B(123) = dA(71)/dV(69)
  B(123) = RCT(71)*V(72)
! B(124) = dA(71)/dV(72)
  B(124) = RCT(71)*V(69)
! B(125) = dA(72)/dV(63)
  B(125) = RCT(72)*V(72)
! B(126) = dA(72)/dV(72)
  B(126) = RCT(72)*V(63)
! B(127) = dA(73)/dV(71)
  B(127) = RCT(73)*V(72)
! B(128) = dA(73)/dV(72)
  B(128) = RCT(73)*V(71)
! B(129) = dA(74)/dV(66)
  B(129) = RCT(74)*V(72)
! B(130) = dA(74)/dV(72)
  B(130) = RCT(74)*V(66)
! B(131) = dA(75)/dV(68)
  B(131) = RCT(75)*V(72)
! B(132) = dA(75)/dV(72)
  B(132) = RCT(75)*V(68)
! B(133) = dA(76)/dV(48)
  B(133) = RCT(76)*V(72)
! B(134) = dA(76)/dV(72)
  B(134) = RCT(76)*V(48)
! B(135) = dA(77)/dV(64)
  B(135) = RCT(77)*V(72)
! B(136) = dA(77)/dV(72)
  B(136) = RCT(77)*V(64)
! B(137) = dA(78)/dV(72)
  B(137) = RCT(78)*2*V(72)
! B(138) = dA(79)/dV(70)
  B(138) = RCT(79)*V(73)
! B(139) = dA(79)/dV(73)
  B(139) = RCT(79)*V(70)
! B(140) = dA(80)/dV(14)
  B(140) = RCT(80)
! B(141) = dA(81)/dV(69)
  B(141) = RCT(81)*V(73)
! B(142) = dA(81)/dV(73)
  B(142) = RCT(81)*V(69)
! B(143) = dA(82)/dV(63)
  B(143) = RCT(82)*V(73)
! B(144) = dA(82)/dV(73)
  B(144) = RCT(82)*V(63)
! B(145) = dA(83)/dV(71)
  B(145) = RCT(83)*V(73)
! B(146) = dA(83)/dV(73)
  B(146) = RCT(83)*V(71)
! B(147) = dA(84)/dV(66)
  B(147) = RCT(84)*V(73)
! B(148) = dA(84)/dV(73)
  B(148) = RCT(84)*V(66)
! B(149) = dA(85)/dV(68)
  B(149) = RCT(85)*V(73)
! B(150) = dA(85)/dV(73)
  B(150) = RCT(85)*V(68)
! B(151) = dA(86)/dV(48)
  B(151) = RCT(86)*V(73)
! B(152) = dA(86)/dV(73)
  B(152) = RCT(86)*V(48)
! B(153) = dA(87)/dV(64)
  B(153) = RCT(87)*V(73)
! B(154) = dA(87)/dV(73)
  B(154) = RCT(87)*V(64)
! B(155) = dA(88)/dV(72)
  B(155) = RCT(88)*V(73)
! B(156) = dA(88)/dV(73)
  B(156) = RCT(88)*V(72)
! B(157) = dA(89)/dV(73)
  B(157) = RCT(89)*2*V(73)
! B(158) = dA(90)/dV(67)
  B(158) = RCT(90)*V(70)
! B(159) = dA(90)/dV(70)
  B(159) = RCT(90)*V(67)
! B(160) = dA(91)/dV(15)
  B(160) = RCT(91)
! B(161) = dA(92)/dV(67)
  B(161) = RCT(92)*V(69)
! B(162) = dA(92)/dV(69)
  B(162) = RCT(92)*V(67)
! B(163) = dA(93)/dV(63)
  B(163) = RCT(93)*V(67)
! B(164) = dA(93)/dV(67)
  B(164) = RCT(93)*V(63)
! B(165) = dA(94)/dV(67)
  B(165) = RCT(94)*V(71)
! B(166) = dA(94)/dV(71)
  B(166) = RCT(94)*V(67)
! B(167) = dA(95)/dV(66)
  B(167) = RCT(95)*V(67)
! B(168) = dA(95)/dV(67)
  B(168) = RCT(95)*V(66)
! B(169) = dA(96)/dV(67)
  B(169) = RCT(96)*V(68)
! B(170) = dA(96)/dV(68)
  B(170) = RCT(96)*V(67)
! B(171) = dA(97)/dV(48)
  B(171) = RCT(97)*V(67)
! B(172) = dA(97)/dV(67)
  B(172) = RCT(97)*V(48)
! B(173) = dA(98)/dV(64)
  B(173) = RCT(98)*V(67)
! B(174) = dA(98)/dV(67)
  B(174) = RCT(98)*V(64)
! B(175) = dA(99)/dV(67)
  B(175) = RCT(99)*V(72)
! B(176) = dA(99)/dV(72)
  B(176) = RCT(99)*V(67)
! B(177) = dA(100)/dV(67)
  B(177) = RCT(100)*V(73)
! B(178) = dA(100)/dV(73)
  B(178) = RCT(100)*V(67)
! B(179) = dA(101)/dV(67)
  B(179) = RCT(101)*2*V(67)
! B(180) = dA(102)/dV(65)
  B(180) = RCT(102)*V(70)
! B(181) = dA(102)/dV(70)
  B(181) = RCT(102)*V(65)
! B(182) = dA(103)/dV(16)
  B(182) = RCT(103)
! B(183) = dA(104)/dV(65)
  B(183) = RCT(104)*V(69)
! B(184) = dA(104)/dV(69)
  B(184) = RCT(104)*V(65)
! B(185) = dA(105)/dV(63)
  B(185) = RCT(105)*V(65)
! B(186) = dA(105)/dV(65)
  B(186) = RCT(105)*V(63)
! B(187) = dA(106)/dV(65)
  B(187) = RCT(106)*V(71)
! B(188) = dA(106)/dV(71)
  B(188) = RCT(106)*V(65)
! B(189) = dA(107)/dV(65)
  B(189) = RCT(107)*V(66)
! B(190) = dA(107)/dV(66)
  B(190) = RCT(107)*V(65)
! B(191) = dA(108)/dV(65)
  B(191) = RCT(108)*V(68)
! B(192) = dA(108)/dV(68)
  B(192) = RCT(108)*V(65)
! B(193) = dA(109)/dV(48)
  B(193) = RCT(109)*V(65)
! B(194) = dA(109)/dV(65)
  B(194) = RCT(109)*V(48)
! B(195) = dA(110)/dV(64)
  B(195) = RCT(110)*V(65)
! B(196) = dA(110)/dV(65)
  B(196) = RCT(110)*V(64)
! B(197) = dA(111)/dV(65)
  B(197) = RCT(111)*V(72)
! B(198) = dA(111)/dV(72)
  B(198) = RCT(111)*V(65)
! B(199) = dA(112)/dV(65)
  B(199) = RCT(112)*V(73)
! B(200) = dA(112)/dV(73)
  B(200) = RCT(112)*V(65)
! B(201) = dA(113)/dV(65)
  B(201) = RCT(113)*V(67)
! B(202) = dA(113)/dV(67)
  B(202) = RCT(113)*V(65)
! B(203) = dA(114)/dV(65)
  B(203) = RCT(114)*2*V(65)
! B(204) = dA(115)/dV(22)
  B(204) = RCT(115)*V(70)
! B(205) = dA(115)/dV(70)
  B(205) = RCT(115)*V(22)
! B(206) = dA(116)/dV(22)
  B(206) = RCT(116)
! B(207) = dA(117)/dV(46)
  B(207) = RCT(117)*V(70)
! B(208) = dA(117)/dV(70)
  B(208) = RCT(117)*V(46)
! B(209) = dA(118)/dV(46)
  B(209) = RCT(118)*V(63)
! B(210) = dA(118)/dV(63)
  B(210) = RCT(118)*V(46)
! B(211) = dA(119)/dV(46)
  B(211) = RCT(119)
! B(212) = dA(120)/dV(28)
  B(212) = RCT(120)*V(70)
! B(213) = dA(120)/dV(70)
  B(213) = RCT(120)*V(28)
! B(214) = dA(121)/dV(28)
  B(214) = RCT(121)*V(63)
! B(215) = dA(121)/dV(63)
  B(215) = RCT(121)*V(28)
! B(216) = dA(122)/dV(28)
  B(216) = RCT(122)
! B(217) = dA(123)/dV(56)
  B(217) = RCT(123)
! B(218) = dA(124)/dV(56)
  B(218) = RCT(124)
! B(219) = dA(125)/dV(56)
  B(219) = RCT(125)*V(74)
! B(220) = dA(125)/dV(74)
  B(220) = RCT(125)*V(56)
! B(221) = dA(126)/dV(56)
  B(221) = RCT(126)*V(63)
! B(222) = dA(126)/dV(63)
  B(222) = RCT(126)*V(56)
! B(223) = dA(127)/dV(27)
  B(223) = RCT(127)
! B(224) = dA(128)/dV(27)
  B(224) = RCT(128)*V(69)
! B(225) = dA(128)/dV(69)
  B(225) = RCT(128)*V(27)
! B(226) = dA(129)/dV(56)
  B(226) = RCT(129)*V(71)
! B(227) = dA(129)/dV(71)
  B(227) = RCT(129)*V(56)
! B(228) = dA(130)/dV(55)
  B(228) = RCT(130)*V(74)
! B(229) = dA(130)/dV(74)
  B(229) = RCT(130)*V(55)
! B(230) = dA(131)/dV(55)
  B(230) = RCT(131)
! B(231) = dA(132)/dV(55)
  B(231) = RCT(132)*V(71)
! B(232) = dA(132)/dV(71)
  B(232) = RCT(132)*V(55)
! B(233) = dA(133)/dV(59)
  B(233) = RCT(133)*V(74)
! B(234) = dA(133)/dV(74)
  B(234) = RCT(133)*V(59)
! B(235) = dA(134)/dV(59)
  B(235) = RCT(134)
! B(236) = dA(135)/dV(59)
  B(236) = RCT(135)*V(71)
! B(237) = dA(135)/dV(71)
  B(237) = RCT(135)*V(59)
! B(238) = dA(136)/dV(42)
  B(238) = RCT(136)*V(74)
! B(239) = dA(136)/dV(74)
  B(239) = RCT(136)*V(42)
! B(240) = dA(137)/dV(42)
  B(240) = RCT(137)
! B(241) = dA(138)/dV(60)
  B(241) = RCT(138)*V(74)
! B(242) = dA(138)/dV(74)
  B(242) = RCT(138)*V(60)
! B(243) = dA(139)/dV(60)
  B(243) = RCT(139)
! B(244) = dA(140)/dV(29)
  B(244) = RCT(140)*V(74)
! B(245) = dA(140)/dV(74)
  B(245) = RCT(140)*V(29)
! B(246) = dA(141)/dV(26)
  B(246) = RCT(141)*V(74)
! B(247) = dA(141)/dV(74)
  B(247) = RCT(141)*V(26)
! B(248) = dA(142)/dV(26)
  B(248) = RCT(142)
! B(249) = dA(143)/dV(37)
  B(249) = RCT(143)*V(74)
! B(250) = dA(143)/dV(74)
  B(250) = RCT(143)*V(37)
! B(251) = dA(144)/dV(37)
  B(251) = RCT(144)
! B(252) = dA(145)/dV(45)
  B(252) = RCT(145)
! B(253) = dA(146)/dV(45)
  B(253) = RCT(146)
! B(254) = dA(147)/dV(45)
  B(254) = RCT(147)*V(74)
! B(255) = dA(147)/dV(74)
  B(255) = RCT(147)*V(45)
! B(256) = dA(148)/dV(45)
  B(256) = RCT(148)*V(71)
! B(257) = dA(148)/dV(71)
  B(257) = RCT(148)*V(45)
! B(258) = dA(149)/dV(41)
  B(258) = RCT(149)
! B(259) = dA(150)/dV(41)
  B(259) = 1.5e-11*V(74)
! B(260) = dA(150)/dV(74)
  B(260) = 1.5e-11*V(41)
! B(261) = dA(151)/dV(41)
  B(261) = RCT(151)*V(71)
! B(262) = dA(151)/dV(71)
  B(262) = RCT(151)*V(41)
! B(263) = dA(152)/dV(12)
  B(263) = RCT(152)
! B(264) = dA(153)/dV(39)
  B(264) = RCT(153)*V(74)
! B(265) = dA(153)/dV(74)
  B(265) = RCT(153)*V(39)
! B(266) = dA(154)/dV(39)
  B(266) = RCT(154)*V(71)
! B(267) = dA(154)/dV(71)
  B(267) = RCT(154)*V(39)
! B(268) = dA(155)/dV(34)
  B(268) = RCT(155)*V(74)
! B(269) = dA(155)/dV(74)
  B(269) = RCT(155)*V(34)
! B(270) = dA(156)/dV(34)
  B(270) = RCT(156)*V(71)
! B(271) = dA(156)/dV(71)
  B(271) = RCT(156)*V(34)
! B(272) = dA(157)/dV(36)
  B(272) = RCT(157)*V(71)
! B(273) = dA(157)/dV(71)
  B(273) = RCT(157)*V(36)
! B(274) = dA(158)/dV(38)
  B(274) = RCT(158)*V(74)
! B(275) = dA(158)/dV(74)
  B(275) = RCT(158)*V(38)
! B(276) = dA(159)/dV(38)
  B(276) = RCT(159)
! B(277) = dA(160)/dV(38)
  B(277) = RCT(160)*V(71)
! B(278) = dA(160)/dV(71)
  B(278) = RCT(160)*V(38)
! B(279) = dA(161)/dV(50)
  B(279) = RCT(161)*V(74)
! B(280) = dA(161)/dV(74)
  B(280) = RCT(161)*V(50)
! B(281) = dA(162)/dV(50)
  B(281) = RCT(162)*V(62)
! B(282) = dA(162)/dV(62)
  B(282) = RCT(162)*V(50)
! B(283) = dA(163)/dV(50)
  B(283) = RCT(163)*V(71)
! B(284) = dA(163)/dV(71)
  B(284) = RCT(163)*V(50)
! B(285) = dA(164)/dV(50)
  B(285) = RCT(164)*V(58)
! B(286) = dA(164)/dV(58)
  B(286) = RCT(164)*V(50)
! B(287) = dA(165)/dV(50)
  B(287) = RCT(165)
! B(288) = dA(166)/dV(54)
  B(288) = RCT(166)*V(74)
! B(289) = dA(166)/dV(74)
  B(289) = RCT(166)*V(54)
! B(290) = dA(167)/dV(54)
  B(290) = RCT(167)*V(62)
! B(291) = dA(167)/dV(62)
  B(291) = RCT(167)*V(54)
! B(292) = dA(168)/dV(54)
  B(292) = RCT(168)*V(58)
! B(293) = dA(168)/dV(58)
  B(293) = RCT(168)*V(54)
! B(294) = dA(169)/dV(54)
  B(294) = RCT(169)
! B(295) = dA(170)/dV(52)
  B(295) = RCT(170)*V(74)
! B(296) = dA(170)/dV(74)
  B(296) = RCT(170)*V(52)
! B(297) = dA(171)/dV(52)
  B(297) = RCT(171)*V(62)
! B(298) = dA(171)/dV(62)
  B(298) = RCT(171)*V(52)
! B(299) = dA(172)/dV(52)
  B(299) = RCT(172)*V(71)
! B(300) = dA(172)/dV(71)
  B(300) = RCT(172)*V(52)
! B(301) = dA(173)/dV(52)
  B(301) = RCT(173)
! B(302) = dA(174)/dV(61)
  B(302) = RCT(174)*V(74)
! B(303) = dA(174)/dV(74)
  B(303) = RCT(174)*V(61)
! B(304) = dA(175)/dV(61)
  B(304) = RCT(175)
! B(305) = dA(176)/dV(57)
  B(305) = RCT(176)*V(74)
! B(306) = dA(176)/dV(74)
  B(306) = RCT(176)*V(57)
! B(307) = dA(177)/dV(57)
  B(307) = RCT(177)
! B(308) = dA(178)/dV(35)
  B(308) = RCT(178)*V(74)
! B(309) = dA(178)/dV(74)
  B(309) = RCT(178)*V(35)
! B(310) = dA(179)/dV(35)
  B(310) = RCT(179)*V(62)
! B(311) = dA(179)/dV(62)
  B(311) = RCT(179)*V(35)
! B(312) = dA(180)/dV(32)
  B(312) = RCT(180)*V(74)
! B(313) = dA(180)/dV(74)
  B(313) = RCT(180)*V(32)
! B(314) = dA(181)/dV(32)
  B(314) = RCT(181)
! B(315) = dA(182)/dV(33)
  B(315) = RCT(182)*V(74)
! B(316) = dA(182)/dV(74)
  B(316) = RCT(182)*V(33)
! B(317) = dA(183)/dV(33)
  B(317) = RCT(183)
! B(318) = dA(184)/dV(74)
  B(318) = RCT(184)*F(5)
! B(320) = dA(185)/dV(44)
  B(320) = RCT(185)*V(74)
! B(321) = dA(185)/dV(74)
  B(321) = RCT(185)*V(44)
! B(322) = dA(186)/dV(44)
  B(322) = RCT(186)*V(62)
! B(323) = dA(186)/dV(62)
  B(323) = RCT(186)*V(44)
! B(324) = dA(187)/dV(44)
  B(324) = RCT(187)*V(71)
! B(325) = dA(187)/dV(71)
  B(325) = RCT(187)*V(44)
! B(326) = dA(188)/dV(44)
  B(326) = RCT(188)*V(58)
! B(327) = dA(188)/dV(58)
  B(327) = RCT(188)*V(44)
! B(328) = dA(189)/dV(47)
  B(328) = RCT(189)*V(74)
! B(329) = dA(189)/dV(74)
  B(329) = RCT(189)*V(47)
! B(330) = dA(190)/dV(47)
  B(330) = RCT(190)*V(62)
! B(331) = dA(190)/dV(62)
  B(331) = RCT(190)*V(47)
! B(332) = dA(191)/dV(47)
  B(332) = RCT(191)*V(71)
! B(333) = dA(191)/dV(71)
  B(333) = RCT(191)*V(47)
! B(334) = dA(192)/dV(47)
  B(334) = RCT(192)*V(58)
! B(335) = dA(192)/dV(58)
  B(335) = RCT(192)*V(47)
! B(336) = dA(193)/dV(49)
  B(336) = RCT(193)*V(74)
! B(337) = dA(193)/dV(74)
  B(337) = RCT(193)*V(49)
! B(338) = dA(194)/dV(49)
  B(338) = RCT(194)*V(62)
! B(339) = dA(194)/dV(62)
  B(339) = RCT(194)*V(49)
! B(340) = dA(195)/dV(49)
  B(340) = RCT(195)*V(71)
! B(341) = dA(195)/dV(71)
  B(341) = RCT(195)*V(49)
! B(342) = dA(196)/dV(49)
  B(342) = RCT(196)*V(58)
! B(343) = dA(196)/dV(58)
  B(343) = RCT(196)*V(49)
! B(344) = dA(197)/dV(11)
  B(344) = RCT(197)*V(74)
! B(345) = dA(197)/dV(74)
  B(345) = RCT(197)*V(11)
! B(346) = dA(198)/dV(20)
  B(346) = RCT(198)*V(74)
! B(347) = dA(198)/dV(74)
  B(347) = RCT(198)*V(20)
! B(348) = dA(199)/dV(21)
  B(348) = RCT(199)*V(74)
! B(349) = dA(199)/dV(74)
  B(349) = RCT(199)*V(21)
! B(350) = dA(200)/dV(30)
  B(350) = RCT(200)*V(74)
! B(351) = dA(200)/dV(74)
  B(351) = RCT(200)*V(30)
! B(352) = dA(201)/dV(23)
  B(352) = RCT(201)*V(74)
! B(353) = dA(201)/dV(74)
  B(353) = RCT(201)*V(23)
! B(354) = dA(202)/dV(31)
  B(354) = RCT(202)*V(74)
! B(355) = dA(202)/dV(74)
  B(355) = RCT(202)*V(31)
! B(356) = dA(203)/dV(24)
  B(356) = RCT(203)*V(74)
! B(357) = dA(203)/dV(74)
  B(357) = RCT(203)*V(24)
! B(358) = dA(204)/dV(51)
  B(358) = RCT(204)*V(74)
! B(359) = dA(204)/dV(74)
  B(359) = RCT(204)*V(51)
! B(360) = dA(205)/dV(51)
  B(360) = RCT(205)*V(62)
! B(361) = dA(205)/dV(62)
  B(361) = RCT(205)*V(51)
! B(362) = dA(206)/dV(51)
  B(362) = RCT(206)*V(71)
! B(363) = dA(206)/dV(71)
  B(363) = RCT(206)*V(51)
! B(364) = dA(207)/dV(51)
  B(364) = RCT(207)*V(58)
! B(365) = dA(207)/dV(58)
  B(365) = RCT(207)*V(51)
! B(366) = dA(208)/dV(53)
  B(366) = RCT(208)*V(74)
! B(367) = dA(208)/dV(74)
  B(367) = RCT(208)*V(53)
! B(368) = dA(209)/dV(53)
  B(368) = RCT(209)*V(62)
! B(369) = dA(209)/dV(62)
  B(369) = RCT(209)*V(53)
! B(370) = dA(210)/dV(53)
  B(370) = RCT(210)*V(71)
! B(371) = dA(210)/dV(71)
  B(371) = RCT(210)*V(53)
! B(372) = dA(211)/dV(53)
  B(372) = RCT(211)*V(58)
! B(373) = dA(211)/dV(58)
  B(373) = RCT(211)*V(53)

! Construct the Jacobian terms from B's
! JVS(1) = Jac_FULL(1,1)
  JVS(1) = 0
! JVS(2) = Jac_FULL(1,9)
  JVS(2) = B(75)
! JVS(3) = Jac_FULL(1,74)
  JVS(3) = B(76)
! JVS(4) = Jac_FULL(2,2)
  JVS(4) = 0
! JVS(5) = Jac_FULL(2,20)
  JVS(5) = 0.121*B(346)
! JVS(6) = Jac_FULL(2,27)
  JVS(6) = B(224)
! JVS(7) = Jac_FULL(2,44)
  JVS(7) = 0.37*B(322)
! JVS(8) = Jac_FULL(2,47)
  JVS(8) = 0.204*B(330)
! JVS(9) = Jac_FULL(2,49)
  JVS(9) = 0.103*B(338)
! JVS(10) = Jac_FULL(2,50)
  JVS(10) = 0.333*B(281)
! JVS(11) = Jac_FULL(2,51)
  JVS(11) = 0.185*B(360)
! JVS(12) = Jac_FULL(2,52)
  JVS(12) = 0.1*B(297)
! JVS(13) = Jac_FULL(2,53)
  JVS(13) = 0.073*B(368)
! JVS(14) = Jac_FULL(2,54)
  JVS(14) = 0.351*B(290)
! JVS(15) = Jac_FULL(2,62)
  JVS(15) = 0.333*B(282)+0.351*B(291)+0.1*B(298)+0.37*B(323)+0.204*B(331)+0.103*B(339)+0.185*B(361)+0.073*B(369)
! JVS(16) = Jac_FULL(2,69)
  JVS(16) = B(225)
! JVS(17) = Jac_FULL(2,74)
  JVS(17) = 0.121*B(347)
! JVS(18) = Jac_FULL(3,3)
  JVS(18) = 0
! JVS(19) = Jac_FULL(3,51)
  JVS(19) = 0.05*B(360)
! JVS(20) = Jac_FULL(3,53)
  JVS(20) = 0.129*B(368)
! JVS(21) = Jac_FULL(3,62)
  JVS(21) = 0.05*B(361)+0.129*B(369)
! JVS(22) = Jac_FULL(3,63)
  JVS(22) = 0.25*B(125)
! JVS(23) = Jac_FULL(3,64)
  JVS(23) = B(135)
! JVS(24) = Jac_FULL(3,66)
  JVS(24) = B(129)
! JVS(25) = Jac_FULL(3,68)
  JVS(25) = B(131)
! JVS(26) = Jac_FULL(3,72)
  JVS(26) = 0.25*B(126)+B(130)+B(132)+B(136)
! JVS(27) = Jac_FULL(4,4)
  JVS(27) = 0
! JVS(28) = Jac_FULL(4,47)
  JVS(28) = 0.15*B(330)
! JVS(29) = Jac_FULL(4,49)
  JVS(29) = 0.189*B(338)
! JVS(30) = Jac_FULL(4,51)
  JVS(30) = 0.119*B(360)
! JVS(31) = Jac_FULL(4,52)
  JVS(31) = 0.372*B(297)
! JVS(32) = Jac_FULL(4,53)
  JVS(32) = 0.247*B(368)
! JVS(33) = Jac_FULL(4,62)
  JVS(33) = 0.372*B(298)+0.15*B(331)+0.189*B(339)+0.119*B(361)+0.247*B(369)
! JVS(34) = Jac_FULL(4,63)
  JVS(34) = 0.25*B(143)+0.25*B(163)+0.25*B(185)
! JVS(35) = Jac_FULL(4,64)
  JVS(35) = B(153)+B(173)+2*B(195)
! JVS(36) = Jac_FULL(4,65)
  JVS(36) = 0.25*B(186)+B(189)+B(191)+2*B(196)
! JVS(37) = Jac_FULL(4,66)
  JVS(37) = B(147)+B(167)+B(190)
! JVS(38) = Jac_FULL(4,67)
  JVS(38) = 0.25*B(164)+B(168)+B(169)+B(174)
! JVS(39) = Jac_FULL(4,68)
  JVS(39) = B(149)+B(170)+B(192)
! JVS(40) = Jac_FULL(4,73)
  JVS(40) = 0.25*B(144)+B(148)+B(150)+B(154)
! JVS(41) = Jac_FULL(5,5)
  JVS(41) = 0
! JVS(42) = Jac_FULL(5,63)
  JVS(42) = 0.75*B(125)
! JVS(43) = Jac_FULL(5,72)
  JVS(43) = 0.75*B(126)
! JVS(44) = Jac_FULL(6,6)
  JVS(44) = 0
! JVS(45) = Jac_FULL(6,63)
  JVS(45) = 0.75*B(143)+0.75*B(163)+0.75*B(185)
! JVS(46) = Jac_FULL(6,65)
  JVS(46) = 0.75*B(186)
! JVS(47) = Jac_FULL(6,67)
  JVS(47) = 0.75*B(164)
! JVS(48) = Jac_FULL(6,73)
  JVS(48) = 0.75*B(144)
! JVS(49) = Jac_FULL(7,7)
  JVS(49) = 0
! JVS(50) = Jac_FULL(7,28)
  JVS(50) = 2*B(212)
! JVS(51) = Jac_FULL(7,70)
  JVS(51) = 2*B(213)
! JVS(52) = Jac_FULL(8,8)
  JVS(52) = 0
! JVS(53) = Jac_FULL(8,28)
  JVS(53) = 6*B(212)
! JVS(54) = Jac_FULL(8,38)
  JVS(54) = 7*B(276)
! JVS(55) = Jac_FULL(8,70)
  JVS(55) = 6*B(213)
! JVS(56) = Jac_FULL(9,9)
  JVS(56) = -B(75)
! JVS(57) = Jac_FULL(9,74)
  JVS(57) = -B(76)
! JVS(58) = Jac_FULL(10,10)
  JVS(58) = -B(33)-B(35)
! JVS(59) = Jac_FULL(10,62)
  JVS(59) = B(32)
! JVS(60) = Jac_FULL(11,11)
  JVS(60) = -B(344)
! JVS(61) = Jac_FULL(11,74)
  JVS(61) = -B(345)
! JVS(62) = Jac_FULL(12,12)
  JVS(62) = -B(263)
! JVS(63) = Jac_FULL(12,24)
  JVS(63) = 0.087*B(356)
! JVS(64) = Jac_FULL(12,49)
  JVS(64) = 0.031*B(338)
! JVS(65) = Jac_FULL(12,62)
  JVS(65) = 0.031*B(339)
! JVS(66) = Jac_FULL(12,74)
  JVS(66) = 0.087*B(357)
! JVS(67) = Jac_FULL(13,13)
  JVS(67) = -B(122)
! JVS(68) = Jac_FULL(13,70)
  JVS(68) = B(120)
! JVS(69) = Jac_FULL(13,72)
  JVS(69) = B(121)
! JVS(70) = Jac_FULL(14,14)
  JVS(70) = -B(140)
! JVS(71) = Jac_FULL(14,70)
  JVS(71) = B(138)
! JVS(72) = Jac_FULL(14,73)
  JVS(72) = B(139)
! JVS(73) = Jac_FULL(15,15)
  JVS(73) = -B(160)
! JVS(74) = Jac_FULL(15,67)
  JVS(74) = B(158)
! JVS(75) = Jac_FULL(15,70)
  JVS(75) = B(159)
! JVS(76) = Jac_FULL(16,16)
  JVS(76) = -B(182)
! JVS(77) = Jac_FULL(16,65)
  JVS(77) = B(180)
! JVS(78) = Jac_FULL(16,70)
  JVS(78) = B(181)
! JVS(79) = Jac_FULL(17,17)
  JVS(79) = -B(70)-B(71)
! JVS(80) = Jac_FULL(17,63)
  JVS(80) = B(64)+B(65)
! JVS(81) = Jac_FULL(17,74)
  JVS(81) = -B(72)
! JVS(82) = Jac_FULL(18,18)
  JVS(82) = -B(24)-B(25)
! JVS(83) = Jac_FULL(18,70)
  JVS(83) = B(22)
! JVS(84) = Jac_FULL(18,71)
  JVS(84) = B(23)
! JVS(85) = Jac_FULL(19,19)
  JVS(85) = -B(39)-B(40)-B(41)
! JVS(86) = Jac_FULL(19,69)
  JVS(86) = B(37)
! JVS(87) = Jac_FULL(19,74)
  JVS(87) = B(38)-B(42)
! JVS(88) = Jac_FULL(20,20)
  JVS(88) = -B(346)
! JVS(89) = Jac_FULL(20,74)
  JVS(89) = -B(347)
! JVS(90) = Jac_FULL(21,21)
  JVS(90) = -B(348)
! JVS(91) = Jac_FULL(21,74)
  JVS(91) = -B(349)
! JVS(92) = Jac_FULL(22,21)
  JVS(92) = 0.236*B(348)
! JVS(93) = Jac_FULL(22,22)
  JVS(93) = -B(204)-B(206)
! JVS(94) = Jac_FULL(22,70)
  JVS(94) = -B(205)
! JVS(95) = Jac_FULL(22,74)
  JVS(95) = 0.236*B(349)
! JVS(96) = Jac_FULL(23,23)
  JVS(96) = -B(352)
! JVS(97) = Jac_FULL(23,74)
  JVS(97) = -B(353)
! JVS(98) = Jac_FULL(24,24)
  JVS(98) = -B(356)
! JVS(99) = Jac_FULL(24,74)
  JVS(99) = -B(357)
! JVS(100) = Jac_FULL(25,25)
  JVS(100) = -B(58)-B(59)-B(60)
! JVS(101) = Jac_FULL(25,63)
  JVS(101) = B(56)
! JVS(102) = Jac_FULL(25,70)
  JVS(102) = B(57)
! JVS(103) = Jac_FULL(25,74)
  JVS(103) = -B(61)
! JVS(104) = Jac_FULL(26,26)
  JVS(104) = -B(246)-B(248)
! JVS(105) = Jac_FULL(26,63)
  JVS(105) = B(81)
! JVS(106) = Jac_FULL(26,66)
  JVS(106) = B(82)
! JVS(107) = Jac_FULL(26,74)
  JVS(107) = -B(247)
! JVS(108) = Jac_FULL(27,27)
  JVS(108) = -B(223)-B(224)
! JVS(109) = Jac_FULL(27,56)
  JVS(109) = B(221)
! JVS(110) = Jac_FULL(27,63)
  JVS(110) = B(222)
! JVS(111) = Jac_FULL(27,69)
  JVS(111) = -B(225)
! JVS(112) = Jac_FULL(28,28)
  JVS(112) = -B(212)-B(214)-B(216)
! JVS(113) = Jac_FULL(28,36)
  JVS(113) = B(272)
! JVS(114) = Jac_FULL(28,63)
  JVS(114) = -B(215)
! JVS(115) = Jac_FULL(28,70)
  JVS(115) = -B(213)
! JVS(116) = Jac_FULL(28,71)
  JVS(116) = B(273)
! JVS(117) = Jac_FULL(29,29)
  JVS(117) = -B(244)
! JVS(118) = Jac_FULL(29,64)
  JVS(118) = 0.25*B(111)
! JVS(119) = Jac_FULL(29,66)
  JVS(119) = B(85)+0.25*B(93)+0.25*B(112)
! JVS(120) = Jac_FULL(29,68)
  JVS(120) = 0.25*B(94)
! JVS(121) = Jac_FULL(29,74)
  JVS(121) = -B(245)
! JVS(122) = Jac_FULL(30,30)
  JVS(122) = -B(350)
! JVS(123) = Jac_FULL(30,74)
  JVS(123) = -B(351)
! JVS(124) = Jac_FULL(31,31)
  JVS(124) = -B(354)
! JVS(125) = Jac_FULL(31,74)
  JVS(125) = -B(355)
! JVS(126) = Jac_FULL(32,24)
  JVS(126) = 0.099*B(356)
! JVS(127) = Jac_FULL(32,31)
  JVS(127) = 0.108*B(354)
! JVS(128) = Jac_FULL(32,32)
  JVS(128) = -B(312)-B(314)
! JVS(129) = Jac_FULL(32,74)
  JVS(129) = -B(313)+0.108*B(355)+0.099*B(357)
! JVS(130) = Jac_FULL(33,24)
  JVS(130) = 0.093*B(356)
! JVS(131) = Jac_FULL(33,31)
  JVS(131) = 0.051*B(354)
! JVS(132) = Jac_FULL(33,33)
  JVS(132) = -B(315)-B(317)
! JVS(133) = Jac_FULL(33,74)
  JVS(133) = -B(316)+0.051*B(355)+0.093*B(357)
! JVS(134) = Jac_FULL(34,24)
  JVS(134) = 0.187*B(356)
! JVS(135) = Jac_FULL(34,31)
  JVS(135) = 0.207*B(354)
! JVS(136) = Jac_FULL(34,34)
  JVS(136) = -B(268)-B(270)
! JVS(137) = Jac_FULL(34,71)
  JVS(137) = -B(271)
! JVS(138) = Jac_FULL(34,74)
  JVS(138) = -B(269)+0.207*B(355)+0.187*B(357)
! JVS(139) = Jac_FULL(35,24)
  JVS(139) = 0.561*B(356)
! JVS(140) = Jac_FULL(35,31)
  JVS(140) = 0.491*B(354)
! JVS(141) = Jac_FULL(35,35)
  JVS(141) = -B(308)-B(310)
! JVS(142) = Jac_FULL(35,62)
  JVS(142) = -B(311)
! JVS(143) = Jac_FULL(35,74)
  JVS(143) = -B(309)+0.491*B(355)+0.561*B(357)
! JVS(144) = Jac_FULL(36,28)
  JVS(144) = B(214)+B(216)
! JVS(145) = Jac_FULL(36,36)
  JVS(145) = -B(272)
! JVS(146) = Jac_FULL(36,46)
  JVS(146) = B(207)
! JVS(147) = Jac_FULL(36,63)
  JVS(147) = B(215)
! JVS(148) = Jac_FULL(36,70)
  JVS(148) = B(208)
! JVS(149) = Jac_FULL(36,71)
  JVS(149) = -B(273)
! JVS(150) = Jac_FULL(37,37)
  JVS(150) = -B(249)-B(251)
! JVS(151) = Jac_FULL(37,63)
  JVS(151) = B(89)+B(109)
! JVS(152) = Jac_FULL(37,64)
  JVS(152) = B(110)
! JVS(153) = Jac_FULL(37,68)
  JVS(153) = B(90)
! JVS(154) = Jac_FULL(37,74)
  JVS(154) = -B(250)
! JVS(155) = Jac_FULL(38,24)
  JVS(155) = 0.05*B(356)
! JVS(156) = Jac_FULL(38,31)
  JVS(156) = 0.059*B(354)
! JVS(157) = Jac_FULL(38,38)
  JVS(157) = -B(274)-B(276)-B(277)
! JVS(158) = Jac_FULL(38,53)
  JVS(158) = 0.061*B(366)+0.042*B(368)+0.015*B(370)
! JVS(159) = Jac_FULL(38,62)
  JVS(159) = 0.042*B(369)
! JVS(160) = Jac_FULL(38,71)
  JVS(160) = -B(278)+0.015*B(371)
! JVS(161) = Jac_FULL(38,74)
  JVS(161) = -B(275)+0.059*B(355)+0.05*B(357)+0.061*B(367)
! JVS(162) = Jac_FULL(39,31)
  JVS(162) = 0.017*B(354)
! JVS(163) = Jac_FULL(39,39)
  JVS(163) = -B(264)-B(266)
! JVS(164) = Jac_FULL(39,46)
  JVS(164) = B(209)+B(211)
! JVS(165) = Jac_FULL(39,63)
  JVS(165) = B(210)
! JVS(166) = Jac_FULL(39,71)
  JVS(166) = -B(267)
! JVS(167) = Jac_FULL(39,74)
  JVS(167) = -B(265)+0.017*B(355)
! JVS(168) = Jac_FULL(40,20)
  JVS(168) = 0.16*B(346)
! JVS(169) = Jac_FULL(40,30)
  JVS(169) = 0.002*B(350)
! JVS(170) = Jac_FULL(40,32)
  JVS(170) = B(314)
! JVS(171) = Jac_FULL(40,33)
  JVS(171) = B(317)
! JVS(172) = Jac_FULL(40,35)
  JVS(172) = B(308)+1.5*B(310)
! JVS(173) = Jac_FULL(40,40)
  JVS(173) = -B(50)
! JVS(174) = Jac_FULL(40,41)
  JVS(174) = B(258)+B(259)+B(261)
! JVS(175) = Jac_FULL(40,44)
  JVS(175) = 0.5*B(322)+0.491*B(326)
! JVS(176) = Jac_FULL(40,45)
  JVS(176) = 2*B(252)+B(253)+1.26*B(254)+1.26*B(256)
! JVS(177) = Jac_FULL(40,47)
  JVS(177) = 0.275*B(330)
! JVS(178) = Jac_FULL(40,49)
  JVS(178) = 0.157*B(338)
! JVS(179) = Jac_FULL(40,50)
  JVS(179) = 0.416*B(279)+0.45*B(281)+0.5*B(283)+0.67*B(287)
! JVS(180) = Jac_FULL(40,51)
  JVS(180) = 0.345*B(360)
! JVS(181) = Jac_FULL(40,52)
  JVS(181) = 0.336*B(295)+0.498*B(297)+0.572*B(299)+1.233*B(301)
! JVS(182) = Jac_FULL(40,53)
  JVS(182) = 0.265*B(368)+0.012*B(372)
! JVS(183) = Jac_FULL(40,54)
  JVS(183) = 0.475*B(290)+0.7*B(294)
! JVS(184) = Jac_FULL(40,55)
  JVS(184) = B(230)
! JVS(185) = Jac_FULL(40,56)
  JVS(185) = B(217)+B(218)+B(219)+B(226)
! JVS(186) = Jac_FULL(40,58)
  JVS(186) = 0.491*B(327)+0.012*B(373)
! JVS(187) = Jac_FULL(40,59)
  JVS(187) = 0.034*B(233)+B(235)
! JVS(188) = Jac_FULL(40,62)
  JVS(188) = 0.45*B(282)+0.475*B(291)+0.498*B(298)+1.5*B(311)+0.5*B(323)+0.275*B(331)+0.157*B(339)+0.345*B(361)+0.265&
               &*B(369)
! JVS(189) = Jac_FULL(40,71)
  JVS(189) = B(227)+1.26*B(257)+B(262)+0.5*B(284)+0.572*B(300)
! JVS(190) = Jac_FULL(40,74)
  JVS(190) = -B(51)+B(220)+0.034*B(234)+1.26*B(255)+B(260)+0.416*B(280)+0.336*B(296)+B(309)+0.16*B(347)+0.002*B(351)
! JVS(191) = Jac_FULL(41,24)
  JVS(191) = 0.287*B(356)
! JVS(192) = Jac_FULL(41,31)
  JVS(192) = 0.119*B(354)
! JVS(193) = Jac_FULL(41,32)
  JVS(193) = 0.5*B(314)
! JVS(194) = Jac_FULL(41,33)
  JVS(194) = 0.5*B(317)
! JVS(195) = Jac_FULL(41,34)
  JVS(195) = 0.23*B(268)
! JVS(196) = Jac_FULL(41,41)
  JVS(196) = -B(258)-B(259)-B(261)
! JVS(197) = Jac_FULL(41,50)
  JVS(197) = 0.084*B(279)+0.9*B(281)
! JVS(198) = Jac_FULL(41,52)
  JVS(198) = 0.174*B(295)+0.742*B(297)+0.008*B(299)
! JVS(199) = Jac_FULL(41,54)
  JVS(199) = 0.3*B(288)+0.95*B(290)
! JVS(200) = Jac_FULL(41,62)
  JVS(200) = 0.9*B(282)+0.95*B(291)+0.742*B(298)
! JVS(201) = Jac_FULL(41,71)
  JVS(201) = -B(262)+0.008*B(300)
! JVS(202) = Jac_FULL(41,74)
  JVS(202) = -B(260)+0.23*B(269)+0.084*B(280)+0.3*B(289)+0.174*B(296)+0.119*B(355)+0.287*B(357)
! JVS(203) = Jac_FULL(42,20)
  JVS(203) = 0.417*B(346)
! JVS(204) = Jac_FULL(42,21)
  JVS(204) = 0.024*B(348)
! JVS(205) = Jac_FULL(42,22)
  JVS(205) = B(206)
! JVS(206) = Jac_FULL(42,23)
  JVS(206) = 0.072*B(352)
! JVS(207) = Jac_FULL(42,30)
  JVS(207) = 0.452*B(350)
! JVS(208) = Jac_FULL(42,42)
  JVS(208) = -B(238)-B(240)
! JVS(209) = Jac_FULL(42,49)
  JVS(209) = 0.13*B(338)
! JVS(210) = Jac_FULL(42,51)
  JVS(210) = 0.005*B(358)+0.001*B(360)+0.024*B(362)
! JVS(211) = Jac_FULL(42,53)
  JVS(211) = 0.127*B(366)+0.045*B(368)+0.102*B(370)
! JVS(212) = Jac_FULL(42,57)
  JVS(212) = 0.006*B(305)+0.02*B(307)
! JVS(213) = Jac_FULL(42,62)
  JVS(213) = 0.13*B(339)+0.001*B(361)+0.045*B(369)
! JVS(214) = Jac_FULL(42,70)
  JVS(214) = 0
! JVS(215) = Jac_FULL(42,71)
  JVS(215) = 0.024*B(363)+0.102*B(371)
! JVS(216) = Jac_FULL(42,74)
  JVS(216) = -B(239)+0.006*B(306)+0.417*B(347)+0.024*B(349)+0.452*B(351)+0.072*B(353)+0.005*B(359)+0.127*B(367)
! JVS(217) = Jac_FULL(43,18)
  JVS(217) = 2*B(25)
! JVS(218) = Jac_FULL(43,34)
  JVS(218) = B(270)
! JVS(219) = Jac_FULL(43,36)
  JVS(219) = B(272)
! JVS(220) = Jac_FULL(43,38)
  JVS(220) = B(277)
! JVS(221) = Jac_FULL(43,39)
  JVS(221) = B(266)
! JVS(222) = Jac_FULL(43,41)
  JVS(222) = B(261)
! JVS(223) = Jac_FULL(43,43)
  JVS(223) = -B(47)-B(49)
! JVS(224) = Jac_FULL(43,45)
  JVS(224) = B(256)
! JVS(225) = Jac_FULL(43,46)
  JVS(225) = 0
! JVS(226) = Jac_FULL(43,50)
  JVS(226) = 0.5*B(283)
! JVS(227) = Jac_FULL(43,52)
  JVS(227) = 0.15*B(299)
! JVS(228) = Jac_FULL(43,53)
  JVS(228) = 0
! JVS(229) = Jac_FULL(43,54)
  JVS(229) = 0
! JVS(230) = Jac_FULL(43,55)
  JVS(230) = B(231)
! JVS(231) = Jac_FULL(43,56)
  JVS(231) = B(226)
! JVS(232) = Jac_FULL(43,59)
  JVS(232) = B(236)
! JVS(233) = Jac_FULL(43,62)
  JVS(233) = 0
! JVS(234) = Jac_FULL(43,63)
  JVS(234) = 0.2*B(67)
! JVS(235) = Jac_FULL(43,70)
  JVS(235) = B(43)
! JVS(236) = Jac_FULL(43,71)
  JVS(236) = 0.2*B(68)+B(227)+B(232)+B(237)+B(257)+B(262)+B(267)+B(271)+B(273)+B(278)+0.5*B(284)+0.15*B(300)
! JVS(237) = Jac_FULL(43,74)
  JVS(237) = B(44)-B(48)
! JVS(238) = Jac_FULL(44,44)
  JVS(238) = -B(320)-B(322)-B(324)-B(326)
! JVS(239) = Jac_FULL(44,58)
  JVS(239) = -B(327)
! JVS(240) = Jac_FULL(44,62)
  JVS(240) = -B(323)
! JVS(241) = Jac_FULL(44,71)
  JVS(241) = -B(325)
! JVS(242) = Jac_FULL(44,74)
  JVS(242) = -B(321)
! JVS(243) = Jac_FULL(45,20)
  JVS(243) = 0.248*B(346)
! JVS(244) = Jac_FULL(45,24)
  JVS(244) = 0.097*B(356)
! JVS(245) = Jac_FULL(45,31)
  JVS(245) = 0.118*B(354)
! JVS(246) = Jac_FULL(45,32)
  JVS(246) = 0.5*B(314)
! JVS(247) = Jac_FULL(45,33)
  JVS(247) = 0.5*B(317)
! JVS(248) = Jac_FULL(45,35)
  JVS(248) = B(310)
! JVS(249) = Jac_FULL(45,39)
  JVS(249) = 0.23*B(264)
! JVS(250) = Jac_FULL(45,44)
  JVS(250) = 0.009*B(326)
! JVS(251) = Jac_FULL(45,45)
  JVS(251) = -B(252)-B(253)-B(254)-B(256)
! JVS(252) = Jac_FULL(45,46)
  JVS(252) = 0
! JVS(253) = Jac_FULL(45,49)
  JVS(253) = 0.001*B(338)
! JVS(254) = Jac_FULL(45,52)
  JVS(254) = 0.15*B(295)+0.023*B(297)
! JVS(255) = Jac_FULL(45,58)
  JVS(255) = 0.009*B(327)
! JVS(256) = Jac_FULL(45,62)
  JVS(256) = 0.023*B(298)+B(311)+0.001*B(339)
! JVS(257) = Jac_FULL(45,63)
  JVS(257) = 0
! JVS(258) = Jac_FULL(45,71)
  JVS(258) = -B(257)
! JVS(259) = Jac_FULL(45,74)
  JVS(259) = -B(255)+0.23*B(265)+0.15*B(296)+0.248*B(347)+0.118*B(355)+0.097*B(357)
! JVS(260) = Jac_FULL(46,34)
  JVS(260) = 0.24*B(268)+B(270)
! JVS(261) = Jac_FULL(46,39)
  JVS(261) = 0.24*B(264)+B(266)
! JVS(262) = Jac_FULL(46,46)
  JVS(262) = -B(207)-B(209)-B(211)
! JVS(263) = Jac_FULL(46,63)
  JVS(263) = -B(210)
! JVS(264) = Jac_FULL(46,65)
  JVS(264) = B(201)
! JVS(265) = Jac_FULL(46,67)
  JVS(265) = B(161)+B(165)+B(175)+B(177)+2*B(179)+B(202)
! JVS(266) = Jac_FULL(46,69)
  JVS(266) = B(162)
! JVS(267) = Jac_FULL(46,70)
  JVS(267) = -B(208)
! JVS(268) = Jac_FULL(46,71)
  JVS(268) = B(166)+B(267)+B(271)
! JVS(269) = Jac_FULL(46,72)
  JVS(269) = B(176)
! JVS(270) = Jac_FULL(46,73)
  JVS(270) = B(178)
! JVS(271) = Jac_FULL(46,74)
  JVS(271) = 0.24*B(265)+0.24*B(269)
! JVS(272) = Jac_FULL(47,47)
  JVS(272) = -B(328)-B(330)-B(332)-B(334)
! JVS(273) = Jac_FULL(47,58)
  JVS(273) = -B(335)
! JVS(274) = Jac_FULL(47,62)
  JVS(274) = -B(331)
! JVS(275) = Jac_FULL(47,71)
  JVS(275) = -B(333)
! JVS(276) = Jac_FULL(47,74)
  JVS(276) = -B(329)
! JVS(277) = Jac_FULL(48,21)
  JVS(277) = 0.559*B(348)
! JVS(278) = Jac_FULL(48,23)
  JVS(278) = 0.948*B(352)
! JVS(279) = Jac_FULL(48,30)
  JVS(279) = 0.936*B(350)
! JVS(280) = Jac_FULL(48,32)
  JVS(280) = B(312)+B(314)
! JVS(281) = Jac_FULL(48,33)
  JVS(281) = B(315)+B(317)
! JVS(282) = Jac_FULL(48,42)
  JVS(282) = B(238)
! JVS(283) = Jac_FULL(48,47)
  JVS(283) = 0.079*B(328)+0.126*B(330)+0.187*B(332)+0.24*B(334)
! JVS(284) = Jac_FULL(48,48)
  JVS(284) = -B(96)-B(98)-B(100)-B(102)-B(104)-B(117)-B(133)-B(151)-B(171)-B(193)
! JVS(285) = Jac_FULL(48,49)
  JVS(285) = 0.5*B(336)+0.729*B(338)+0.75*B(340)
! JVS(286) = Jac_FULL(48,51)
  JVS(286) = 0.205*B(358)+0.488*B(362)
! JVS(287) = Jac_FULL(48,53)
  JVS(287) = 0.001*B(366)+0.137*B(368)+0.711*B(370)
! JVS(288) = Jac_FULL(48,54)
  JVS(288) = 0.675*B(288)
! JVS(289) = Jac_FULL(48,57)
  JVS(289) = 0.596*B(305)+0.152*B(307)
! JVS(290) = Jac_FULL(48,58)
  JVS(290) = 0.24*B(335)
! JVS(291) = Jac_FULL(48,60)
  JVS(291) = 0.616*B(241)
! JVS(292) = Jac_FULL(48,61)
  JVS(292) = 0.515*B(304)
! JVS(293) = Jac_FULL(48,62)
  JVS(293) = 0.126*B(331)+0.729*B(339)+0.137*B(369)
! JVS(294) = Jac_FULL(48,63)
  JVS(294) = -B(99)
! JVS(295) = Jac_FULL(48,64)
  JVS(295) = -B(118)
! JVS(296) = Jac_FULL(48,65)
  JVS(296) = -B(194)+B(201)
! JVS(297) = Jac_FULL(48,66)
  JVS(297) = -B(103)
! JVS(298) = Jac_FULL(48,67)
  JVS(298) = B(161)+B(165)-B(172)+B(175)+B(177)+2*B(179)+B(202)
! JVS(299) = Jac_FULL(48,68)
  JVS(299) = -B(105)
! JVS(300) = Jac_FULL(48,69)
  JVS(300) = -B(97)+B(162)
! JVS(301) = Jac_FULL(48,70)
  JVS(301) = 0
! JVS(302) = Jac_FULL(48,71)
  JVS(302) = -B(101)+B(166)+0.187*B(333)+0.75*B(341)+0.488*B(363)+0.711*B(371)
! JVS(303) = Jac_FULL(48,72)
  JVS(303) = -B(134)+B(176)
! JVS(304) = Jac_FULL(48,73)
  JVS(304) = -B(152)+B(178)
! JVS(305) = Jac_FULL(48,74)
  JVS(305) = B(239)+0.616*B(242)+0.675*B(289)+0.596*B(306)+B(313)+B(316)+0.079*B(329)+0.5*B(337)+0.559*B(349)+0.936&
               &*B(351)+0.948*B(353)+0.205*B(359)+0.001*B(367)
! JVS(306) = Jac_FULL(49,49)
  JVS(306) = -B(336)-B(338)-B(340)-B(342)
! JVS(307) = Jac_FULL(49,58)
  JVS(307) = -B(343)
! JVS(308) = Jac_FULL(49,62)
  JVS(308) = -B(339)
! JVS(309) = Jac_FULL(49,71)
  JVS(309) = -B(341)
! JVS(310) = Jac_FULL(49,74)
  JVS(310) = -B(337)
! JVS(311) = Jac_FULL(50,47)
  JVS(311) = 0.23*B(328)+0.39*B(330)
! JVS(312) = Jac_FULL(50,50)
  JVS(312) = -B(279)-B(281)-B(283)-B(285)-B(287)
! JVS(313) = Jac_FULL(50,53)
  JVS(313) = 0.025*B(366)+0.026*B(368)+0.012*B(372)
! JVS(314) = Jac_FULL(50,58)
  JVS(314) = -B(286)+0.012*B(373)
! JVS(315) = Jac_FULL(50,62)
  JVS(315) = -B(282)+0.39*B(331)+0.026*B(369)
! JVS(316) = Jac_FULL(50,71)
  JVS(316) = -B(284)
! JVS(317) = Jac_FULL(50,74)
  JVS(317) = -B(280)+0.23*B(329)+0.025*B(367)
! JVS(318) = Jac_FULL(51,51)
  JVS(318) = -B(358)-B(360)-B(362)-B(364)
! JVS(319) = Jac_FULL(51,58)
  JVS(319) = -B(365)
! JVS(320) = Jac_FULL(51,62)
  JVS(320) = -B(361)
! JVS(321) = Jac_FULL(51,71)
  JVS(321) = -B(363)
! JVS(322) = Jac_FULL(51,74)
  JVS(322) = -B(359)
! JVS(323) = Jac_FULL(52,47)
  JVS(323) = 0.357*B(328)+0.936*B(332)
! JVS(324) = Jac_FULL(52,52)
  JVS(324) = -B(295)-B(297)-B(299)-B(301)
! JVS(325) = Jac_FULL(52,53)
  JVS(325) = 0.025*B(366)
! JVS(326) = Jac_FULL(52,58)
  JVS(326) = 0
! JVS(327) = Jac_FULL(52,62)
  JVS(327) = -B(298)
! JVS(328) = Jac_FULL(52,71)
  JVS(328) = -B(300)+0.936*B(333)
! JVS(329) = Jac_FULL(52,74)
  JVS(329) = -B(296)+0.357*B(329)+0.025*B(367)
! JVS(330) = Jac_FULL(53,53)
  JVS(330) = -B(366)-B(368)-B(370)-B(372)
! JVS(331) = Jac_FULL(53,58)
  JVS(331) = -B(373)
! JVS(332) = Jac_FULL(53,62)
  JVS(332) = -B(369)
! JVS(333) = Jac_FULL(53,71)
  JVS(333) = -B(371)
! JVS(334) = Jac_FULL(53,74)
  JVS(334) = -B(367)
! JVS(335) = Jac_FULL(54,47)
  JVS(335) = 0.32*B(328)+0.16*B(330)
! JVS(336) = Jac_FULL(54,53)
  JVS(336) = 0.019*B(368)+0.048*B(370)
! JVS(337) = Jac_FULL(54,54)
  JVS(337) = -B(288)-B(290)-B(292)-B(294)
! JVS(338) = Jac_FULL(54,58)
  JVS(338) = -B(293)
! JVS(339) = Jac_FULL(54,62)
  JVS(339) = -B(291)+0.16*B(331)+0.019*B(369)
! JVS(340) = Jac_FULL(54,71)
  JVS(340) = 0.048*B(371)
! JVS(341) = Jac_FULL(54,74)
  JVS(341) = -B(289)+0.32*B(329)
! JVS(342) = Jac_FULL(55,11)
  JVS(342) = B(344)
! JVS(343) = Jac_FULL(55,21)
  JVS(343) = 0.445*B(348)
! JVS(344) = Jac_FULL(55,23)
  JVS(344) = 0.099*B(352)
! JVS(345) = Jac_FULL(55,30)
  JVS(345) = 0.455*B(350)
! JVS(346) = Jac_FULL(55,44)
  JVS(346) = 0.195*B(320)+0.25*B(326)
! JVS(347) = Jac_FULL(55,51)
  JVS(347) = 0.294*B(358)+0.154*B(360)+0.009*B(362)
! JVS(348) = Jac_FULL(55,52)
  JVS(348) = 0.129*B(295)+0.047*B(297)+0.467*B(301)
! JVS(349) = Jac_FULL(55,53)
  JVS(349) = 0.732*B(366)+0.456*B(368)+0.507*B(370)
! JVS(350) = Jac_FULL(55,55)
  JVS(350) = -B(228)-B(230)-B(231)
! JVS(351) = Jac_FULL(55,57)
  JVS(351) = 0.439*B(305)+0.431*B(307)
! JVS(352) = Jac_FULL(55,58)
  JVS(352) = 0.25*B(327)
! JVS(353) = Jac_FULL(55,59)
  JVS(353) = 0.034*B(233)+B(235)
! JVS(354) = Jac_FULL(55,60)
  JVS(354) = 0.482*B(241)+B(243)
! JVS(355) = Jac_FULL(55,61)
  JVS(355) = 0.084*B(302)+0.246*B(304)
! JVS(356) = Jac_FULL(55,62)
  JVS(356) = 0.047*B(298)+0.154*B(361)+0.456*B(369)
! JVS(357) = Jac_FULL(55,65)
  JVS(357) = B(199)
! JVS(358) = Jac_FULL(55,67)
  JVS(358) = B(177)
! JVS(359) = Jac_FULL(55,69)
  JVS(359) = B(141)
! JVS(360) = Jac_FULL(55,71)
  JVS(360) = B(145)-B(232)+0.009*B(363)+0.507*B(371)
! JVS(361) = Jac_FULL(55,72)
  JVS(361) = B(155)
! JVS(362) = Jac_FULL(55,73)
  JVS(362) = B(142)+B(146)+B(156)+2*B(157)+B(178)+B(200)
! JVS(363) = Jac_FULL(55,74)
  JVS(363) = -B(229)+0.034*B(234)+0.482*B(242)+0.129*B(296)+0.084*B(303)+0.439*B(306)+0.195*B(321)+B(345)+0.445*B(349)&
               &+0.455*B(351)+0.099*B(353)+0.294*B(359)+0.732*B(367)
! JVS(364) = Jac_FULL(56,20)
  JVS(364) = 0.039*B(346)
! JVS(365) = Jac_FULL(56,21)
  JVS(365) = 0.026*B(348)
! JVS(366) = Jac_FULL(56,23)
  JVS(366) = 0.026*B(352)
! JVS(367) = Jac_FULL(56,26)
  JVS(367) = 0.35*B(246)+B(248)
! JVS(368) = Jac_FULL(56,27)
  JVS(368) = B(223)
! JVS(369) = Jac_FULL(56,29)
  JVS(369) = B(244)
! JVS(370) = Jac_FULL(56,30)
  JVS(370) = 0.024*B(350)
! JVS(371) = Jac_FULL(56,42)
  JVS(371) = B(238)
! JVS(372) = Jac_FULL(56,44)
  JVS(372) = 1.61*B(320)+B(322)+0.191*B(326)
! JVS(373) = Jac_FULL(56,45)
  JVS(373) = B(253)
! JVS(374) = Jac_FULL(56,46)
  JVS(374) = 0
! JVS(375) = Jac_FULL(56,47)
  JVS(375) = 0.624*B(328)+0.592*B(330)+0.24*B(334)
! JVS(376) = Jac_FULL(56,49)
  JVS(376) = 0.276*B(336)+0.235*B(338)
! JVS(377) = Jac_FULL(56,50)
  JVS(377) = 0.084*B(279)+0.2*B(281)+0.67*B(287)
! JVS(378) = Jac_FULL(56,51)
  JVS(378) = 0.732*B(358)+0.5*B(360)
! JVS(379) = Jac_FULL(56,52)
  JVS(379) = 0.055*B(295)+0.125*B(297)+0.227*B(299)+0.3*B(301)
! JVS(380) = Jac_FULL(56,53)
  JVS(380) = 0.244*B(366)+0.269*B(368)+0.079*B(370)
! JVS(381) = Jac_FULL(56,54)
  JVS(381) = 0.3*B(288)+0.1*B(290)
! JVS(382) = Jac_FULL(56,56)
  JVS(382) = -B(217)-B(218)-B(219)-B(221)-B(226)
! JVS(383) = Jac_FULL(56,57)
  JVS(383) = 0.01*B(305)+0.134*B(307)
! JVS(384) = Jac_FULL(56,58)
  JVS(384) = 0.191*B(327)+0.24*B(335)
! JVS(385) = Jac_FULL(56,60)
  JVS(385) = 0.115*B(241)
! JVS(386) = Jac_FULL(56,61)
  JVS(386) = 0.213*B(302)+0.506*B(304)
! JVS(387) = Jac_FULL(56,62)
  JVS(387) = 0.2*B(282)+0.1*B(291)+0.125*B(298)+B(323)+0.592*B(331)+0.235*B(339)+0.5*B(361)+0.269*B(369)
! JVS(388) = Jac_FULL(56,63)
  JVS(388) = -B(222)
! JVS(389) = Jac_FULL(56,64)
  JVS(389) = 0.75*B(111)
! JVS(390) = Jac_FULL(56,65)
  JVS(390) = B(183)+B(187)+B(189)+B(197)+B(199)+B(201)+2*B(203)
! JVS(391) = Jac_FULL(56,66)
  JVS(391) = B(79)+B(83)+B(85)+2*B(86)+0.75*B(93)+0.75*B(112)+B(129)+B(147)+B(167)+B(190)
! JVS(392) = Jac_FULL(56,67)
  JVS(392) = B(168)+B(202)
! JVS(393) = Jac_FULL(56,68)
  JVS(393) = 0.75*B(94)
! JVS(394) = Jac_FULL(56,69)
  JVS(394) = B(80)+B(184)
! JVS(395) = Jac_FULL(56,70)
  JVS(395) = 0
! JVS(396) = Jac_FULL(56,71)
  JVS(396) = B(84)+B(188)-B(227)+0.227*B(300)+0.079*B(371)
! JVS(397) = Jac_FULL(56,72)
  JVS(397) = B(130)+B(198)
! JVS(398) = Jac_FULL(56,73)
  JVS(398) = B(148)+B(200)
! JVS(399) = Jac_FULL(56,74)
  JVS(399) = -B(220)+B(239)+0.115*B(242)+B(245)+0.35*B(247)+0.084*B(280)+0.3*B(289)+0.055*B(296)+0.213*B(303)+0.01&
               &*B(306)+1.61*B(321)+0.624*B(329)+0.276*B(337)+0.039*B(347)+0.026*B(349)+0.024*B(351)+0.026*B(353)+0.732&
               &*B(359)+0.244*B(367)
! JVS(400) = Jac_FULL(57,22)
  JVS(400) = B(204)
! JVS(401) = Jac_FULL(57,49)
  JVS(401) = 0.276*B(340)
! JVS(402) = Jac_FULL(57,51)
  JVS(402) = 0.511*B(362)
! JVS(403) = Jac_FULL(57,52)
  JVS(403) = 0.572*B(299)
! JVS(404) = Jac_FULL(57,53)
  JVS(404) = 0.321*B(370)
! JVS(405) = Jac_FULL(57,57)
  JVS(405) = -0.69*B(305)-B(307)
! JVS(406) = Jac_FULL(57,58)
  JVS(406) = 0
! JVS(407) = Jac_FULL(57,62)
  JVS(407) = 0
! JVS(408) = Jac_FULL(57,64)
  JVS(408) = B(107)
! JVS(409) = Jac_FULL(57,69)
  JVS(409) = B(108)
! JVS(410) = Jac_FULL(57,70)
  JVS(410) = B(205)
! JVS(411) = Jac_FULL(57,71)
  JVS(411) = 0.572*B(300)+0.276*B(341)+0.511*B(363)+0.321*B(371)
! JVS(412) = Jac_FULL(57,74)
  JVS(412) = -0.69*B(306)
! JVS(413) = Jac_FULL(58,10)
  JVS(413) = B(35)
! JVS(414) = Jac_FULL(58,44)
  JVS(414) = -B(326)
! JVS(415) = Jac_FULL(58,47)
  JVS(415) = -B(334)
! JVS(416) = Jac_FULL(58,49)
  JVS(416) = -B(342)
! JVS(417) = Jac_FULL(58,50)
  JVS(417) = -B(285)
! JVS(418) = Jac_FULL(58,51)
  JVS(418) = -B(364)
! JVS(419) = Jac_FULL(58,53)
  JVS(419) = -B(372)
! JVS(420) = Jac_FULL(58,54)
  JVS(420) = -B(292)
! JVS(421) = Jac_FULL(58,58)
  JVS(421) = -B(2)-B(5)-B(7)-B(10)-B(12)-B(286)-B(293)-B(327)-B(335)-B(343)-B(365)-B(373)
! JVS(422) = Jac_FULL(58,62)
  JVS(422) = -B(6)+B(31)
! JVS(423) = Jac_FULL(58,69)
  JVS(423) = -B(8)
! JVS(424) = Jac_FULL(58,70)
  JVS(424) = B(1)-B(11)-B(13)
! JVS(425) = Jac_FULL(58,71)
  JVS(425) = B(30)
! JVS(426) = Jac_FULL(58,74)
  JVS(426) = 0
! JVS(427) = Jac_FULL(59,20)
  JVS(427) = 0.155*B(346)
! JVS(428) = Jac_FULL(59,21)
  JVS(428) = 0.122*B(348)
! JVS(429) = Jac_FULL(59,23)
  JVS(429) = 0.204*B(352)
! JVS(430) = Jac_FULL(59,30)
  JVS(430) = 0.244*B(350)
! JVS(431) = Jac_FULL(59,32)
  JVS(431) = B(312)
! JVS(432) = Jac_FULL(59,33)
  JVS(432) = B(315)
! JVS(433) = Jac_FULL(59,35)
  JVS(433) = B(308)
! JVS(434) = Jac_FULL(59,37)
  JVS(434) = B(249)+B(251)
! JVS(435) = Jac_FULL(59,44)
  JVS(435) = B(324)
! JVS(436) = Jac_FULL(59,49)
  JVS(436) = 0.474*B(336)+0.205*B(338)+0.474*B(340)+0.147*B(342)
! JVS(437) = Jac_FULL(59,50)
  JVS(437) = B(285)
! JVS(438) = Jac_FULL(59,51)
  JVS(438) = 0.497*B(358)+0.363*B(360)+0.037*B(362)+0.45*B(364)
! JVS(439) = Jac_FULL(59,52)
  JVS(439) = 0.013*B(295)+0.218*B(299)
! JVS(440) = Jac_FULL(59,53)
  JVS(440) = 0.511*B(366)+0.305*B(368)+0.151*B(370)+0.069*B(372)
! JVS(441) = Jac_FULL(59,54)
  JVS(441) = 0.675*B(288)+0.45*B(292)
! JVS(442) = Jac_FULL(59,57)
  JVS(442) = 0.213*B(305)+0.147*B(307)
! JVS(443) = Jac_FULL(59,58)
  JVS(443) = B(286)+0.45*B(293)+0.147*B(343)+0.45*B(365)+0.069*B(373)
! JVS(444) = Jac_FULL(59,59)
  JVS(444) = -B(233)-B(235)-B(236)
! JVS(445) = Jac_FULL(59,60)
  JVS(445) = 0.37*B(241)
! JVS(446) = Jac_FULL(59,61)
  JVS(446) = 0.558*B(302)+0.71*B(304)
! JVS(447) = Jac_FULL(59,62)
  JVS(447) = 0.205*B(339)+0.363*B(361)+0.305*B(369)
! JVS(448) = Jac_FULL(59,63)
  JVS(448) = 0
! JVS(449) = Jac_FULL(59,64)
  JVS(449) = 0
! JVS(450) = Jac_FULL(59,68)
  JVS(450) = 0
! JVS(451) = Jac_FULL(59,69)
  JVS(451) = 0
! JVS(452) = Jac_FULL(59,70)
  JVS(452) = 0
! JVS(453) = Jac_FULL(59,71)
  JVS(453) = -B(237)+0.218*B(300)+B(325)+0.474*B(341)+0.037*B(363)+0.151*B(371)
! JVS(454) = Jac_FULL(59,74)
  JVS(454) = -B(234)+0.37*B(242)+B(250)+0.675*B(289)+0.013*B(296)+0.558*B(303)+0.213*B(306)+B(309)+B(313)+B(316)+0.474&
               &*B(337)+0.155*B(347)+0.122*B(349)+0.244*B(351)+0.204*B(353)+0.497*B(359)+0.511*B(367)
! JVS(455) = Jac_FULL(60,21)
  JVS(455) = 0.332*B(348)
! JVS(456) = Jac_FULL(60,23)
  JVS(456) = 0.089*B(352)
! JVS(457) = Jac_FULL(60,30)
  JVS(457) = 0.11*B(350)
! JVS(458) = Jac_FULL(60,50)
  JVS(458) = 0.416*B(279)
! JVS(459) = Jac_FULL(60,51)
  JVS(459) = 0.437*B(364)
! JVS(460) = Jac_FULL(60,52)
  JVS(460) = 0.15*B(295)+0.21*B(297)+0.233*B(301)
! JVS(461) = Jac_FULL(60,53)
  JVS(461) = 0.072*B(366)+0.026*B(368)+0.001*B(370)+0.659*B(372)
! JVS(462) = Jac_FULL(60,54)
  JVS(462) = 0.55*B(292)
! JVS(463) = Jac_FULL(60,57)
  JVS(463) = 0.177*B(305)+0.243*B(307)
! JVS(464) = Jac_FULL(60,58)
  JVS(464) = 0.55*B(293)+0.437*B(365)+0.659*B(373)
! JVS(465) = Jac_FULL(60,60)
  JVS(465) = -B(241)-B(243)
! JVS(466) = Jac_FULL(60,61)
  JVS(466) = 0.115*B(302)
! JVS(467) = Jac_FULL(60,62)
  JVS(467) = 0.21*B(298)+0.026*B(369)
! JVS(468) = Jac_FULL(60,64)
  JVS(468) = 0.5*B(111)+B(113)+0.5*B(115)+B(119)
! JVS(469) = Jac_FULL(60,66)
  JVS(469) = 0.5*B(112)
! JVS(470) = Jac_FULL(60,68)
  JVS(470) = 0.5*B(116)
! JVS(471) = Jac_FULL(60,69)
  JVS(471) = 0
! JVS(472) = Jac_FULL(60,70)
  JVS(472) = 0
! JVS(473) = Jac_FULL(60,71)
  JVS(473) = B(114)+0.001*B(371)
! JVS(474) = Jac_FULL(60,74)
  JVS(474) = -B(242)+0.416*B(280)+0.15*B(296)+0.115*B(303)+0.177*B(306)+0.332*B(349)+0.11*B(351)+0.089*B(353)+0.072&
               &*B(367)
! JVS(475) = Jac_FULL(61,23)
  JVS(475) = 0.417*B(352)
! JVS(476) = Jac_FULL(61,30)
  JVS(476) = 0.125*B(350)
! JVS(477) = Jac_FULL(61,31)
  JVS(477) = 0.055*B(354)
! JVS(478) = Jac_FULL(61,47)
  JVS(478) = 0.1*B(330)+0.75*B(334)
! JVS(479) = Jac_FULL(61,49)
  JVS(479) = 0.276*B(336)+0.276*B(338)+0.853*B(342)
! JVS(480) = Jac_FULL(61,51)
  JVS(480) = 0.119*B(358)+0.215*B(360)+0.113*B(364)
! JVS(481) = Jac_FULL(61,52)
  JVS(481) = 0.332*B(295)
! JVS(482) = Jac_FULL(61,53)
  JVS(482) = 0.043*B(368)+0.259*B(372)
! JVS(483) = Jac_FULL(61,54)
  JVS(483) = 0.7*B(294)
! JVS(484) = Jac_FULL(61,57)
  JVS(484) = 0.048*B(305)+0.435*B(307)
! JVS(485) = Jac_FULL(61,58)
  JVS(485) = 0.75*B(335)+0.853*B(343)+0.113*B(365)+0.259*B(373)
! JVS(486) = Jac_FULL(61,61)
  JVS(486) = -0.671*B(302)-B(304)
! JVS(487) = Jac_FULL(61,62)
  JVS(487) = 0.1*B(331)+0.276*B(339)+0.215*B(361)+0.043*B(369)
! JVS(488) = Jac_FULL(61,64)
  JVS(488) = 0.5*B(111)+0.5*B(115)+B(119)+B(135)+B(153)+B(173)
! JVS(489) = Jac_FULL(61,66)
  JVS(489) = 0.5*B(112)
! JVS(490) = Jac_FULL(61,67)
  JVS(490) = B(174)
! JVS(491) = Jac_FULL(61,68)
  JVS(491) = 0.5*B(116)
! JVS(492) = Jac_FULL(61,69)
  JVS(492) = 0
! JVS(493) = Jac_FULL(61,70)
  JVS(493) = 0
! JVS(494) = Jac_FULL(61,71)
  JVS(494) = 0
! JVS(495) = Jac_FULL(61,72)
  JVS(495) = B(136)
! JVS(496) = Jac_FULL(61,73)
  JVS(496) = B(154)
! JVS(497) = Jac_FULL(61,74)
  JVS(497) = 0.332*B(296)-0.671*B(303)+0.048*B(306)+0.276*B(337)+0.125*B(351)+0.417*B(353)+0.055*B(355)+0.119*B(359)
! JVS(498) = Jac_FULL(62,35)
  JVS(498) = -B(310)
! JVS(499) = Jac_FULL(62,44)
  JVS(499) = -B(322)
! JVS(500) = Jac_FULL(62,47)
  JVS(500) = -B(330)
! JVS(501) = Jac_FULL(62,49)
  JVS(501) = -B(338)
! JVS(502) = Jac_FULL(62,50)
  JVS(502) = -B(281)
! JVS(503) = Jac_FULL(62,51)
  JVS(503) = -B(360)
! JVS(504) = Jac_FULL(62,52)
  JVS(504) = -B(297)
! JVS(505) = Jac_FULL(62,53)
  JVS(505) = -B(368)
! JVS(506) = Jac_FULL(62,54)
  JVS(506) = -B(290)
! JVS(507) = Jac_FULL(62,58)
  JVS(507) = B(2)-B(5)
! JVS(508) = Jac_FULL(62,62)
  JVS(508) = -B(6)-B(14)-B(16)-B(31)-B(32)-B(52)-B(62)-B(282)-B(291)-B(298)-B(311)-B(323)-B(331)-B(339)-B(361)-B(369)
! JVS(509) = Jac_FULL(62,63)
  JVS(509) = -B(63)+0.25*B(125)+0.25*B(143)+0.25*B(163)+0.25*B(185)
! JVS(510) = Jac_FULL(62,65)
  JVS(510) = 0.25*B(186)
! JVS(511) = Jac_FULL(62,67)
  JVS(511) = 0.25*B(164)
! JVS(512) = Jac_FULL(62,69)
  JVS(512) = -B(15)
! JVS(513) = Jac_FULL(62,70)
  JVS(513) = -B(17)
! JVS(514) = Jac_FULL(62,71)
  JVS(514) = 0
! JVS(515) = Jac_FULL(62,72)
  JVS(515) = 0.25*B(126)
! JVS(516) = Jac_FULL(62,73)
  JVS(516) = 0.25*B(144)
! JVS(517) = Jac_FULL(62,74)
  JVS(517) = -B(53)
! JVS(518) = Jac_FULL(63,9)
  JVS(518) = B(75)
! JVS(519) = Jac_FULL(63,17)
  JVS(519) = B(71)
! JVS(520) = Jac_FULL(63,19)
  JVS(520) = B(40)
! JVS(521) = Jac_FULL(63,20)
  JVS(521) = 0.121*B(346)
! JVS(522) = Jac_FULL(63,24)
  JVS(522) = 0.187*B(356)
! JVS(523) = Jac_FULL(63,25)
  JVS(523) = B(58)+0.61*B(59)
! JVS(524) = Jac_FULL(63,26)
  JVS(524) = B(248)
! JVS(525) = Jac_FULL(63,27)
  JVS(525) = B(223)+B(224)
! JVS(526) = Jac_FULL(63,28)
  JVS(526) = -B(214)
! JVS(527) = Jac_FULL(63,29)
  JVS(527) = B(244)
! JVS(528) = Jac_FULL(63,31)
  JVS(528) = 0.224*B(354)
! JVS(529) = Jac_FULL(63,32)
  JVS(529) = 0.5*B(314)
! JVS(530) = Jac_FULL(63,33)
  JVS(530) = 0.5*B(317)
! JVS(531) = Jac_FULL(63,35)
  JVS(531) = 1.5*B(310)
! JVS(532) = Jac_FULL(63,36)
  JVS(532) = 0
! JVS(533) = Jac_FULL(63,37)
  JVS(533) = B(251)
! JVS(534) = Jac_FULL(63,40)
  JVS(534) = B(50)
! JVS(535) = Jac_FULL(63,41)
  JVS(535) = B(258)
! JVS(536) = Jac_FULL(63,44)
  JVS(536) = 0.12*B(322)+0.5*B(326)
! JVS(537) = Jac_FULL(63,45)
  JVS(537) = 2*B(252)+0.63*B(254)+0.63*B(256)
! JVS(538) = Jac_FULL(63,46)
  JVS(538) = -B(209)
! JVS(539) = Jac_FULL(63,47)
  JVS(539) = 0
! JVS(540) = Jac_FULL(63,49)
  JVS(540) = 0.033*B(338)
! JVS(541) = Jac_FULL(63,50)
  JVS(541) = 0.008*B(281)+0.34*B(287)
! JVS(542) = Jac_FULL(63,51)
  JVS(542) = 0.056*B(360)
! JVS(543) = Jac_FULL(63,52)
  JVS(543) = 0.4*B(297)+1.233*B(301)
! JVS(544) = Jac_FULL(63,53)
  JVS(544) = 0.003*B(368)+0.013*B(372)
! JVS(545) = Jac_FULL(63,54)
  JVS(545) = 0.064*B(290)
! JVS(546) = Jac_FULL(63,55)
  JVS(546) = B(230)
! JVS(547) = Jac_FULL(63,56)
  JVS(547) = 2*B(217)+B(219)-B(221)+B(226)
! JVS(548) = Jac_FULL(63,57)
  JVS(548) = 0.113*B(305)+0.341*B(307)
! JVS(549) = Jac_FULL(63,58)
  JVS(549) = 0.5*B(327)+0.013*B(373)
! JVS(550) = Jac_FULL(63,59)
  JVS(550) = B(235)
! JVS(551) = Jac_FULL(63,60)
  JVS(551) = 0
! JVS(552) = Jac_FULL(63,61)
  JVS(552) = 0.379*B(302)
! JVS(553) = Jac_FULL(63,62)
  JVS(553) = B(52)-B(62)+0.008*B(282)+0.064*B(291)+0.4*B(298)+1.5*B(311)+0.12*B(323)+0.033*B(339)+0.056*B(361)+0.003&
               &*B(369)
! JVS(554) = Jac_FULL(63,63)
  JVS(554) = -B(54)-B(56)-B(63)-2*B(64)-2*B(65)-B(67)-B(73)-B(81)-B(89)-B(109)-B(125)-B(143)-B(163)-B(185)-B(210)-B(215)&
               &-B(222)
! JVS(555) = Jac_FULL(63,64)
  JVS(555) = -B(110)+B(111)+B(113)+B(115)+B(119)
! JVS(556) = Jac_FULL(63,65)
  JVS(556) = -B(186)
! JVS(557) = Jac_FULL(63,66)
  JVS(557) = B(79)-B(82)+B(83)+2*B(86)+B(93)+B(112)
! JVS(558) = Jac_FULL(63,67)
  JVS(558) = -B(164)
! JVS(559) = Jac_FULL(63,68)
  JVS(559) = B(87)-B(90)+B(91)+B(94)+B(95)+B(116)
! JVS(560) = Jac_FULL(63,69)
  JVS(560) = -B(55)+B(80)+B(88)+B(225)
! JVS(561) = Jac_FULL(63,70)
  JVS(561) = -B(57)
! JVS(562) = Jac_FULL(63,71)
  JVS(562) = B(45)-B(68)+B(84)+B(92)+B(114)+B(227)+0.63*B(257)
! JVS(563) = Jac_FULL(63,72)
  JVS(563) = -B(126)
! JVS(564) = Jac_FULL(63,73)
  JVS(564) = -B(144)
! JVS(565) = Jac_FULL(63,74)
  JVS(565) = B(46)+B(51)+B(53)+B(72)-B(74)+B(76)+B(77)+B(220)+B(245)+0.63*B(255)+0.379*B(303)+0.113*B(306)+0.121*B(347)&
               &+0.224*B(355)+0.187*B(357)
! JVS(566) = Jac_FULL(64,20)
  JVS(566) = 0.021*B(346)
! JVS(567) = Jac_FULL(64,21)
  JVS(567) = 0.07*B(348)
! JVS(568) = Jac_FULL(64,23)
  JVS(568) = 0.347*B(352)
! JVS(569) = Jac_FULL(64,24)
  JVS(569) = 0.009*B(356)
! JVS(570) = Jac_FULL(64,30)
  JVS(570) = 0.143*B(350)
! JVS(571) = Jac_FULL(64,31)
  JVS(571) = 0.011*B(354)
! JVS(572) = Jac_FULL(64,47)
  JVS(572) = 0.093*B(328)+0.008*B(330)+0.064*B(332)+0.01*B(334)
! JVS(573) = Jac_FULL(64,49)
  JVS(573) = 0.25*B(336)+0.18*B(338)+0.25*B(340)
! JVS(574) = Jac_FULL(64,51)
  JVS(574) = 0.09*B(358)+0.001*B(360)+0.176*B(362)
! JVS(575) = Jac_FULL(64,52)
  JVS(575) = 0.041*B(295)+0.051*B(299)
! JVS(576) = Jac_FULL(64,53)
  JVS(576) = 0.082*B(366)+0.002*B(368)+0.136*B(370)+0.001*B(372)
! JVS(577) = Jac_FULL(64,54)
  JVS(577) = 0.025*B(288)
! JVS(578) = Jac_FULL(64,57)
  JVS(578) = 0.173*B(305)+0.095*B(307)
! JVS(579) = Jac_FULL(64,58)
  JVS(579) = 0.01*B(335)+0.001*B(373)
! JVS(580) = Jac_FULL(64,59)
  JVS(580) = 0.001*B(233)
! JVS(581) = Jac_FULL(64,60)
  JVS(581) = 0.042*B(241)
! JVS(582) = Jac_FULL(64,61)
  JVS(582) = 0.07*B(302)+0.04*B(304)
! JVS(583) = Jac_FULL(64,62)
  JVS(583) = 0.008*B(331)+0.18*B(339)+0.001*B(361)+0.002*B(369)
! JVS(584) = Jac_FULL(64,63)
  JVS(584) = -B(109)
! JVS(585) = Jac_FULL(64,64)
  JVS(585) = -B(107)-B(110)-B(111)-B(113)-B(115)-2*B(119)-B(135)-B(153)-B(173)-B(195)
! JVS(586) = Jac_FULL(64,65)
  JVS(586) = -B(196)
! JVS(587) = Jac_FULL(64,66)
  JVS(587) = -B(112)
! JVS(588) = Jac_FULL(64,67)
  JVS(588) = -B(174)
! JVS(589) = Jac_FULL(64,68)
  JVS(589) = -B(116)
! JVS(590) = Jac_FULL(64,69)
  JVS(590) = -B(108)
! JVS(591) = Jac_FULL(64,70)
  JVS(591) = 0
! JVS(592) = Jac_FULL(64,71)
  JVS(592) = -B(114)+0.051*B(300)+0.064*B(333)+0.25*B(341)+0.176*B(363)+0.136*B(371)
! JVS(593) = Jac_FULL(64,72)
  JVS(593) = -B(136)
! JVS(594) = Jac_FULL(64,73)
  JVS(594) = -B(154)
! JVS(595) = Jac_FULL(64,74)
  JVS(595) = 0.001*B(234)+0.042*B(242)+0.025*B(289)+0.041*B(296)+0.07*B(303)+0.173*B(306)+0.093*B(329)+0.25*B(337)+0.021&
               &*B(347)+0.07*B(349)+0.143*B(351)+0.347*B(353)+0.011*B(355)+0.009*B(357)+0.09*B(359)+0.082*B(367)
! JVS(596) = Jac_FULL(65,16)
  JVS(596) = B(182)
! JVS(597) = Jac_FULL(65,47)
  JVS(597) = 0.192*B(330)+0.24*B(334)
! JVS(598) = Jac_FULL(65,50)
  JVS(598) = 0.5*B(279)+0.5*B(283)+0.33*B(287)
! JVS(599) = Jac_FULL(65,52)
  JVS(599) = 0.289*B(295)+0.15*B(299)
! JVS(600) = Jac_FULL(65,53)
  JVS(600) = 0
! JVS(601) = Jac_FULL(65,54)
  JVS(601) = 0.3*B(294)
! JVS(602) = Jac_FULL(65,58)
  JVS(602) = 0.24*B(335)
! JVS(603) = Jac_FULL(65,62)
  JVS(603) = 0.192*B(331)
! JVS(604) = Jac_FULL(65,63)
  JVS(604) = -B(185)
! JVS(605) = Jac_FULL(65,64)
  JVS(605) = -B(195)
! JVS(606) = Jac_FULL(65,65)
  JVS(606) = -B(180)-B(183)-B(186)-B(187)-B(189)-B(191)-B(196)-B(197)-B(199)-B(201)-2*B(203)
! JVS(607) = Jac_FULL(65,66)
  JVS(607) = -B(190)
! JVS(608) = Jac_FULL(65,67)
  JVS(608) = -B(202)
! JVS(609) = Jac_FULL(65,68)
  JVS(609) = -B(192)
! JVS(610) = Jac_FULL(65,69)
  JVS(610) = -B(184)
! JVS(611) = Jac_FULL(65,70)
  JVS(611) = -B(181)
! JVS(612) = Jac_FULL(65,71)
  JVS(612) = -B(188)+0.5*B(284)+0.15*B(300)
! JVS(613) = Jac_FULL(65,72)
  JVS(613) = -B(198)
! JVS(614) = Jac_FULL(65,73)
  JVS(614) = -B(200)
! JVS(615) = Jac_FULL(65,74)
  JVS(615) = 0.5*B(280)+0.289*B(296)
! JVS(616) = Jac_FULL(66,22)
  JVS(616) = B(206)
! JVS(617) = Jac_FULL(66,26)
  JVS(617) = 0.65*B(246)
! JVS(618) = Jac_FULL(66,30)
  JVS(618) = 0.011*B(350)
! JVS(619) = Jac_FULL(66,42)
  JVS(619) = B(240)
! JVS(620) = Jac_FULL(66,44)
  JVS(620) = 0.3*B(326)
! JVS(621) = Jac_FULL(66,47)
  JVS(621) = 0.25*B(334)
! JVS(622) = Jac_FULL(66,49)
  JVS(622) = 0
! JVS(623) = Jac_FULL(66,51)
  JVS(623) = 0.076*B(360)
! JVS(624) = Jac_FULL(66,53)
  JVS(624) = 0.197*B(368)+0.03*B(370)
! JVS(625) = Jac_FULL(66,54)
  JVS(625) = 0.3*B(294)
! JVS(626) = Jac_FULL(66,55)
  JVS(626) = B(230)
! JVS(627) = Jac_FULL(66,57)
  JVS(627) = 0
! JVS(628) = Jac_FULL(66,58)
  JVS(628) = 0.3*B(327)+0.25*B(335)
! JVS(629) = Jac_FULL(66,59)
  JVS(629) = 0
! JVS(630) = Jac_FULL(66,60)
  JVS(630) = 0
! JVS(631) = Jac_FULL(66,61)
  JVS(631) = 0
! JVS(632) = Jac_FULL(66,62)
  JVS(632) = 0.076*B(361)+0.197*B(369)
! JVS(633) = Jac_FULL(66,63)
  JVS(633) = -B(81)
! JVS(634) = Jac_FULL(66,64)
  JVS(634) = -B(111)
! JVS(635) = Jac_FULL(66,65)
  JVS(635) = -B(189)+B(197)
! JVS(636) = Jac_FULL(66,66)
  JVS(636) = -B(79)-B(82)-B(83)-2*B(85)-2*B(86)-B(93)-B(112)-B(129)-B(147)-B(167)-B(190)
! JVS(637) = Jac_FULL(66,67)
  JVS(637) = -B(168)+B(175)
! JVS(638) = Jac_FULL(66,68)
  JVS(638) = -B(94)
! JVS(639) = Jac_FULL(66,69)
  JVS(639) = -B(80)+B(123)
! JVS(640) = Jac_FULL(66,70)
  JVS(640) = 0
! JVS(641) = Jac_FULL(66,71)
  JVS(641) = -B(84)+B(127)+0.03*B(371)
! JVS(642) = Jac_FULL(66,72)
  JVS(642) = B(124)+B(128)-B(130)+2*B(137)+B(155)+B(176)+B(198)
! JVS(643) = Jac_FULL(66,73)
  JVS(643) = -B(148)+B(156)
! JVS(644) = Jac_FULL(66,74)
  JVS(644) = 0.65*B(247)+B(318)+0.011*B(351)
! JVS(645) = Jac_FULL(67,15)
  JVS(645) = B(160)
! JVS(646) = Jac_FULL(67,38)
  JVS(646) = B(274)+B(277)
! JVS(647) = Jac_FULL(67,53)
  JVS(647) = 0
! JVS(648) = Jac_FULL(67,58)
  JVS(648) = 0
! JVS(649) = Jac_FULL(67,62)
  JVS(649) = 0
! JVS(650) = Jac_FULL(67,63)
  JVS(650) = -B(163)
! JVS(651) = Jac_FULL(67,64)
  JVS(651) = -B(173)
! JVS(652) = Jac_FULL(67,65)
  JVS(652) = -B(201)
! JVS(653) = Jac_FULL(67,66)
  JVS(653) = -B(167)
! JVS(654) = Jac_FULL(67,67)
  JVS(654) = -B(158)-B(161)-B(164)-B(165)-B(168)-B(169)-B(174)-B(175)-B(177)-2*B(179)-B(202)
! JVS(655) = Jac_FULL(67,68)
  JVS(655) = -B(170)
! JVS(656) = Jac_FULL(67,69)
  JVS(656) = -B(162)
! JVS(657) = Jac_FULL(67,70)
  JVS(657) = -B(159)
! JVS(658) = Jac_FULL(67,71)
  JVS(658) = -B(166)+B(278)
! JVS(659) = Jac_FULL(67,72)
  JVS(659) = -B(176)
! JVS(660) = Jac_FULL(67,73)
  JVS(660) = -B(178)
! JVS(661) = Jac_FULL(67,74)
  JVS(661) = B(275)
! JVS(662) = Jac_FULL(68,11)
  JVS(662) = B(344)
! JVS(663) = Jac_FULL(68,20)
  JVS(663) = 0.612*B(346)
! JVS(664) = Jac_FULL(68,21)
  JVS(664) = 0.695*B(348)
! JVS(665) = Jac_FULL(68,23)
  JVS(665) = 0.653*B(352)
! JVS(666) = Jac_FULL(68,24)
  JVS(666) = 0.804*B(356)
! JVS(667) = Jac_FULL(68,30)
  JVS(667) = 0.835*B(350)
! JVS(668) = Jac_FULL(68,31)
  JVS(668) = 0.765*B(354)
! JVS(669) = Jac_FULL(68,32)
  JVS(669) = B(314)
! JVS(670) = Jac_FULL(68,33)
  JVS(670) = B(317)
! JVS(671) = Jac_FULL(68,34)
  JVS(671) = 0.76*B(268)
! JVS(672) = Jac_FULL(68,35)
  JVS(672) = B(308)
! JVS(673) = Jac_FULL(68,37)
  JVS(673) = 0.34*B(249)
! JVS(674) = Jac_FULL(68,39)
  JVS(674) = 0.76*B(264)
! JVS(675) = Jac_FULL(68,44)
  JVS(675) = B(320)+B(324)+0.2*B(326)
! JVS(676) = Jac_FULL(68,46)
  JVS(676) = 0
! JVS(677) = Jac_FULL(68,47)
  JVS(677) = 0.907*B(328)+0.066*B(330)+0.749*B(332)
! JVS(678) = Jac_FULL(68,49)
  JVS(678) = 0.75*B(336)+0.031*B(338)+0.276*B(340)
! JVS(679) = Jac_FULL(68,50)
  JVS(679) = 0.5*B(279)+0.1*B(281)+0.5*B(283)+0.33*B(287)
! JVS(680) = Jac_FULL(68,51)
  JVS(680) = 0.91*B(358)+0.022*B(360)+0.824*B(362)
! JVS(681) = Jac_FULL(68,52)
  JVS(681) = 0.67*B(295)+0.048*B(297)+0.799*B(299)
! JVS(682) = Jac_FULL(68,53)
  JVS(682) = 0.918*B(366)+0.033*B(368)+0.442*B(370)+0.012*B(372)
! JVS(683) = Jac_FULL(68,54)
  JVS(683) = 0.3*B(288)+0.05*B(290)
! JVS(684) = Jac_FULL(68,57)
  JVS(684) = 0.376*B(305)+0.564*B(307)
! JVS(685) = Jac_FULL(68,58)
  JVS(685) = 0.2*B(327)+0.012*B(373)
! JVS(686) = Jac_FULL(68,59)
  JVS(686) = 0.034*B(233)+B(235)
! JVS(687) = Jac_FULL(68,60)
  JVS(687) = 0.37*B(241)+B(243)
! JVS(688) = Jac_FULL(68,61)
  JVS(688) = 0.473*B(302)+0.96*B(304)
! JVS(689) = Jac_FULL(68,62)
  JVS(689) = 0.1*B(282)+0.05*B(291)+0.048*B(298)+0.066*B(331)+0.031*B(339)+0.022*B(361)+0.033*B(369)
! JVS(690) = Jac_FULL(68,63)
  JVS(690) = -B(89)
! JVS(691) = Jac_FULL(68,64)
  JVS(691) = -B(115)
! JVS(692) = Jac_FULL(68,65)
  JVS(692) = -B(191)+B(199)
! JVS(693) = Jac_FULL(68,66)
  JVS(693) = -B(93)
! JVS(694) = Jac_FULL(68,67)
  JVS(694) = -B(169)+B(177)
! JVS(695) = Jac_FULL(68,68)
  JVS(695) = -B(87)-B(90)-B(91)-B(94)-2*B(95)-B(116)-B(131)-B(149)-B(170)-B(192)
! JVS(696) = Jac_FULL(68,69)
  JVS(696) = -B(88)+B(141)
! JVS(697) = Jac_FULL(68,70)
  JVS(697) = 0
! JVS(698) = Jac_FULL(68,71)
  JVS(698) = -B(92)+B(145)+0.5*B(284)+0.799*B(300)+B(325)+0.749*B(333)+0.276*B(341)+0.824*B(363)+0.442*B(371)
! JVS(699) = Jac_FULL(68,72)
  JVS(699) = -B(132)+B(155)
! JVS(700) = Jac_FULL(68,73)
  JVS(700) = B(142)+B(146)-B(150)+B(156)+2*B(157)+B(178)+B(200)
! JVS(701) = Jac_FULL(68,74)
  JVS(701) = 0.034*B(234)+0.37*B(242)+0.34*B(250)+0.76*B(265)+0.76*B(269)+0.5*B(280)+0.3*B(289)+0.67*B(296)+0.473*B(303)&
               &+0.376*B(306)+B(309)+B(321)+0.907*B(329)+0.75*B(337)+B(345)+0.612*B(347)+0.695*B(349)+0.835*B(351)+0.653&
               &*B(353)+0.765*B(355)+0.804*B(357)+0.91*B(359)+0.918*B(367)
! JVS(702) = Jac_FULL(69,19)
  JVS(702) = B(39)
! JVS(703) = Jac_FULL(69,27)
  JVS(703) = -B(224)
! JVS(704) = Jac_FULL(69,48)
  JVS(704) = -B(96)
! JVS(705) = Jac_FULL(69,49)
  JVS(705) = 0
! JVS(706) = Jac_FULL(69,51)
  JVS(706) = 0
! JVS(707) = Jac_FULL(69,53)
  JVS(707) = 0
! JVS(708) = Jac_FULL(69,54)
  JVS(708) = 0
! JVS(709) = Jac_FULL(69,56)
  JVS(709) = 0
! JVS(710) = Jac_FULL(69,57)
  JVS(710) = 0
! JVS(711) = Jac_FULL(69,58)
  JVS(711) = -B(7)+B(10)
! JVS(712) = Jac_FULL(69,60)
  JVS(712) = 0
! JVS(713) = Jac_FULL(69,61)
  JVS(713) = 0
! JVS(714) = Jac_FULL(69,62)
  JVS(714) = -B(14)
! JVS(715) = Jac_FULL(69,63)
  JVS(715) = -B(54)
! JVS(716) = Jac_FULL(69,64)
  JVS(716) = -B(107)
! JVS(717) = Jac_FULL(69,65)
  JVS(717) = -B(183)
! JVS(718) = Jac_FULL(69,66)
  JVS(718) = -B(79)
! JVS(719) = Jac_FULL(69,67)
  JVS(719) = -B(161)
! JVS(720) = Jac_FULL(69,68)
  JVS(720) = -B(87)
! JVS(721) = Jac_FULL(69,69)
  JVS(721) = -B(8)-B(15)-B(18)-2*B(20)-B(37)-B(55)-B(80)-B(88)-B(97)-B(108)-B(123)-B(141)-B(162)-B(184)-B(225)
! JVS(722) = Jac_FULL(69,70)
  JVS(722) = B(1)+B(11)+B(27)
! JVS(723) = Jac_FULL(69,71)
  JVS(723) = -B(19)+B(28)+B(29)
! JVS(724) = Jac_FULL(69,72)
  JVS(724) = -B(124)
! JVS(725) = Jac_FULL(69,73)
  JVS(725) = -B(142)
! JVS(726) = Jac_FULL(69,74)
  JVS(726) = -B(38)
! JVS(727) = Jac_FULL(70,13)
  JVS(727) = B(122)
! JVS(728) = Jac_FULL(70,14)
  JVS(728) = B(140)
! JVS(729) = Jac_FULL(70,15)
  JVS(729) = B(160)
! JVS(730) = Jac_FULL(70,16)
  JVS(730) = B(182)
! JVS(731) = Jac_FULL(70,18)
  JVS(731) = B(24)
! JVS(732) = Jac_FULL(70,19)
  JVS(732) = B(40)+B(41)
! JVS(733) = Jac_FULL(70,22)
  JVS(733) = -B(204)
! JVS(734) = Jac_FULL(70,25)
  JVS(734) = B(58)+0.61*B(59)+B(60)
! JVS(735) = Jac_FULL(70,27)
  JVS(735) = B(224)
! JVS(736) = Jac_FULL(70,28)
  JVS(736) = -B(212)
! JVS(737) = Jac_FULL(70,36)
  JVS(737) = 0
! JVS(738) = Jac_FULL(70,43)
  JVS(738) = B(49)
! JVS(739) = Jac_FULL(70,45)
  JVS(739) = 0
! JVS(740) = Jac_FULL(70,46)
  JVS(740) = -B(207)
! JVS(741) = Jac_FULL(70,47)
  JVS(741) = 0.187*B(332)
! JVS(742) = Jac_FULL(70,48)
  JVS(742) = B(96)+B(100)
! JVS(743) = Jac_FULL(70,49)
  JVS(743) = 0.474*B(340)
! JVS(744) = Jac_FULL(70,50)
  JVS(744) = 0
! JVS(745) = Jac_FULL(70,51)
  JVS(745) = 0
! JVS(746) = Jac_FULL(70,52)
  JVS(746) = 0
! JVS(747) = Jac_FULL(70,53)
  JVS(747) = 0.391*B(370)
! JVS(748) = Jac_FULL(70,54)
  JVS(748) = 0
! JVS(749) = Jac_FULL(70,55)
  JVS(749) = 0
! JVS(750) = Jac_FULL(70,56)
  JVS(750) = 0
! JVS(751) = Jac_FULL(70,57)
  JVS(751) = 0.338*B(305)+B(307)
! JVS(752) = Jac_FULL(70,58)
  JVS(752) = B(7)-B(10)-B(12)
! JVS(753) = Jac_FULL(70,59)
  JVS(753) = 0
! JVS(754) = Jac_FULL(70,60)
  JVS(754) = 0
! JVS(755) = Jac_FULL(70,61)
  JVS(755) = 0
! JVS(756) = Jac_FULL(70,62)
  JVS(756) = B(14)-B(16)
! JVS(757) = Jac_FULL(70,63)
  JVS(757) = B(54)-B(56)+0.8*B(67)
! JVS(758) = Jac_FULL(70,64)
  JVS(758) = B(113)
! JVS(759) = Jac_FULL(70,65)
  JVS(759) = -B(180)+B(183)+B(187)
! JVS(760) = Jac_FULL(70,66)
  JVS(760) = B(79)+B(83)
! JVS(761) = Jac_FULL(70,67)
  JVS(761) = -B(158)+B(161)+B(165)
! JVS(762) = Jac_FULL(70,68)
  JVS(762) = B(87)+B(91)
! JVS(763) = Jac_FULL(70,69)
  JVS(763) = B(8)+B(15)+2*B(18)+2*B(20)+B(55)+B(80)+B(88)+B(97)+B(123)+B(141)+B(162)+B(184)+B(225)
! JVS(764) = Jac_FULL(70,70)
  JVS(764) = -B(1)-B(11)-B(13)-B(17)-B(22)-B(43)-B(57)-B(120)-B(138)-B(159)-B(181)-B(205)-B(208)-B(213)
! JVS(765) = Jac_FULL(70,71)
  JVS(765) = 2*B(19)-B(23)+B(30)+B(45)+0.8*B(68)+2*B(69)+B(84)+B(92)+B(101)+B(114)+B(127)+B(145)+B(166)+B(188)+0.187&
               &*B(333)+0.474*B(341)+0.391*B(371)
! JVS(766) = Jac_FULL(70,72)
  JVS(766) = -B(121)+B(124)+B(128)
! JVS(767) = Jac_FULL(70,73)
  JVS(767) = -B(139)+B(142)+B(146)
! JVS(768) = Jac_FULL(70,74)
  JVS(768) = B(42)-B(44)+B(46)+B(61)+0.338*B(306)
! JVS(769) = Jac_FULL(71,18)
  JVS(769) = B(24)
! JVS(770) = Jac_FULL(71,25)
  JVS(770) = 0.39*B(59)
! JVS(771) = Jac_FULL(71,34)
  JVS(771) = -B(270)
! JVS(772) = Jac_FULL(71,36)
  JVS(772) = -B(272)
! JVS(773) = Jac_FULL(71,38)
  JVS(773) = -B(277)
! JVS(774) = Jac_FULL(71,39)
  JVS(774) = -B(266)
! JVS(775) = Jac_FULL(71,41)
  JVS(775) = -B(261)
! JVS(776) = Jac_FULL(71,43)
  JVS(776) = B(47)
! JVS(777) = Jac_FULL(71,44)
  JVS(777) = -B(324)
! JVS(778) = Jac_FULL(71,45)
  JVS(778) = -B(256)
! JVS(779) = Jac_FULL(71,46)
  JVS(779) = 0
! JVS(780) = Jac_FULL(71,47)
  JVS(780) = -B(332)
! JVS(781) = Jac_FULL(71,48)
  JVS(781) = -B(100)
! JVS(782) = Jac_FULL(71,49)
  JVS(782) = -B(340)
! JVS(783) = Jac_FULL(71,50)
  JVS(783) = -B(283)
! JVS(784) = Jac_FULL(71,51)
  JVS(784) = -B(362)
! JVS(785) = Jac_FULL(71,52)
  JVS(785) = -B(299)
! JVS(786) = Jac_FULL(71,53)
  JVS(786) = -B(370)
! JVS(787) = Jac_FULL(71,54)
  JVS(787) = 0
! JVS(788) = Jac_FULL(71,55)
  JVS(788) = -B(231)
! JVS(789) = Jac_FULL(71,56)
  JVS(789) = -B(226)
! JVS(790) = Jac_FULL(71,57)
  JVS(790) = 0
! JVS(791) = Jac_FULL(71,58)
  JVS(791) = B(12)
! JVS(792) = Jac_FULL(71,59)
  JVS(792) = -B(236)
! JVS(793) = Jac_FULL(71,60)
  JVS(793) = 0
! JVS(794) = Jac_FULL(71,61)
  JVS(794) = 0
! JVS(795) = Jac_FULL(71,62)
  JVS(795) = B(16)
! JVS(796) = Jac_FULL(71,63)
  JVS(796) = -B(67)
! JVS(797) = Jac_FULL(71,64)
  JVS(797) = -B(113)
! JVS(798) = Jac_FULL(71,65)
  JVS(798) = -B(187)
! JVS(799) = Jac_FULL(71,66)
  JVS(799) = -B(83)
! JVS(800) = Jac_FULL(71,67)
  JVS(800) = -B(165)
! JVS(801) = Jac_FULL(71,68)
  JVS(801) = -B(91)
! JVS(802) = Jac_FULL(71,69)
  JVS(802) = -B(18)
! JVS(803) = Jac_FULL(71,70)
  JVS(803) = B(13)+B(17)-B(22)-B(27)
! JVS(804) = Jac_FULL(71,71)
  JVS(804) = -B(19)-B(23)-B(28)-B(29)-B(30)-B(45)-B(68)-2*B(69)-B(84)-B(92)-B(101)-B(114)-B(127)-B(145)-B(166)-B(188)&
               &-B(227)-B(232)-B(237)-B(257)-B(262)-B(267)-B(271)-B(273)-B(278)-B(284)-B(300)-B(325)-B(333)-B(341)-B(363)&
               &-B(371)
! JVS(805) = Jac_FULL(71,72)
  JVS(805) = -B(128)
! JVS(806) = Jac_FULL(71,73)
  JVS(806) = -B(146)
! JVS(807) = Jac_FULL(71,74)
  JVS(807) = -B(46)+B(48)
! JVS(808) = Jac_FULL(72,12)
  JVS(808) = 2*B(263)
! JVS(809) = Jac_FULL(72,13)
  JVS(809) = B(122)
! JVS(810) = Jac_FULL(72,24)
  JVS(810) = 0
! JVS(811) = Jac_FULL(72,30)
  JVS(811) = 0.011*B(350)
! JVS(812) = Jac_FULL(72,32)
  JVS(812) = B(312)+0.5*B(314)
! JVS(813) = Jac_FULL(72,33)
  JVS(813) = B(315)+0.5*B(317)
! JVS(814) = Jac_FULL(72,41)
  JVS(814) = B(258)+B(259)+B(261)
! JVS(815) = Jac_FULL(72,42)
  JVS(815) = B(238)+B(240)
! JVS(816) = Jac_FULL(72,49)
  JVS(816) = 0.123*B(338)
! JVS(817) = Jac_FULL(72,50)
  JVS(817) = 0.67*B(287)
! JVS(818) = Jac_FULL(72,51)
  JVS(818) = 0
! JVS(819) = Jac_FULL(72,52)
  JVS(819) = 0.467*B(301)
! JVS(820) = Jac_FULL(72,53)
  JVS(820) = 0.137*B(368)
! JVS(821) = Jac_FULL(72,54)
  JVS(821) = 0.675*B(288)
! JVS(822) = Jac_FULL(72,55)
  JVS(822) = B(228)+B(231)
! JVS(823) = Jac_FULL(72,57)
  JVS(823) = 0
! JVS(824) = Jac_FULL(72,58)
  JVS(824) = 0
! JVS(825) = Jac_FULL(72,59)
  JVS(825) = 0
! JVS(826) = Jac_FULL(72,60)
  JVS(826) = 0.492*B(241)+B(243)
! JVS(827) = Jac_FULL(72,61)
  JVS(827) = 0.029*B(302)+0.667*B(304)
! JVS(828) = Jac_FULL(72,62)
  JVS(828) = 0.123*B(339)+0.137*B(369)
! JVS(829) = Jac_FULL(72,63)
  JVS(829) = -B(125)
! JVS(830) = Jac_FULL(72,64)
  JVS(830) = -B(135)
! JVS(831) = Jac_FULL(72,65)
  JVS(831) = B(183)+B(187)+B(199)+B(201)+2*B(203)
! JVS(832) = Jac_FULL(72,66)
  JVS(832) = -B(129)
! JVS(833) = Jac_FULL(72,67)
  JVS(833) = -B(175)+B(202)
! JVS(834) = Jac_FULL(72,68)
  JVS(834) = -B(131)
! JVS(835) = Jac_FULL(72,69)
  JVS(835) = -B(123)+B(184)
! JVS(836) = Jac_FULL(72,70)
  JVS(836) = -B(120)
! JVS(837) = Jac_FULL(72,71)
  JVS(837) = -B(127)+B(188)+B(232)+B(262)
! JVS(838) = Jac_FULL(72,72)
  JVS(838) = -B(121)-B(124)-B(126)-B(128)-B(130)-B(132)-B(136)-2*B(137)-B(155)-B(176)
! JVS(839) = Jac_FULL(72,73)
  JVS(839) = -B(156)+B(200)
! JVS(840) = Jac_FULL(72,74)
  JVS(840) = B(229)+B(239)+0.492*B(242)+B(260)+0.675*B(289)+0.029*B(303)+B(313)+B(316)+0.011*B(351)
! JVS(841) = Jac_FULL(73,14)
  JVS(841) = B(140)
! JVS(842) = Jac_FULL(73,45)
  JVS(842) = 0.37*B(254)+0.37*B(256)
! JVS(843) = Jac_FULL(73,46)
  JVS(843) = 0
! JVS(844) = Jac_FULL(73,49)
  JVS(844) = 0.201*B(338)
! JVS(845) = Jac_FULL(73,50)
  JVS(845) = 0.1*B(281)
! JVS(846) = Jac_FULL(73,52)
  JVS(846) = 0.048*B(297)+0.3*B(301)
! JVS(847) = Jac_FULL(73,53)
  JVS(847) = 0.006*B(368)
! JVS(848) = Jac_FULL(73,54)
  JVS(848) = 0.05*B(290)
! JVS(849) = Jac_FULL(73,58)
  JVS(849) = 0
! JVS(850) = Jac_FULL(73,59)
  JVS(850) = 0.965*B(233)+B(236)
! JVS(851) = Jac_FULL(73,60)
  JVS(851) = 0.096*B(241)
! JVS(852) = Jac_FULL(73,61)
  JVS(852) = 0.049*B(302)+0.333*B(304)
! JVS(853) = Jac_FULL(73,62)
  JVS(853) = 0.1*B(282)+0.05*B(291)+0.048*B(298)+0.201*B(339)+0.006*B(369)
! JVS(854) = Jac_FULL(73,63)
  JVS(854) = -B(143)
! JVS(855) = Jac_FULL(73,64)
  JVS(855) = -B(153)
! JVS(856) = Jac_FULL(73,65)
  JVS(856) = -B(199)
! JVS(857) = Jac_FULL(73,66)
  JVS(857) = -B(147)
! JVS(858) = Jac_FULL(73,67)
  JVS(858) = -B(177)
! JVS(859) = Jac_FULL(73,68)
  JVS(859) = -B(149)
! JVS(860) = Jac_FULL(73,69)
  JVS(860) = -B(141)
! JVS(861) = Jac_FULL(73,70)
  JVS(861) = -B(138)
! JVS(862) = Jac_FULL(73,71)
  JVS(862) = -B(145)+B(237)+0.37*B(257)
! JVS(863) = Jac_FULL(73,72)
  JVS(863) = -B(155)
! JVS(864) = Jac_FULL(73,73)
  JVS(864) = -B(139)-B(142)-B(144)-B(146)-B(148)-B(150)-B(154)-B(156)-2*B(157)-B(178)-B(200)
! JVS(865) = Jac_FULL(73,74)
  JVS(865) = 0.965*B(234)+0.096*B(242)+0.37*B(255)+0.049*B(303)
! JVS(866) = Jac_FULL(74,9)
  JVS(866) = -B(75)
! JVS(867) = Jac_FULL(74,10)
  JVS(867) = 2*B(33)
! JVS(868) = Jac_FULL(74,11)
  JVS(868) = -B(344)
! JVS(869) = Jac_FULL(74,17)
  JVS(869) = 2*B(70)-B(71)
! JVS(870) = Jac_FULL(74,19)
  JVS(870) = B(39)-B(41)
! JVS(871) = Jac_FULL(74,20)
  JVS(871) = -0.754*B(346)
! JVS(872) = Jac_FULL(74,21)
  JVS(872) = -B(348)
! JVS(873) = Jac_FULL(74,23)
  JVS(873) = -B(352)
! JVS(874) = Jac_FULL(74,24)
  JVS(874) = -B(356)
! JVS(875) = Jac_FULL(74,25)
  JVS(875) = 0.39*B(59)-B(60)
! JVS(876) = Jac_FULL(74,26)
  JVS(876) = -0.65*B(246)+B(248)
! JVS(877) = Jac_FULL(74,29)
  JVS(877) = -B(244)
! JVS(878) = Jac_FULL(74,30)
  JVS(878) = -B(350)
! JVS(879) = Jac_FULL(74,31)
  JVS(879) = -B(354)
! JVS(880) = Jac_FULL(74,32)
  JVS(880) = -B(312)
! JVS(881) = Jac_FULL(74,33)
  JVS(881) = -B(315)
! JVS(882) = Jac_FULL(74,34)
  JVS(882) = -B(268)
! JVS(883) = Jac_FULL(74,35)
  JVS(883) = -B(308)+0.5*B(310)
! JVS(884) = Jac_FULL(74,37)
  JVS(884) = -0.34*B(249)+B(251)
! JVS(885) = Jac_FULL(74,38)
  JVS(885) = -B(274)
! JVS(886) = Jac_FULL(74,39)
  JVS(886) = -B(264)
! JVS(887) = Jac_FULL(74,40)
  JVS(887) = -B(50)
! JVS(888) = Jac_FULL(74,41)
  JVS(888) = -B(259)
! JVS(889) = Jac_FULL(74,42)
  JVS(889) = -B(238)
! JVS(890) = Jac_FULL(74,43)
  JVS(890) = -B(47)+B(49)
! JVS(891) = Jac_FULL(74,44)
  JVS(891) = -B(320)+0.12*B(322)
! JVS(892) = Jac_FULL(74,45)
  JVS(892) = -B(254)
! JVS(893) = Jac_FULL(74,46)
  JVS(893) = 0
! JVS(894) = Jac_FULL(74,47)
  JVS(894) = -B(328)+0.266*B(330)
! JVS(895) = Jac_FULL(74,49)
  JVS(895) = -B(336)+0.567*B(338)
! JVS(896) = Jac_FULL(74,50)
  JVS(896) = -B(279)+0.208*B(281)+0.33*B(287)
! JVS(897) = Jac_FULL(74,51)
  JVS(897) = -B(358)+0.155*B(360)
! JVS(898) = Jac_FULL(74,52)
  JVS(898) = -B(295)+0.285*B(297)
! JVS(899) = Jac_FULL(74,53)
  JVS(899) = -B(366)+0.378*B(368)
! JVS(900) = Jac_FULL(74,54)
  JVS(900) = -B(288)+0.164*B(290)
! JVS(901) = Jac_FULL(74,55)
  JVS(901) = -B(228)
! JVS(902) = Jac_FULL(74,56)
  JVS(902) = -B(219)
! JVS(903) = Jac_FULL(74,57)
  JVS(903) = -B(305)
! JVS(904) = Jac_FULL(74,58)
  JVS(904) = 0
! JVS(905) = Jac_FULL(74,59)
  JVS(905) = -B(233)
! JVS(906) = Jac_FULL(74,60)
  JVS(906) = -B(241)
! JVS(907) = Jac_FULL(74,61)
  JVS(907) = -B(302)
! JVS(908) = Jac_FULL(74,62)
  JVS(908) = -B(52)+B(62)+0.208*B(282)+0.164*B(291)+0.285*B(298)+0.5*B(311)+0.12*B(323)+0.266*B(331)+0.567*B(339)+0.155&
               &*B(361)+0.378*B(369)
! JVS(909) = Jac_FULL(74,63)
  JVS(909) = B(54)+B(63)+0.8*B(67)-B(73)
! JVS(910) = Jac_FULL(74,64)
  JVS(910) = 0
! JVS(911) = Jac_FULL(74,65)
  JVS(911) = 0
! JVS(912) = Jac_FULL(74,66)
  JVS(912) = 0
! JVS(913) = Jac_FULL(74,67)
  JVS(913) = 0
! JVS(914) = Jac_FULL(74,68)
  JVS(914) = 0
! JVS(915) = Jac_FULL(74,69)
  JVS(915) = -B(37)+B(55)
! JVS(916) = Jac_FULL(74,70)
  JVS(916) = -B(43)
! JVS(917) = Jac_FULL(74,71)
  JVS(917) = -B(45)+0.8*B(68)
! JVS(918) = Jac_FULL(74,72)
  JVS(918) = 0
! JVS(919) = Jac_FULL(74,73)
  JVS(919) = 0
! JVS(920) = Jac_FULL(74,74)
  JVS(920) = -B(38)-B(42)-B(44)-B(46)-B(48)-B(51)-B(53)-B(61)-B(72)-B(74)-B(76)-B(77)-B(220)-B(229)-B(234)-B(239)-B(242)&
               &-B(245)-0.65*B(247)-0.34*B(250)-B(255)-B(260)-B(265)-B(269)-B(275)-B(280)-B(289)-B(296)-B(303)-B(306)-B(309)&
               &-B(313)-B(316)-B(318)-B(321)-B(329)-B(337)-B(345)-0.754*B(347)-B(349)-B(351)-B(353)-B(355)-B(357)-B(359)&
               &-B(367)
      
END SUBROUTINE Jac_SP

! End of Jac_SP function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Jac_SP_Vec - function for sparse multiplication: sparse Jacobian times vector
!   Arguments :
!      JVS       - sparse Jacobian of variables
!      UV        - User vector for variables
!      JUV       - Jacobian times user vector
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Jac_SP_Vec ( JVS, UV, JUV )

! JVS - sparse Jacobian of variables
  REAL(kind=dp) :: JVS(LU_NONZERO)
! UV - User vector for variables
  REAL(kind=dp) :: UV(NVAR)
! JUV - Jacobian times user vector
  REAL(kind=dp) :: JUV(NVAR)

  JUV(1) = JVS(1)*UV(1)+JVS(2)*UV(9)+JVS(3)*UV(74)
  JUV(2) = JVS(4)*UV(2)+JVS(5)*UV(20)+JVS(6)*UV(27)+JVS(7)*UV(44)+JVS(8)*UV(47)+JVS(9)*UV(49)+JVS(10)*UV(50)+JVS(11)&
             &*UV(51)+JVS(12)*UV(52)+JVS(13)*UV(53)+JVS(14)*UV(54)+JVS(15)*UV(62)+JVS(16)*UV(69)+JVS(17)*UV(74)
  JUV(3) = JVS(18)*UV(3)+JVS(19)*UV(51)+JVS(20)*UV(53)+JVS(21)*UV(62)+JVS(22)*UV(63)+JVS(23)*UV(64)+JVS(24)*UV(66)&
             &+JVS(25)*UV(68)+JVS(26)*UV(72)
  JUV(4) = JVS(27)*UV(4)+JVS(28)*UV(47)+JVS(29)*UV(49)+JVS(30)*UV(51)+JVS(31)*UV(52)+JVS(32)*UV(53)+JVS(33)*UV(62)&
             &+JVS(34)*UV(63)+JVS(35)*UV(64)+JVS(36)*UV(65)+JVS(37)*UV(66)+JVS(38)*UV(67)+JVS(39)*UV(68)+JVS(40)*UV(73)
  JUV(5) = JVS(41)*UV(5)+JVS(42)*UV(63)+JVS(43)*UV(72)
  JUV(6) = JVS(44)*UV(6)+JVS(45)*UV(63)+JVS(46)*UV(65)+JVS(47)*UV(67)+JVS(48)*UV(73)
  JUV(7) = JVS(49)*UV(7)+JVS(50)*UV(28)+JVS(51)*UV(70)
  JUV(8) = JVS(52)*UV(8)+JVS(53)*UV(28)+JVS(54)*UV(38)+JVS(55)*UV(70)
  JUV(9) = JVS(56)*UV(9)+JVS(57)*UV(74)
  JUV(10) = JVS(58)*UV(10)+JVS(59)*UV(62)
  JUV(11) = JVS(60)*UV(11)+JVS(61)*UV(74)
  JUV(12) = JVS(62)*UV(12)+JVS(63)*UV(24)+JVS(64)*UV(49)+JVS(65)*UV(62)+JVS(66)*UV(74)
  JUV(13) = JVS(67)*UV(13)+JVS(68)*UV(70)+JVS(69)*UV(72)
  JUV(14) = JVS(70)*UV(14)+JVS(71)*UV(70)+JVS(72)*UV(73)
  JUV(15) = JVS(73)*UV(15)+JVS(74)*UV(67)+JVS(75)*UV(70)
  JUV(16) = JVS(76)*UV(16)+JVS(77)*UV(65)+JVS(78)*UV(70)
  JUV(17) = JVS(79)*UV(17)+JVS(80)*UV(63)+JVS(81)*UV(74)
  JUV(18) = JVS(82)*UV(18)+JVS(83)*UV(70)+JVS(84)*UV(71)
  JUV(19) = JVS(85)*UV(19)+JVS(86)*UV(69)+JVS(87)*UV(74)
  JUV(20) = JVS(88)*UV(20)+JVS(89)*UV(74)
  JUV(21) = JVS(90)*UV(21)+JVS(91)*UV(74)
  JUV(22) = JVS(92)*UV(21)+JVS(93)*UV(22)+JVS(94)*UV(70)+JVS(95)*UV(74)
  JUV(23) = JVS(96)*UV(23)+JVS(97)*UV(74)
  JUV(24) = JVS(98)*UV(24)+JVS(99)*UV(74)
  JUV(25) = JVS(100)*UV(25)+JVS(101)*UV(63)+JVS(102)*UV(70)+JVS(103)*UV(74)
  JUV(26) = JVS(104)*UV(26)+JVS(105)*UV(63)+JVS(106)*UV(66)+JVS(107)*UV(74)
  JUV(27) = JVS(108)*UV(27)+JVS(109)*UV(56)+JVS(110)*UV(63)+JVS(111)*UV(69)
  JUV(28) = JVS(112)*UV(28)+JVS(113)*UV(36)+JVS(114)*UV(63)+JVS(115)*UV(70)+JVS(116)*UV(71)
  JUV(29) = JVS(117)*UV(29)+JVS(118)*UV(64)+JVS(119)*UV(66)+JVS(120)*UV(68)+JVS(121)*UV(74)
  JUV(30) = JVS(122)*UV(30)+JVS(123)*UV(74)
  JUV(31) = JVS(124)*UV(31)+JVS(125)*UV(74)
  JUV(32) = JVS(126)*UV(24)+JVS(127)*UV(31)+JVS(128)*UV(32)+JVS(129)*UV(74)
  JUV(33) = JVS(130)*UV(24)+JVS(131)*UV(31)+JVS(132)*UV(33)+JVS(133)*UV(74)
  JUV(34) = JVS(134)*UV(24)+JVS(135)*UV(31)+JVS(136)*UV(34)+JVS(137)*UV(71)+JVS(138)*UV(74)
  JUV(35) = JVS(139)*UV(24)+JVS(140)*UV(31)+JVS(141)*UV(35)+JVS(142)*UV(62)+JVS(143)*UV(74)
  JUV(36) = JVS(144)*UV(28)+JVS(145)*UV(36)+JVS(146)*UV(46)+JVS(147)*UV(63)+JVS(148)*UV(70)+JVS(149)*UV(71)
  JUV(37) = JVS(150)*UV(37)+JVS(151)*UV(63)+JVS(152)*UV(64)+JVS(153)*UV(68)+JVS(154)*UV(74)
  JUV(38) = JVS(155)*UV(24)+JVS(156)*UV(31)+JVS(157)*UV(38)+JVS(158)*UV(53)+JVS(159)*UV(62)+JVS(160)*UV(71)+JVS(161)&
              &*UV(74)
  JUV(39) = JVS(162)*UV(31)+JVS(163)*UV(39)+JVS(164)*UV(46)+JVS(165)*UV(63)+JVS(166)*UV(71)+JVS(167)*UV(74)
  JUV(40) = JVS(168)*UV(20)+JVS(169)*UV(30)+JVS(170)*UV(32)+JVS(171)*UV(33)+JVS(172)*UV(35)+JVS(173)*UV(40)+JVS(174)&
              &*UV(41)+JVS(175)*UV(44)+JVS(176)*UV(45)+JVS(177)*UV(47)+JVS(178)*UV(49)+JVS(179)*UV(50)+JVS(180)*UV(51)&
              &+JVS(181)*UV(52)+JVS(182)*UV(53)+JVS(183)*UV(54)+JVS(184)*UV(55)+JVS(185)*UV(56)+JVS(186)*UV(58)+JVS(187)&
              &*UV(59)+JVS(188)*UV(62)+JVS(189)*UV(71)+JVS(190)*UV(74)
  JUV(41) = JVS(191)*UV(24)+JVS(192)*UV(31)+JVS(193)*UV(32)+JVS(194)*UV(33)+JVS(195)*UV(34)+JVS(196)*UV(41)+JVS(197)&
              &*UV(50)+JVS(198)*UV(52)+JVS(199)*UV(54)+JVS(200)*UV(62)+JVS(201)*UV(71)+JVS(202)*UV(74)
  JUV(42) = JVS(203)*UV(20)+JVS(204)*UV(21)+JVS(205)*UV(22)+JVS(206)*UV(23)+JVS(207)*UV(30)+JVS(208)*UV(42)+JVS(209)&
              &*UV(49)+JVS(210)*UV(51)+JVS(211)*UV(53)+JVS(212)*UV(57)+JVS(213)*UV(62)+JVS(215)*UV(71)+JVS(216)*UV(74)
  JUV(43) = JVS(217)*UV(18)+JVS(218)*UV(34)+JVS(219)*UV(36)+JVS(220)*UV(38)+JVS(221)*UV(39)+JVS(222)*UV(41)+JVS(223)&
              &*UV(43)+JVS(224)*UV(45)+JVS(226)*UV(50)+JVS(227)*UV(52)+JVS(230)*UV(55)+JVS(231)*UV(56)+JVS(232)*UV(59)&
              &+JVS(234)*UV(63)+JVS(235)*UV(70)+JVS(236)*UV(71)+JVS(237)*UV(74)
  JUV(44) = JVS(238)*UV(44)+JVS(239)*UV(58)+JVS(240)*UV(62)+JVS(241)*UV(71)+JVS(242)*UV(74)
  JUV(45) = JVS(243)*UV(20)+JVS(244)*UV(24)+JVS(245)*UV(31)+JVS(246)*UV(32)+JVS(247)*UV(33)+JVS(248)*UV(35)+JVS(249)&
              &*UV(39)+JVS(250)*UV(44)+JVS(251)*UV(45)+JVS(253)*UV(49)+JVS(254)*UV(52)+JVS(255)*UV(58)+JVS(256)*UV(62)&
              &+JVS(258)*UV(71)+JVS(259)*UV(74)
  JUV(46) = JVS(260)*UV(34)+JVS(261)*UV(39)+JVS(262)*UV(46)+JVS(263)*UV(63)+JVS(264)*UV(65)+JVS(265)*UV(67)+JVS(266)&
              &*UV(69)+JVS(267)*UV(70)+JVS(268)*UV(71)+JVS(269)*UV(72)+JVS(270)*UV(73)+JVS(271)*UV(74)
  JUV(47) = JVS(272)*UV(47)+JVS(273)*UV(58)+JVS(274)*UV(62)+JVS(275)*UV(71)+JVS(276)*UV(74)
  JUV(48) = JVS(277)*UV(21)+JVS(278)*UV(23)+JVS(279)*UV(30)+JVS(280)*UV(32)+JVS(281)*UV(33)+JVS(282)*UV(42)+JVS(283)&
              &*UV(47)+JVS(284)*UV(48)+JVS(285)*UV(49)+JVS(286)*UV(51)+JVS(287)*UV(53)+JVS(288)*UV(54)+JVS(289)*UV(57)&
              &+JVS(290)*UV(58)+JVS(291)*UV(60)+JVS(292)*UV(61)+JVS(293)*UV(62)+JVS(294)*UV(63)+JVS(295)*UV(64)+JVS(296)&
              &*UV(65)+JVS(297)*UV(66)+JVS(298)*UV(67)+JVS(299)*UV(68)+JVS(300)*UV(69)+JVS(302)*UV(71)+JVS(303)*UV(72)&
              &+JVS(304)*UV(73)+JVS(305)*UV(74)
  JUV(49) = JVS(306)*UV(49)+JVS(307)*UV(58)+JVS(308)*UV(62)+JVS(309)*UV(71)+JVS(310)*UV(74)
  JUV(50) = JVS(311)*UV(47)+JVS(312)*UV(50)+JVS(313)*UV(53)+JVS(314)*UV(58)+JVS(315)*UV(62)+JVS(316)*UV(71)+JVS(317)&
              &*UV(74)
  JUV(51) = JVS(318)*UV(51)+JVS(319)*UV(58)+JVS(320)*UV(62)+JVS(321)*UV(71)+JVS(322)*UV(74)
  JUV(52) = JVS(323)*UV(47)+JVS(324)*UV(52)+JVS(325)*UV(53)+JVS(327)*UV(62)+JVS(328)*UV(71)+JVS(329)*UV(74)
  JUV(53) = JVS(330)*UV(53)+JVS(331)*UV(58)+JVS(332)*UV(62)+JVS(333)*UV(71)+JVS(334)*UV(74)
  JUV(54) = JVS(335)*UV(47)+JVS(336)*UV(53)+JVS(337)*UV(54)+JVS(338)*UV(58)+JVS(339)*UV(62)+JVS(340)*UV(71)+JVS(341)&
              &*UV(74)
  JUV(55) = JVS(342)*UV(11)+JVS(343)*UV(21)+JVS(344)*UV(23)+JVS(345)*UV(30)+JVS(346)*UV(44)+JVS(347)*UV(51)+JVS(348)&
              &*UV(52)+JVS(349)*UV(53)+JVS(350)*UV(55)+JVS(351)*UV(57)+JVS(352)*UV(58)+JVS(353)*UV(59)+JVS(354)*UV(60)&
              &+JVS(355)*UV(61)+JVS(356)*UV(62)+JVS(357)*UV(65)+JVS(358)*UV(67)+JVS(359)*UV(69)+JVS(360)*UV(71)+JVS(361)&
              &*UV(72)+JVS(362)*UV(73)+JVS(363)*UV(74)
  JUV(56) = JVS(364)*UV(20)+JVS(365)*UV(21)+JVS(366)*UV(23)+JVS(367)*UV(26)+JVS(368)*UV(27)+JVS(369)*UV(29)+JVS(370)&
              &*UV(30)+JVS(371)*UV(42)+JVS(372)*UV(44)+JVS(373)*UV(45)+JVS(375)*UV(47)+JVS(376)*UV(49)+JVS(377)*UV(50)&
              &+JVS(378)*UV(51)+JVS(379)*UV(52)+JVS(380)*UV(53)+JVS(381)*UV(54)+JVS(382)*UV(56)+JVS(383)*UV(57)+JVS(384)&
              &*UV(58)+JVS(385)*UV(60)+JVS(386)*UV(61)+JVS(387)*UV(62)+JVS(388)*UV(63)+JVS(389)*UV(64)+JVS(390)*UV(65)&
              &+JVS(391)*UV(66)+JVS(392)*UV(67)+JVS(393)*UV(68)+JVS(394)*UV(69)+JVS(396)*UV(71)+JVS(397)*UV(72)+JVS(398)&
              &*UV(73)+JVS(399)*UV(74)
  JUV(57) = JVS(400)*UV(22)+JVS(401)*UV(49)+JVS(402)*UV(51)+JVS(403)*UV(52)+JVS(404)*UV(53)+JVS(405)*UV(57)+JVS(408)&
              &*UV(64)+JVS(409)*UV(69)+JVS(410)*UV(70)+JVS(411)*UV(71)+JVS(412)*UV(74)
  JUV(58) = JVS(413)*UV(10)+JVS(414)*UV(44)+JVS(415)*UV(47)+JVS(416)*UV(49)+JVS(417)*UV(50)+JVS(418)*UV(51)+JVS(419)&
              &*UV(53)+JVS(420)*UV(54)+JVS(421)*UV(58)+JVS(422)*UV(62)+JVS(423)*UV(69)+JVS(424)*UV(70)+JVS(425)*UV(71)
  JUV(59) = JVS(427)*UV(20)+JVS(428)*UV(21)+JVS(429)*UV(23)+JVS(430)*UV(30)+JVS(431)*UV(32)+JVS(432)*UV(33)+JVS(433)&
              &*UV(35)+JVS(434)*UV(37)+JVS(435)*UV(44)+JVS(436)*UV(49)+JVS(437)*UV(50)+JVS(438)*UV(51)+JVS(439)*UV(52)&
              &+JVS(440)*UV(53)+JVS(441)*UV(54)+JVS(442)*UV(57)+JVS(443)*UV(58)+JVS(444)*UV(59)+JVS(445)*UV(60)+JVS(446)&
              &*UV(61)+JVS(447)*UV(62)+JVS(453)*UV(71)+JVS(454)*UV(74)
  JUV(60) = JVS(455)*UV(21)+JVS(456)*UV(23)+JVS(457)*UV(30)+JVS(458)*UV(50)+JVS(459)*UV(51)+JVS(460)*UV(52)+JVS(461)&
              &*UV(53)+JVS(462)*UV(54)+JVS(463)*UV(57)+JVS(464)*UV(58)+JVS(465)*UV(60)+JVS(466)*UV(61)+JVS(467)*UV(62)&
              &+JVS(468)*UV(64)+JVS(469)*UV(66)+JVS(470)*UV(68)+JVS(473)*UV(71)+JVS(474)*UV(74)
  JUV(61) = JVS(475)*UV(23)+JVS(476)*UV(30)+JVS(477)*UV(31)+JVS(478)*UV(47)+JVS(479)*UV(49)+JVS(480)*UV(51)+JVS(481)&
              &*UV(52)+JVS(482)*UV(53)+JVS(483)*UV(54)+JVS(484)*UV(57)+JVS(485)*UV(58)+JVS(486)*UV(61)+JVS(487)*UV(62)&
              &+JVS(488)*UV(64)+JVS(489)*UV(66)+JVS(490)*UV(67)+JVS(491)*UV(68)+JVS(495)*UV(72)+JVS(496)*UV(73)+JVS(497)&
              &*UV(74)
  JUV(62) = JVS(498)*UV(35)+JVS(499)*UV(44)+JVS(500)*UV(47)+JVS(501)*UV(49)+JVS(502)*UV(50)+JVS(503)*UV(51)+JVS(504)&
              &*UV(52)+JVS(505)*UV(53)+JVS(506)*UV(54)+JVS(507)*UV(58)+JVS(508)*UV(62)+JVS(509)*UV(63)+JVS(510)*UV(65)&
              &+JVS(511)*UV(67)+JVS(512)*UV(69)+JVS(513)*UV(70)+JVS(515)*UV(72)+JVS(516)*UV(73)+JVS(517)*UV(74)
  JUV(63) = JVS(518)*UV(9)+JVS(519)*UV(17)+JVS(520)*UV(19)+JVS(521)*UV(20)+JVS(522)*UV(24)+JVS(523)*UV(25)+JVS(524)&
              &*UV(26)+JVS(525)*UV(27)+JVS(526)*UV(28)+JVS(527)*UV(29)+JVS(528)*UV(31)+JVS(529)*UV(32)+JVS(530)*UV(33)&
              &+JVS(531)*UV(35)+JVS(533)*UV(37)+JVS(534)*UV(40)+JVS(535)*UV(41)+JVS(536)*UV(44)+JVS(537)*UV(45)+JVS(538)&
              &*UV(46)+JVS(540)*UV(49)+JVS(541)*UV(50)+JVS(542)*UV(51)+JVS(543)*UV(52)+JVS(544)*UV(53)+JVS(545)*UV(54)&
              &+JVS(546)*UV(55)+JVS(547)*UV(56)+JVS(548)*UV(57)+JVS(549)*UV(58)+JVS(550)*UV(59)+JVS(552)*UV(61)+JVS(553)&
              &*UV(62)+JVS(554)*UV(63)+JVS(555)*UV(64)+JVS(556)*UV(65)+JVS(557)*UV(66)+JVS(558)*UV(67)+JVS(559)*UV(68)&
              &+JVS(560)*UV(69)+JVS(561)*UV(70)+JVS(562)*UV(71)+JVS(563)*UV(72)+JVS(564)*UV(73)+JVS(565)*UV(74)
  JUV(64) = JVS(566)*UV(20)+JVS(567)*UV(21)+JVS(568)*UV(23)+JVS(569)*UV(24)+JVS(570)*UV(30)+JVS(571)*UV(31)+JVS(572)&
              &*UV(47)+JVS(573)*UV(49)+JVS(574)*UV(51)+JVS(575)*UV(52)+JVS(576)*UV(53)+JVS(577)*UV(54)+JVS(578)*UV(57)&
              &+JVS(579)*UV(58)+JVS(580)*UV(59)+JVS(581)*UV(60)+JVS(582)*UV(61)+JVS(583)*UV(62)+JVS(584)*UV(63)+JVS(585)&
              &*UV(64)+JVS(586)*UV(65)+JVS(587)*UV(66)+JVS(588)*UV(67)+JVS(589)*UV(68)+JVS(590)*UV(69)+JVS(592)*UV(71)&
              &+JVS(593)*UV(72)+JVS(594)*UV(73)+JVS(595)*UV(74)
  JUV(65) = JVS(596)*UV(16)+JVS(597)*UV(47)+JVS(598)*UV(50)+JVS(599)*UV(52)+JVS(601)*UV(54)+JVS(602)*UV(58)+JVS(603)&
              &*UV(62)+JVS(604)*UV(63)+JVS(605)*UV(64)+JVS(606)*UV(65)+JVS(607)*UV(66)+JVS(608)*UV(67)+JVS(609)*UV(68)&
              &+JVS(610)*UV(69)+JVS(611)*UV(70)+JVS(612)*UV(71)+JVS(613)*UV(72)+JVS(614)*UV(73)+JVS(615)*UV(74)
  JUV(66) = JVS(616)*UV(22)+JVS(617)*UV(26)+JVS(618)*UV(30)+JVS(619)*UV(42)+JVS(620)*UV(44)+JVS(621)*UV(47)+JVS(623)&
              &*UV(51)+JVS(624)*UV(53)+JVS(625)*UV(54)+JVS(626)*UV(55)+JVS(628)*UV(58)+JVS(632)*UV(62)+JVS(633)*UV(63)&
              &+JVS(634)*UV(64)+JVS(635)*UV(65)+JVS(636)*UV(66)+JVS(637)*UV(67)+JVS(638)*UV(68)+JVS(639)*UV(69)+JVS(641)&
              &*UV(71)+JVS(642)*UV(72)+JVS(643)*UV(73)+JVS(644)*UV(74)
  JUV(67) = JVS(645)*UV(15)+JVS(646)*UV(38)+JVS(650)*UV(63)+JVS(651)*UV(64)+JVS(652)*UV(65)+JVS(653)*UV(66)+JVS(654)&
              &*UV(67)+JVS(655)*UV(68)+JVS(656)*UV(69)+JVS(657)*UV(70)+JVS(658)*UV(71)+JVS(659)*UV(72)+JVS(660)*UV(73)&
              &+JVS(661)*UV(74)
  JUV(68) = JVS(662)*UV(11)+JVS(663)*UV(20)+JVS(664)*UV(21)+JVS(665)*UV(23)+JVS(666)*UV(24)+JVS(667)*UV(30)+JVS(668)&
              &*UV(31)+JVS(669)*UV(32)+JVS(670)*UV(33)+JVS(671)*UV(34)+JVS(672)*UV(35)+JVS(673)*UV(37)+JVS(674)*UV(39)&
              &+JVS(675)*UV(44)+JVS(677)*UV(47)+JVS(678)*UV(49)+JVS(679)*UV(50)+JVS(680)*UV(51)+JVS(681)*UV(52)+JVS(682)&
              &*UV(53)+JVS(683)*UV(54)+JVS(684)*UV(57)+JVS(685)*UV(58)+JVS(686)*UV(59)+JVS(687)*UV(60)+JVS(688)*UV(61)&
              &+JVS(689)*UV(62)+JVS(690)*UV(63)+JVS(691)*UV(64)+JVS(692)*UV(65)+JVS(693)*UV(66)+JVS(694)*UV(67)+JVS(695)&
              &*UV(68)+JVS(696)*UV(69)+JVS(698)*UV(71)+JVS(699)*UV(72)+JVS(700)*UV(73)+JVS(701)*UV(74)
  JUV(69) = JVS(702)*UV(19)+JVS(703)*UV(27)+JVS(704)*UV(48)+JVS(711)*UV(58)+JVS(714)*UV(62)+JVS(715)*UV(63)+JVS(716)&
              &*UV(64)+JVS(717)*UV(65)+JVS(718)*UV(66)+JVS(719)*UV(67)+JVS(720)*UV(68)+JVS(721)*UV(69)+JVS(722)*UV(70)&
              &+JVS(723)*UV(71)+JVS(724)*UV(72)+JVS(725)*UV(73)+JVS(726)*UV(74)
  JUV(70) = JVS(727)*UV(13)+JVS(728)*UV(14)+JVS(729)*UV(15)+JVS(730)*UV(16)+JVS(731)*UV(18)+JVS(732)*UV(19)+JVS(733)&
              &*UV(22)+JVS(734)*UV(25)+JVS(735)*UV(27)+JVS(736)*UV(28)+JVS(738)*UV(43)+JVS(740)*UV(46)+JVS(741)*UV(47)&
              &+JVS(742)*UV(48)+JVS(743)*UV(49)+JVS(747)*UV(53)+JVS(751)*UV(57)+JVS(752)*UV(58)+JVS(756)*UV(62)+JVS(757)&
              &*UV(63)+JVS(758)*UV(64)+JVS(759)*UV(65)+JVS(760)*UV(66)+JVS(761)*UV(67)+JVS(762)*UV(68)+JVS(763)*UV(69)&
              &+JVS(764)*UV(70)+JVS(765)*UV(71)+JVS(766)*UV(72)+JVS(767)*UV(73)+JVS(768)*UV(74)
  JUV(71) = JVS(769)*UV(18)+JVS(770)*UV(25)+JVS(771)*UV(34)+JVS(772)*UV(36)+JVS(773)*UV(38)+JVS(774)*UV(39)+JVS(775)&
              &*UV(41)+JVS(776)*UV(43)+JVS(777)*UV(44)+JVS(778)*UV(45)+JVS(780)*UV(47)+JVS(781)*UV(48)+JVS(782)*UV(49)&
              &+JVS(783)*UV(50)+JVS(784)*UV(51)+JVS(785)*UV(52)+JVS(786)*UV(53)+JVS(788)*UV(55)+JVS(789)*UV(56)+JVS(791)&
              &*UV(58)+JVS(792)*UV(59)+JVS(795)*UV(62)+JVS(796)*UV(63)+JVS(797)*UV(64)+JVS(798)*UV(65)+JVS(799)*UV(66)&
              &+JVS(800)*UV(67)+JVS(801)*UV(68)+JVS(802)*UV(69)+JVS(803)*UV(70)+JVS(804)*UV(71)+JVS(805)*UV(72)+JVS(806)&
              &*UV(73)+JVS(807)*UV(74)
  JUV(72) = JVS(808)*UV(12)+JVS(809)*UV(13)+JVS(811)*UV(30)+JVS(812)*UV(32)+JVS(813)*UV(33)+JVS(814)*UV(41)+JVS(815)&
              &*UV(42)+JVS(816)*UV(49)+JVS(817)*UV(50)+JVS(819)*UV(52)+JVS(820)*UV(53)+JVS(821)*UV(54)+JVS(822)*UV(55)&
              &+JVS(826)*UV(60)+JVS(827)*UV(61)+JVS(828)*UV(62)+JVS(829)*UV(63)+JVS(830)*UV(64)+JVS(831)*UV(65)+JVS(832)&
              &*UV(66)+JVS(833)*UV(67)+JVS(834)*UV(68)+JVS(835)*UV(69)+JVS(836)*UV(70)+JVS(837)*UV(71)+JVS(838)*UV(72)&
              &+JVS(839)*UV(73)+JVS(840)*UV(74)
  JUV(73) = JVS(841)*UV(14)+JVS(842)*UV(45)+JVS(844)*UV(49)+JVS(845)*UV(50)+JVS(846)*UV(52)+JVS(847)*UV(53)+JVS(848)&
              &*UV(54)+JVS(850)*UV(59)+JVS(851)*UV(60)+JVS(852)*UV(61)+JVS(853)*UV(62)+JVS(854)*UV(63)+JVS(855)*UV(64)&
              &+JVS(856)*UV(65)+JVS(857)*UV(66)+JVS(858)*UV(67)+JVS(859)*UV(68)+JVS(860)*UV(69)+JVS(861)*UV(70)+JVS(862)&
              &*UV(71)+JVS(863)*UV(72)+JVS(864)*UV(73)+JVS(865)*UV(74)
  JUV(74) = JVS(866)*UV(9)+JVS(867)*UV(10)+JVS(868)*UV(11)+JVS(869)*UV(17)+JVS(870)*UV(19)+JVS(871)*UV(20)+JVS(872)&
              &*UV(21)+JVS(873)*UV(23)+JVS(874)*UV(24)+JVS(875)*UV(25)+JVS(876)*UV(26)+JVS(877)*UV(29)+JVS(878)*UV(30)&
              &+JVS(879)*UV(31)+JVS(880)*UV(32)+JVS(881)*UV(33)+JVS(882)*UV(34)+JVS(883)*UV(35)+JVS(884)*UV(37)+JVS(885)&
              &*UV(38)+JVS(886)*UV(39)+JVS(887)*UV(40)+JVS(888)*UV(41)+JVS(889)*UV(42)+JVS(890)*UV(43)+JVS(891)*UV(44)&
              &+JVS(892)*UV(45)+JVS(894)*UV(47)+JVS(895)*UV(49)+JVS(896)*UV(50)+JVS(897)*UV(51)+JVS(898)*UV(52)+JVS(899)&
              &*UV(53)+JVS(900)*UV(54)+JVS(901)*UV(55)+JVS(902)*UV(56)+JVS(903)*UV(57)+JVS(905)*UV(59)+JVS(906)*UV(60)&
              &+JVS(907)*UV(61)+JVS(908)*UV(62)+JVS(909)*UV(63)+JVS(915)*UV(69)+JVS(916)*UV(70)+JVS(917)*UV(71)+JVS(920)&
              &*UV(74)
      
END SUBROUTINE Jac_SP_Vec

! End of Jac_SP_Vec function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! JacTR_SP_Vec - sparse multiplication: sparse Jacobian transposed times vector
!   Arguments :
!      JVS       - sparse Jacobian of variables
!      UV        - User vector for variables
!      JTUV      - Jacobian transposed times user vector
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE JacTR_SP_Vec ( JVS, UV, JTUV )

! JVS - sparse Jacobian of variables
  REAL(kind=dp) :: JVS(LU_NONZERO)
! UV - User vector for variables
  REAL(kind=dp) :: UV(NVAR)
! JTUV - Jacobian transposed times user vector
  REAL(kind=dp) :: JTUV(NVAR)

  JTUV(1) = JVS(1)*UV(1)
  JTUV(2) = JVS(4)*UV(2)
  JTUV(3) = JVS(18)*UV(3)
  JTUV(4) = JVS(27)*UV(4)
  JTUV(5) = JVS(41)*UV(5)
  JTUV(6) = JVS(44)*UV(6)
  JTUV(7) = JVS(49)*UV(7)
  JTUV(8) = JVS(52)*UV(8)
  JTUV(9) = JVS(2)*UV(1)+JVS(56)*UV(9)+JVS(518)*UV(63)+JVS(866)*UV(74)
  JTUV(10) = JVS(58)*UV(10)+JVS(413)*UV(58)+JVS(867)*UV(74)
  JTUV(11) = JVS(60)*UV(11)+JVS(342)*UV(55)+JVS(662)*UV(68)+JVS(868)*UV(74)
  JTUV(12) = JVS(62)*UV(12)+JVS(808)*UV(72)
  JTUV(13) = JVS(67)*UV(13)+JVS(727)*UV(70)+JVS(809)*UV(72)
  JTUV(14) = JVS(70)*UV(14)+JVS(728)*UV(70)+JVS(841)*UV(73)
  JTUV(15) = JVS(73)*UV(15)+JVS(645)*UV(67)+JVS(729)*UV(70)
  JTUV(16) = JVS(76)*UV(16)+JVS(596)*UV(65)+JVS(730)*UV(70)
  JTUV(17) = JVS(79)*UV(17)+JVS(519)*UV(63)+JVS(869)*UV(74)
  JTUV(18) = JVS(82)*UV(18)+JVS(217)*UV(43)+JVS(731)*UV(70)+JVS(769)*UV(71)
  JTUV(19) = JVS(85)*UV(19)+JVS(520)*UV(63)+JVS(702)*UV(69)+JVS(732)*UV(70)+JVS(870)*UV(74)
  JTUV(20) = JVS(5)*UV(2)+JVS(88)*UV(20)+JVS(168)*UV(40)+JVS(203)*UV(42)+JVS(243)*UV(45)+JVS(364)*UV(56)+JVS(427)*UV(59)&
               &+JVS(521)*UV(63)+JVS(566)*UV(64)+JVS(663)*UV(68)+JVS(871)*UV(74)
  JTUV(21) = JVS(90)*UV(21)+JVS(92)*UV(22)+JVS(204)*UV(42)+JVS(277)*UV(48)+JVS(343)*UV(55)+JVS(365)*UV(56)+JVS(428)&
               &*UV(59)+JVS(455)*UV(60)+JVS(567)*UV(64)+JVS(664)*UV(68)+JVS(872)*UV(74)
  JTUV(22) = JVS(93)*UV(22)+JVS(205)*UV(42)+JVS(400)*UV(57)+JVS(616)*UV(66)+JVS(733)*UV(70)
  JTUV(23) = JVS(96)*UV(23)+JVS(206)*UV(42)+JVS(278)*UV(48)+JVS(344)*UV(55)+JVS(366)*UV(56)+JVS(429)*UV(59)+JVS(456)&
               &*UV(60)+JVS(475)*UV(61)+JVS(568)*UV(64)+JVS(665)*UV(68)+JVS(873)*UV(74)
  JTUV(24) = JVS(63)*UV(12)+JVS(98)*UV(24)+JVS(126)*UV(32)+JVS(130)*UV(33)+JVS(134)*UV(34)+JVS(139)*UV(35)+JVS(155)&
               &*UV(38)+JVS(191)*UV(41)+JVS(244)*UV(45)+JVS(522)*UV(63)+JVS(569)*UV(64)+JVS(666)*UV(68)+JVS(874)*UV(74)
  JTUV(25) = JVS(100)*UV(25)+JVS(523)*UV(63)+JVS(734)*UV(70)+JVS(770)*UV(71)+JVS(875)*UV(74)
  JTUV(26) = JVS(104)*UV(26)+JVS(367)*UV(56)+JVS(524)*UV(63)+JVS(617)*UV(66)+JVS(876)*UV(74)
  JTUV(27) = JVS(6)*UV(2)+JVS(108)*UV(27)+JVS(368)*UV(56)+JVS(525)*UV(63)+JVS(703)*UV(69)+JVS(735)*UV(70)
  JTUV(28) = JVS(50)*UV(7)+JVS(53)*UV(8)+JVS(112)*UV(28)+JVS(144)*UV(36)+JVS(526)*UV(63)+JVS(736)*UV(70)
  JTUV(29) = JVS(117)*UV(29)+JVS(369)*UV(56)+JVS(527)*UV(63)+JVS(877)*UV(74)
  JTUV(30) = JVS(122)*UV(30)+JVS(169)*UV(40)+JVS(207)*UV(42)+JVS(279)*UV(48)+JVS(345)*UV(55)+JVS(370)*UV(56)+JVS(430)&
               &*UV(59)+JVS(457)*UV(60)+JVS(476)*UV(61)+JVS(570)*UV(64)+JVS(618)*UV(66)+JVS(667)*UV(68)+JVS(811)*UV(72)&
               &+JVS(878)*UV(74)
  JTUV(31) = JVS(124)*UV(31)+JVS(127)*UV(32)+JVS(131)*UV(33)+JVS(135)*UV(34)+JVS(140)*UV(35)+JVS(156)*UV(38)+JVS(162)&
               &*UV(39)+JVS(192)*UV(41)+JVS(245)*UV(45)+JVS(477)*UV(61)+JVS(528)*UV(63)+JVS(571)*UV(64)+JVS(668)*UV(68)&
               &+JVS(879)*UV(74)
  JTUV(32) = JVS(128)*UV(32)+JVS(170)*UV(40)+JVS(193)*UV(41)+JVS(246)*UV(45)+JVS(280)*UV(48)+JVS(431)*UV(59)+JVS(529)&
               &*UV(63)+JVS(669)*UV(68)+JVS(812)*UV(72)+JVS(880)*UV(74)
  JTUV(33) = JVS(132)*UV(33)+JVS(171)*UV(40)+JVS(194)*UV(41)+JVS(247)*UV(45)+JVS(281)*UV(48)+JVS(432)*UV(59)+JVS(530)&
               &*UV(63)+JVS(670)*UV(68)+JVS(813)*UV(72)+JVS(881)*UV(74)
  JTUV(34) = JVS(136)*UV(34)+JVS(195)*UV(41)+JVS(218)*UV(43)+JVS(260)*UV(46)+JVS(671)*UV(68)+JVS(771)*UV(71)+JVS(882)&
               &*UV(74)
  JTUV(35) = JVS(141)*UV(35)+JVS(172)*UV(40)+JVS(248)*UV(45)+JVS(433)*UV(59)+JVS(498)*UV(62)+JVS(531)*UV(63)+JVS(672)&
               &*UV(68)+JVS(883)*UV(74)
  JTUV(36) = JVS(113)*UV(28)+JVS(145)*UV(36)+JVS(219)*UV(43)+JVS(772)*UV(71)
  JTUV(37) = JVS(150)*UV(37)+JVS(434)*UV(59)+JVS(533)*UV(63)+JVS(673)*UV(68)+JVS(884)*UV(74)
  JTUV(38) = JVS(54)*UV(8)+JVS(157)*UV(38)+JVS(220)*UV(43)+JVS(646)*UV(67)+JVS(773)*UV(71)+JVS(885)*UV(74)
  JTUV(39) = JVS(163)*UV(39)+JVS(221)*UV(43)+JVS(249)*UV(45)+JVS(261)*UV(46)+JVS(674)*UV(68)+JVS(774)*UV(71)+JVS(886)&
               &*UV(74)
  JTUV(40) = JVS(173)*UV(40)+JVS(534)*UV(63)+JVS(887)*UV(74)
  JTUV(41) = JVS(174)*UV(40)+JVS(196)*UV(41)+JVS(222)*UV(43)+JVS(535)*UV(63)+JVS(775)*UV(71)+JVS(814)*UV(72)+JVS(888)&
               &*UV(74)
  JTUV(42) = JVS(208)*UV(42)+JVS(282)*UV(48)+JVS(371)*UV(56)+JVS(619)*UV(66)+JVS(815)*UV(72)+JVS(889)*UV(74)
  JTUV(43) = JVS(223)*UV(43)+JVS(738)*UV(70)+JVS(776)*UV(71)+JVS(890)*UV(74)
  JTUV(44) = JVS(7)*UV(2)+JVS(175)*UV(40)+JVS(238)*UV(44)+JVS(250)*UV(45)+JVS(346)*UV(55)+JVS(372)*UV(56)+JVS(414)&
               &*UV(58)+JVS(435)*UV(59)+JVS(499)*UV(62)+JVS(536)*UV(63)+JVS(620)*UV(66)+JVS(675)*UV(68)+JVS(777)*UV(71)&
               &+JVS(891)*UV(74)
  JTUV(45) = JVS(176)*UV(40)+JVS(224)*UV(43)+JVS(251)*UV(45)+JVS(373)*UV(56)+JVS(537)*UV(63)+JVS(778)*UV(71)+JVS(842)&
               &*UV(73)+JVS(892)*UV(74)
  JTUV(46) = JVS(146)*UV(36)+JVS(164)*UV(39)+JVS(262)*UV(46)+JVS(538)*UV(63)+JVS(740)*UV(70)
  JTUV(47) = JVS(8)*UV(2)+JVS(28)*UV(4)+JVS(177)*UV(40)+JVS(272)*UV(47)+JVS(283)*UV(48)+JVS(311)*UV(50)+JVS(323)*UV(52)&
               &+JVS(335)*UV(54)+JVS(375)*UV(56)+JVS(415)*UV(58)+JVS(478)*UV(61)+JVS(500)*UV(62)+JVS(572)*UV(64)+JVS(597)&
               &*UV(65)+JVS(621)*UV(66)+JVS(677)*UV(68)+JVS(741)*UV(70)+JVS(780)*UV(71)+JVS(894)*UV(74)
  JTUV(48) = JVS(284)*UV(48)+JVS(704)*UV(69)+JVS(742)*UV(70)+JVS(781)*UV(71)
  JTUV(49) = JVS(9)*UV(2)+JVS(29)*UV(4)+JVS(64)*UV(12)+JVS(178)*UV(40)+JVS(209)*UV(42)+JVS(253)*UV(45)+JVS(285)*UV(48)&
               &+JVS(306)*UV(49)+JVS(376)*UV(56)+JVS(401)*UV(57)+JVS(416)*UV(58)+JVS(436)*UV(59)+JVS(479)*UV(61)+JVS(501)&
               &*UV(62)+JVS(540)*UV(63)+JVS(573)*UV(64)+JVS(678)*UV(68)+JVS(743)*UV(70)+JVS(782)*UV(71)+JVS(816)*UV(72)&
               &+JVS(844)*UV(73)+JVS(895)*UV(74)
  JTUV(50) = JVS(10)*UV(2)+JVS(179)*UV(40)+JVS(197)*UV(41)+JVS(226)*UV(43)+JVS(312)*UV(50)+JVS(377)*UV(56)+JVS(417)&
               &*UV(58)+JVS(437)*UV(59)+JVS(458)*UV(60)+JVS(502)*UV(62)+JVS(541)*UV(63)+JVS(598)*UV(65)+JVS(679)*UV(68)&
               &+JVS(783)*UV(71)+JVS(817)*UV(72)+JVS(845)*UV(73)+JVS(896)*UV(74)
  JTUV(51) = JVS(11)*UV(2)+JVS(19)*UV(3)+JVS(30)*UV(4)+JVS(180)*UV(40)+JVS(210)*UV(42)+JVS(286)*UV(48)+JVS(318)*UV(51)&
               &+JVS(347)*UV(55)+JVS(378)*UV(56)+JVS(402)*UV(57)+JVS(418)*UV(58)+JVS(438)*UV(59)+JVS(459)*UV(60)+JVS(480)&
               &*UV(61)+JVS(503)*UV(62)+JVS(542)*UV(63)+JVS(574)*UV(64)+JVS(623)*UV(66)+JVS(680)*UV(68)+JVS(784)*UV(71)&
               &+JVS(897)*UV(74)
  JTUV(52) = JVS(12)*UV(2)+JVS(31)*UV(4)+JVS(181)*UV(40)+JVS(198)*UV(41)+JVS(227)*UV(43)+JVS(254)*UV(45)+JVS(324)*UV(52)&
               &+JVS(348)*UV(55)+JVS(379)*UV(56)+JVS(403)*UV(57)+JVS(439)*UV(59)+JVS(460)*UV(60)+JVS(481)*UV(61)+JVS(504)&
               &*UV(62)+JVS(543)*UV(63)+JVS(575)*UV(64)+JVS(599)*UV(65)+JVS(681)*UV(68)+JVS(785)*UV(71)+JVS(819)*UV(72)&
               &+JVS(846)*UV(73)+JVS(898)*UV(74)
  JTUV(53) = JVS(13)*UV(2)+JVS(20)*UV(3)+JVS(32)*UV(4)+JVS(158)*UV(38)+JVS(182)*UV(40)+JVS(211)*UV(42)+JVS(287)*UV(48)&
               &+JVS(313)*UV(50)+JVS(325)*UV(52)+JVS(330)*UV(53)+JVS(336)*UV(54)+JVS(349)*UV(55)+JVS(380)*UV(56)+JVS(404)&
               &*UV(57)+JVS(419)*UV(58)+JVS(440)*UV(59)+JVS(461)*UV(60)+JVS(482)*UV(61)+JVS(505)*UV(62)+JVS(544)*UV(63)&
               &+JVS(576)*UV(64)+JVS(624)*UV(66)+JVS(682)*UV(68)+JVS(747)*UV(70)+JVS(786)*UV(71)+JVS(820)*UV(72)+JVS(847)&
               &*UV(73)+JVS(899)*UV(74)
  JTUV(54) = JVS(14)*UV(2)+JVS(183)*UV(40)+JVS(199)*UV(41)+JVS(288)*UV(48)+JVS(337)*UV(54)+JVS(381)*UV(56)+JVS(420)&
               &*UV(58)+JVS(441)*UV(59)+JVS(462)*UV(60)+JVS(483)*UV(61)+JVS(506)*UV(62)+JVS(545)*UV(63)+JVS(577)*UV(64)&
               &+JVS(601)*UV(65)+JVS(625)*UV(66)+JVS(683)*UV(68)+JVS(821)*UV(72)+JVS(848)*UV(73)+JVS(900)*UV(74)
  JTUV(55) = JVS(184)*UV(40)+JVS(230)*UV(43)+JVS(350)*UV(55)+JVS(546)*UV(63)+JVS(626)*UV(66)+JVS(788)*UV(71)+JVS(822)&
               &*UV(72)+JVS(901)*UV(74)
  JTUV(56) = JVS(109)*UV(27)+JVS(185)*UV(40)+JVS(231)*UV(43)+JVS(382)*UV(56)+JVS(547)*UV(63)+JVS(789)*UV(71)+JVS(902)&
               &*UV(74)
  JTUV(57) = JVS(212)*UV(42)+JVS(289)*UV(48)+JVS(351)*UV(55)+JVS(383)*UV(56)+JVS(405)*UV(57)+JVS(442)*UV(59)+JVS(463)&
               &*UV(60)+JVS(484)*UV(61)+JVS(548)*UV(63)+JVS(578)*UV(64)+JVS(684)*UV(68)+JVS(751)*UV(70)+JVS(903)*UV(74)
  JTUV(58) = JVS(186)*UV(40)+JVS(239)*UV(44)+JVS(255)*UV(45)+JVS(273)*UV(47)+JVS(290)*UV(48)+JVS(307)*UV(49)+JVS(314)&
               &*UV(50)+JVS(319)*UV(51)+JVS(331)*UV(53)+JVS(338)*UV(54)+JVS(352)*UV(55)+JVS(384)*UV(56)+JVS(421)*UV(58)&
               &+JVS(443)*UV(59)+JVS(464)*UV(60)+JVS(485)*UV(61)+JVS(507)*UV(62)+JVS(549)*UV(63)+JVS(579)*UV(64)+JVS(602)&
               &*UV(65)+JVS(628)*UV(66)+JVS(685)*UV(68)+JVS(711)*UV(69)+JVS(752)*UV(70)+JVS(791)*UV(71)
  JTUV(59) = JVS(187)*UV(40)+JVS(232)*UV(43)+JVS(353)*UV(55)+JVS(444)*UV(59)+JVS(550)*UV(63)+JVS(580)*UV(64)+JVS(686)&
               &*UV(68)+JVS(792)*UV(71)+JVS(850)*UV(73)+JVS(905)*UV(74)
  JTUV(60) = JVS(291)*UV(48)+JVS(354)*UV(55)+JVS(385)*UV(56)+JVS(445)*UV(59)+JVS(465)*UV(60)+JVS(581)*UV(64)+JVS(687)&
               &*UV(68)+JVS(826)*UV(72)+JVS(851)*UV(73)+JVS(906)*UV(74)
  JTUV(61) = JVS(292)*UV(48)+JVS(355)*UV(55)+JVS(386)*UV(56)+JVS(446)*UV(59)+JVS(466)*UV(60)+JVS(486)*UV(61)+JVS(552)&
               &*UV(63)+JVS(582)*UV(64)+JVS(688)*UV(68)+JVS(827)*UV(72)+JVS(852)*UV(73)+JVS(907)*UV(74)
  JTUV(62) = JVS(15)*UV(2)+JVS(21)*UV(3)+JVS(33)*UV(4)+JVS(59)*UV(10)+JVS(65)*UV(12)+JVS(142)*UV(35)+JVS(159)*UV(38)&
               &+JVS(188)*UV(40)+JVS(200)*UV(41)+JVS(213)*UV(42)+JVS(240)*UV(44)+JVS(256)*UV(45)+JVS(274)*UV(47)+JVS(293)&
               &*UV(48)+JVS(308)*UV(49)+JVS(315)*UV(50)+JVS(320)*UV(51)+JVS(327)*UV(52)+JVS(332)*UV(53)+JVS(339)*UV(54)&
               &+JVS(356)*UV(55)+JVS(387)*UV(56)+JVS(422)*UV(58)+JVS(447)*UV(59)+JVS(467)*UV(60)+JVS(487)*UV(61)+JVS(508)&
               &*UV(62)+JVS(553)*UV(63)+JVS(583)*UV(64)+JVS(603)*UV(65)+JVS(632)*UV(66)+JVS(689)*UV(68)+JVS(714)*UV(69)&
               &+JVS(756)*UV(70)+JVS(795)*UV(71)+JVS(828)*UV(72)+JVS(853)*UV(73)+JVS(908)*UV(74)
  JTUV(63) = JVS(22)*UV(3)+JVS(34)*UV(4)+JVS(42)*UV(5)+JVS(45)*UV(6)+JVS(80)*UV(17)+JVS(101)*UV(25)+JVS(105)*UV(26)&
               &+JVS(110)*UV(27)+JVS(114)*UV(28)+JVS(147)*UV(36)+JVS(151)*UV(37)+JVS(165)*UV(39)+JVS(234)*UV(43)+JVS(263)&
               &*UV(46)+JVS(294)*UV(48)+JVS(388)*UV(56)+JVS(509)*UV(62)+JVS(554)*UV(63)+JVS(584)*UV(64)+JVS(604)*UV(65)&
               &+JVS(633)*UV(66)+JVS(650)*UV(67)+JVS(690)*UV(68)+JVS(715)*UV(69)+JVS(757)*UV(70)+JVS(796)*UV(71)+JVS(829)&
               &*UV(72)+JVS(854)*UV(73)+JVS(909)*UV(74)
  JTUV(64) = JVS(23)*UV(3)+JVS(35)*UV(4)+JVS(118)*UV(29)+JVS(152)*UV(37)+JVS(295)*UV(48)+JVS(389)*UV(56)+JVS(408)*UV(57)&
               &+JVS(468)*UV(60)+JVS(488)*UV(61)+JVS(555)*UV(63)+JVS(585)*UV(64)+JVS(605)*UV(65)+JVS(634)*UV(66)+JVS(651)&
               &*UV(67)+JVS(691)*UV(68)+JVS(716)*UV(69)+JVS(758)*UV(70)+JVS(797)*UV(71)+JVS(830)*UV(72)+JVS(855)*UV(73)
  JTUV(65) = JVS(36)*UV(4)+JVS(46)*UV(6)+JVS(77)*UV(16)+JVS(264)*UV(46)+JVS(296)*UV(48)+JVS(357)*UV(55)+JVS(390)*UV(56)&
               &+JVS(510)*UV(62)+JVS(556)*UV(63)+JVS(586)*UV(64)+JVS(606)*UV(65)+JVS(635)*UV(66)+JVS(652)*UV(67)+JVS(692)&
               &*UV(68)+JVS(717)*UV(69)+JVS(759)*UV(70)+JVS(798)*UV(71)+JVS(831)*UV(72)+JVS(856)*UV(73)
  JTUV(66) = JVS(24)*UV(3)+JVS(37)*UV(4)+JVS(106)*UV(26)+JVS(119)*UV(29)+JVS(297)*UV(48)+JVS(391)*UV(56)+JVS(469)*UV(60)&
               &+JVS(489)*UV(61)+JVS(557)*UV(63)+JVS(587)*UV(64)+JVS(607)*UV(65)+JVS(636)*UV(66)+JVS(653)*UV(67)+JVS(693)&
               &*UV(68)+JVS(718)*UV(69)+JVS(760)*UV(70)+JVS(799)*UV(71)+JVS(832)*UV(72)+JVS(857)*UV(73)
  JTUV(67) = JVS(38)*UV(4)+JVS(47)*UV(6)+JVS(74)*UV(15)+JVS(265)*UV(46)+JVS(298)*UV(48)+JVS(358)*UV(55)+JVS(392)*UV(56)&
               &+JVS(490)*UV(61)+JVS(511)*UV(62)+JVS(558)*UV(63)+JVS(588)*UV(64)+JVS(608)*UV(65)+JVS(637)*UV(66)+JVS(654)&
               &*UV(67)+JVS(694)*UV(68)+JVS(719)*UV(69)+JVS(761)*UV(70)+JVS(800)*UV(71)+JVS(833)*UV(72)+JVS(858)*UV(73)
  JTUV(68) = JVS(25)*UV(3)+JVS(39)*UV(4)+JVS(120)*UV(29)+JVS(153)*UV(37)+JVS(299)*UV(48)+JVS(393)*UV(56)+JVS(470)*UV(60)&
               &+JVS(491)*UV(61)+JVS(559)*UV(63)+JVS(589)*UV(64)+JVS(609)*UV(65)+JVS(638)*UV(66)+JVS(655)*UV(67)+JVS(695)&
               &*UV(68)+JVS(720)*UV(69)+JVS(762)*UV(70)+JVS(801)*UV(71)+JVS(834)*UV(72)+JVS(859)*UV(73)
  JTUV(69) = JVS(16)*UV(2)+JVS(86)*UV(19)+JVS(111)*UV(27)+JVS(266)*UV(46)+JVS(300)*UV(48)+JVS(359)*UV(55)+JVS(394)&
               &*UV(56)+JVS(409)*UV(57)+JVS(423)*UV(58)+JVS(512)*UV(62)+JVS(560)*UV(63)+JVS(590)*UV(64)+JVS(610)*UV(65)&
               &+JVS(639)*UV(66)+JVS(656)*UV(67)+JVS(696)*UV(68)+JVS(721)*UV(69)+JVS(763)*UV(70)+JVS(802)*UV(71)+JVS(835)&
               &*UV(72)+JVS(860)*UV(73)+JVS(915)*UV(74)
  JTUV(70) = JVS(51)*UV(7)+JVS(55)*UV(8)+JVS(68)*UV(13)+JVS(71)*UV(14)+JVS(75)*UV(15)+JVS(78)*UV(16)+JVS(83)*UV(18)&
               &+JVS(94)*UV(22)+JVS(102)*UV(25)+JVS(115)*UV(28)+JVS(148)*UV(36)+JVS(235)*UV(43)+JVS(267)*UV(46)+JVS(410)&
               &*UV(57)+JVS(424)*UV(58)+JVS(513)*UV(62)+JVS(561)*UV(63)+JVS(611)*UV(65)+JVS(657)*UV(67)+JVS(722)*UV(69)&
               &+JVS(764)*UV(70)+JVS(803)*UV(71)+JVS(836)*UV(72)+JVS(861)*UV(73)+JVS(916)*UV(74)
  JTUV(71) = JVS(84)*UV(18)+JVS(116)*UV(28)+JVS(137)*UV(34)+JVS(149)*UV(36)+JVS(160)*UV(38)+JVS(166)*UV(39)+JVS(189)&
               &*UV(40)+JVS(201)*UV(41)+JVS(215)*UV(42)+JVS(236)*UV(43)+JVS(241)*UV(44)+JVS(258)*UV(45)+JVS(268)*UV(46)&
               &+JVS(275)*UV(47)+JVS(302)*UV(48)+JVS(309)*UV(49)+JVS(316)*UV(50)+JVS(321)*UV(51)+JVS(328)*UV(52)+JVS(333)&
               &*UV(53)+JVS(340)*UV(54)+JVS(360)*UV(55)+JVS(396)*UV(56)+JVS(411)*UV(57)+JVS(425)*UV(58)+JVS(453)*UV(59)&
               &+JVS(473)*UV(60)+JVS(562)*UV(63)+JVS(592)*UV(64)+JVS(612)*UV(65)+JVS(641)*UV(66)+JVS(658)*UV(67)+JVS(698)&
               &*UV(68)+JVS(723)*UV(69)+JVS(765)*UV(70)+JVS(804)*UV(71)+JVS(837)*UV(72)+JVS(862)*UV(73)+JVS(917)*UV(74)
  JTUV(72) = JVS(26)*UV(3)+JVS(43)*UV(5)+JVS(69)*UV(13)+JVS(269)*UV(46)+JVS(303)*UV(48)+JVS(361)*UV(55)+JVS(397)*UV(56)&
               &+JVS(495)*UV(61)+JVS(515)*UV(62)+JVS(563)*UV(63)+JVS(593)*UV(64)+JVS(613)*UV(65)+JVS(642)*UV(66)+JVS(659)&
               &*UV(67)+JVS(699)*UV(68)+JVS(724)*UV(69)+JVS(766)*UV(70)+JVS(805)*UV(71)+JVS(838)*UV(72)+JVS(863)*UV(73)
  JTUV(73) = JVS(40)*UV(4)+JVS(48)*UV(6)+JVS(72)*UV(14)+JVS(270)*UV(46)+JVS(304)*UV(48)+JVS(362)*UV(55)+JVS(398)*UV(56)&
               &+JVS(496)*UV(61)+JVS(516)*UV(62)+JVS(564)*UV(63)+JVS(594)*UV(64)+JVS(614)*UV(65)+JVS(643)*UV(66)+JVS(660)&
               &*UV(67)+JVS(700)*UV(68)+JVS(725)*UV(69)+JVS(767)*UV(70)+JVS(806)*UV(71)+JVS(839)*UV(72)+JVS(864)*UV(73)
  JTUV(74) = JVS(3)*UV(1)+JVS(17)*UV(2)+JVS(57)*UV(9)+JVS(61)*UV(11)+JVS(66)*UV(12)+JVS(81)*UV(17)+JVS(87)*UV(19)&
               &+JVS(89)*UV(20)+JVS(91)*UV(21)+JVS(95)*UV(22)+JVS(97)*UV(23)+JVS(99)*UV(24)+JVS(103)*UV(25)+JVS(107)*UV(26)&
               &+JVS(121)*UV(29)+JVS(123)*UV(30)+JVS(125)*UV(31)+JVS(129)*UV(32)+JVS(133)*UV(33)+JVS(138)*UV(34)+JVS(143)&
               &*UV(35)+JVS(154)*UV(37)+JVS(161)*UV(38)+JVS(167)*UV(39)+JVS(190)*UV(40)+JVS(202)*UV(41)+JVS(216)*UV(42)&
               &+JVS(237)*UV(43)+JVS(242)*UV(44)+JVS(259)*UV(45)+JVS(271)*UV(46)+JVS(276)*UV(47)+JVS(305)*UV(48)+JVS(310)&
               &*UV(49)+JVS(317)*UV(50)+JVS(322)*UV(51)+JVS(329)*UV(52)+JVS(334)*UV(53)+JVS(341)*UV(54)+JVS(363)*UV(55)&
               &+JVS(399)*UV(56)+JVS(412)*UV(57)+JVS(454)*UV(59)+JVS(474)*UV(60)+JVS(497)*UV(61)+JVS(517)*UV(62)+JVS(565)&
               &*UV(63)+JVS(595)*UV(64)+JVS(615)*UV(65)+JVS(644)*UV(66)+JVS(661)*UV(67)+JVS(701)*UV(68)+JVS(726)*UV(69)&
               &+JVS(768)*UV(70)+JVS(807)*UV(71)+JVS(840)*UV(72)+JVS(865)*UV(73)+JVS(920)*UV(74)
      
END SUBROUTINE JacTR_SP_Vec

! End of JacTR_SP_Vec function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



END MODULE saprc99_Jacobian

